;*=====================================================================*/
;*    serrano/prgm/project/bigloo/fthread/src/fair-socket.scm          */
;*    -------------------------------------------------------------    */
;*    Author      :  Manuel Serrano                                    */
;*    Creation    :  Wed Feb 13 09:42:47 2002                          */
;*    Last change :  Mon Mar  4 14:39:56 2002 (serrano)                */
;*    Copyright   :  2002 Manuel Serrano                               */
;*    -------------------------------------------------------------    */
;*    Fair sockets, that is non blocking socket acception connection.  */
;*=====================================================================*/

;*---------------------------------------------------------------------*/
;*    The module                                                       */
;*---------------------------------------------------------------------*/
(module __ft_socket

    (import __ft_types
	    __ft_scheduler
	    __ft_%thread)

   (export (make-fair-socket ::socket ::obj)))

;*---------------------------------------------------------------------*/
;*    make-fair-socket ...                                             */
;*---------------------------------------------------------------------*/
(define (make-fair-socket socket event)
   (lambda (scdl)
      (lambda ()
	 (socket-accept-connection socket #f)
	 (scheduler-broadcast scdl event))))

  
