/*===========================================================================*/
/*   (Llib/process.scm)                                                      */
/*   Bigloo (2.5b)                                                           */
/*   Manuel Serrano (c)       Fri Sep 6 09:43:28 CEST 2002                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>
#include <signal.h>

static obj_t BGl_keyword1746z00zz__processz00 = BUNSPEC;
static obj_t BGl_keyword1747z00zz__processz00 = BUNSPEC;
extern obj_t BGl_runzd2processzd2zz__processz00(obj_t, obj_t);
extern obj_t BGl_modulezd2initializa7ationz75zz__processz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern bool_t c_process_alivep(obj_t);
extern obj_t BGl_processzd2exitzd2statusz00zz__processz00(obj_t);
extern obj_t BGl_processzd2stopzd2zz__processz00(obj_t);
static obj_t BGl__processzd2alivezf3z21zz__processz00(obj_t, obj_t);
static obj_t BGl__processzd2exitzd2statusz00zz__processz00(obj_t, obj_t);
static obj_t BGl__processzd2continuezd2zz__processz00(obj_t, obj_t);
extern obj_t BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(obj_t);
extern bool_t BGl_processzf3zf3zz__processz00(obj_t);
extern obj_t c_process_wait(obj_t);
extern bool_t BGl_processzd2alivezf3z21zz__processz00(obj_t);
extern obj_t c_process_continue(obj_t);
static obj_t BGl__processzd2killzd2zz__processz00(obj_t, obj_t);
static obj_t BGl__processzd2inputzd2portz00zz__processz00(obj_t, obj_t);
static obj_t BGl__processzd2sendzd2signalz00zz__processz00(obj_t, obj_t, obj_t);
extern obj_t c_process_send_signal(obj_t, int);
extern obj_t BGl_processzd2continuezd2zz__processz00(obj_t);
static obj_t BGl__processzf3zf3zz__processz00(obj_t, obj_t);
extern obj_t BGl_processzd2sendzd2signalz00zz__processz00(obj_t, int);
static obj_t BGl_cnstzd2initzd2zz__processz00();
extern bool_t BGl_processzd2waitzd2zz__processz00(obj_t);
static obj_t BGl__processzd2listzd2zz__processz00(obj_t);
static obj_t BGl__runzd2processzd2zz__processz00(obj_t, obj_t, obj_t);
extern obj_t c_process_stop(obj_t);
extern obj_t BGl_unregisterzd2processzd2zz__processz00(obj_t);
extern obj_t c_run_process(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__processz00();
extern obj_t BGl_processzd2errorzd2portz00zz__processz00(obj_t);
static obj_t BGl__processzd2stopzd2zz__processz00(obj_t, obj_t);
extern obj_t c_process_list();
extern obj_t c_process_xstatus(obj_t);
extern obj_t BGl_processzd2outputzd2portz00zz__processz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__processz00 = BUNSPEC;
static obj_t BGl__processzd2outputzd2portz00zz__processz00(obj_t, obj_t);
extern obj_t BGl_processzd2inputzd2portz00zz__processz00(obj_t);
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl_processzd2killzd2zz__processz00(obj_t);
extern obj_t c_process_kill(obj_t);
static obj_t BGl_list1737z00zz__processz00 = BUNSPEC;
static obj_t BGl__processzd2waitzd2zz__processz00(obj_t, obj_t);
extern obj_t string_to_keyword(char *);
extern obj_t c_unregister_process(obj_t);
extern obj_t BGl_processzd2listzd2zz__processz00();
static obj_t BGl__processzd2pidzd2zz__processz00(obj_t, obj_t);
static obj_t BGl__unregisterzd2processzd2zz__processz00(obj_t, obj_t);
extern int BGl_processzd2pidzd2zz__processz00(obj_t);
static obj_t BGl__processzd2errorzd2portz00zz__processz00(obj_t, obj_t);
static obj_t BGl_keyword1738z00zz__processz00 = BUNSPEC;
static obj_t BGl_keyword1739z00zz__processz00 = BUNSPEC;
static obj_t BGl_keyword1742z00zz__processz00 = BUNSPEC;
static obj_t BGl_keyword1743z00zz__processz00 = BUNSPEC;
static obj_t BGl_keyword1744z00zz__processz00 = BUNSPEC;
static obj_t BGl_keyword1745z00zz__processz00 = BUNSPEC;
static obj_t *__cnst;

DEFINE_EXPORT_PROCEDURE( BGl_processzd2pidzd2envz00zz__processz00, BgL_bgl__processza7d2pidza7d2za7za7__processza7001754za7, BGl__processzd2pidzd2zz__processz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_processzd2killzd2envz00zz__processz00, BgL_bgl__processza7d2killza7d2za7za7__processza7001755za7, BGl__processzd2killzd2zz__processz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_processzd2errorzd2portzd2envzd2zz__processz00, BgL_bgl__processza7d2errorza7d2portza700za7za7__processza7001756z00, BGl__processzd2errorzd2portz00zz__processz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_processzd2sendzd2signalzd2envzd2zz__processz00, BgL_bgl__processza7d2sendza7d2signalza700za7za7__processza7001757z00, BGl__processzd2sendzd2signalz00zz__processz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_processzd2exitzd2statuszd2envzd2zz__processz00, BgL_bgl__processza7d2exitza7d2statusza700za7za7__processza7001758z00, BGl__processzd2exitzd2statusz00zz__processz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_processzd2alivezf3zd2envzf3zz__processz00, BgL_bgl__processza7d2aliveza7f3za721za7za7__processza7001759z00, BGl__processzd2alivezf3z21zz__processz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_processzd2listzd2envz00zz__processz00, BgL_bgl__processza7d2listza7d2za7za7__processza7001760za7, BGl__processzd2listzd2zz__processz00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_processzd2continuezd2envz00zz__processz00, BgL_bgl__processza7d2continueza7d2za7za7__processza7001761za7, BGl__processzd2continuezd2zz__processz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_processzf3zd2envz21zz__processz00, BgL_bgl__processza7f3za7f3za7za7__processza7001762za7, BGl__processzf3zf3zz__processz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_processzd2waitzd2envz00zz__processz00, BgL_bgl__processza7d2waitza7d2za7za7__processza7001763za7, BGl__processzd2waitzd2zz__processz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_processzd2outputzd2portzd2envzd2zz__processz00, BgL_bgl__processza7d2outputza7d2portza700za7za7__processza7001764z00, BGl__processzd2outputzd2portz00zz__processz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_unregisterzd2processzd2envz00zz__processz00, BgL_bgl__unregisterza7d2processza7d2za7za7__processza7001765za7, BGl__unregisterzd2processzd2zz__processz00, 0L, 1 );
DEFINE_STRING( BGl_string1741z00zz__processz00, BgL_bgl_string1741za700za7za7__processza7001766z00, "Illegal argument", 16 );
DEFINE_STRING( BGl_string1740z00zz__processz00, BgL_bgl_string1740za700za7za7__processza7001767z00, "run-process", 11 );
DEFINE_EXPORT_PROCEDURE( BGl_processzd2stopzd2envz00zz__processz00, BgL_bgl__processza7d2stopza7d2za7za7__processza7001768za7, BGl__processzd2stopzd2zz__processz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_processzd2inputzd2portzd2envzd2zz__processz00, BgL_bgl__processza7d2inputza7d2portza700za7za7__processza7001769z00, BGl__processzd2inputzd2portz00zz__processz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_runzd2processzd2envz00zz__processz00, BgL_bgl__runza7d2processza7d2za7za7__processza7001770za7, va_generic_entry, BGl__runzd2processzd2zz__processz00, -2 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zz__processz00(long BgL_checksumz00_597, char * BgL_fromz00_598)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__processz00))
{ 
BGl_requirezd2initializa7ationz75zz__processz00 = 
BBOOL(((bool_t)0)); 
BGl_cnstzd2initzd2zz__processz00(); 
BGl_importedzd2moduleszd2initz00zz__processz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__processz00()
{ AN_OBJECT;
{ /* Llib/process.scm 15 */
BGl_keyword1738z00zz__processz00 = 
string_to_keyword("pipe:"); 
BGl_list1737z00zz__processz00 = 
MAKE_PAIR(BGl_keyword1738z00zz__processz00, BNIL); 
BGl_keyword1739z00zz__processz00 = 
string_to_keyword("wait:"); 
BGl_keyword1742z00zz__processz00 = 
string_to_keyword("fork:"); 
BGl_keyword1743z00zz__processz00 = 
string_to_keyword("input:"); 
BGl_keyword1744z00zz__processz00 = 
string_to_keyword("output:"); 
BGl_keyword1745z00zz__processz00 = 
string_to_keyword("error:"); 
BGl_keyword1746z00zz__processz00 = 
string_to_keyword("host:"); 
return ( 
BGl_keyword1747z00zz__processz00 = 
string_to_keyword("env:"), BUNSPEC) ;} 
}



/* process? */
bool_t BGl_processzf3zf3zz__processz00(obj_t BgL_objz00_1)
{ AN_OBJECT;
{ /* Llib/process.scm 112 */
return 
PROCESSP(BgL_objz00_1);} 
}



/* _process? */
obj_t BGl__processzf3zf3zz__processz00(obj_t BgL_envz00_551, obj_t BgL_objz00_552)
{ AN_OBJECT;
{ /* Llib/process.scm 112 */
{ /* Llib/process.scm 113 */
bool_t BgL_auxz00_614;
BgL_auxz00_614 = 
PROCESSP(BgL_objz00_552); 
return 
BBOOL(BgL_auxz00_614);} } 
}



/* process-pid */
int BGl_processzd2pidzd2zz__processz00(obj_t BgL_procz00_2)
{ AN_OBJECT;
{ /* Llib/process.scm 118 */
return 
PROCESS_PID(BgL_procz00_2);} 
}



/* _process-pid */
obj_t BGl__processzd2pidzd2zz__processz00(obj_t BgL_envz00_553, obj_t BgL_procz00_554)
{ AN_OBJECT;
{ /* Llib/process.scm 118 */
{ /* Llib/process.scm 119 */
int BgL_auxz00_618;
BgL_auxz00_618 = 
PROCESS_PID(BgL_procz00_554); 
return 
BINT(BgL_auxz00_618);} } 
}



/* process-output-port */
obj_t BGl_processzd2outputzd2portz00zz__processz00(obj_t BgL_procz00_3)
{ AN_OBJECT;
{ /* Llib/process.scm 124 */
return 
PROCESS_OUTPUT_PORT(BgL_procz00_3);} 
}



/* _process-output-port */
obj_t BGl__processzd2outputzd2portz00zz__processz00(obj_t BgL_envz00_555, obj_t BgL_procz00_556)
{ AN_OBJECT;
{ /* Llib/process.scm 124 */
return 
PROCESS_OUTPUT_PORT(BgL_procz00_556);} 
}



/* process-input-port */
obj_t BGl_processzd2inputzd2portz00zz__processz00(obj_t BgL_procz00_4)
{ AN_OBJECT;
{ /* Llib/process.scm 130 */
return 
PROCESS_INPUT_PORT(BgL_procz00_4);} 
}



/* _process-input-port */
obj_t BGl__processzd2inputzd2portz00zz__processz00(obj_t BgL_envz00_557, obj_t BgL_procz00_558)
{ AN_OBJECT;
{ /* Llib/process.scm 130 */
return 
PROCESS_INPUT_PORT(BgL_procz00_558);} 
}



/* process-error-port */
obj_t BGl_processzd2errorzd2portz00zz__processz00(obj_t BgL_procz00_5)
{ AN_OBJECT;
{ /* Llib/process.scm 136 */
return 
PROCESS_ERROR_PORT(BgL_procz00_5);} 
}



/* _process-error-port */
obj_t BGl__processzd2errorzd2portz00zz__processz00(obj_t BgL_envz00_559, obj_t BgL_procz00_560)
{ AN_OBJECT;
{ /* Llib/process.scm 136 */
return 
PROCESS_ERROR_PORT(BgL_procz00_560);} 
}



/* process-alive? */
bool_t BGl_processzd2alivezf3z21zz__processz00(obj_t BgL_procz00_6)
{ AN_OBJECT;
{ /* Llib/process.scm 142 */
return 
c_process_alivep(BgL_procz00_6);} 
}



/* _process-alive? */
obj_t BGl__processzd2alivezf3z21zz__processz00(obj_t BgL_envz00_561, obj_t BgL_procz00_562)
{ AN_OBJECT;
{ /* Llib/process.scm 142 */
{ /* Llib/process.scm 143 */
bool_t BgL_auxz00_628;
BgL_auxz00_628 = 
c_process_alivep(BgL_procz00_562); 
return 
BBOOL(BgL_auxz00_628);} } 
}



/* process-wait */
bool_t BGl_processzd2waitzd2zz__processz00(obj_t BgL_procz00_7)
{ AN_OBJECT;
{ /* Llib/process.scm 148 */
if(
c_process_alivep(BgL_procz00_7))
{ /* Llib/process.scm 149 */
obj_t BgL_auxz00_633;
BgL_auxz00_633 = 
c_process_wait(BgL_procz00_7); 
return 
CBOOL(BgL_auxz00_633);}  else 
{ /* Llib/process.scm 149 */
return ((bool_t)0);} } 
}



/* _process-wait */
obj_t BGl__processzd2waitzd2zz__processz00(obj_t BgL_envz00_563, obj_t BgL_procz00_564)
{ AN_OBJECT;
{ /* Llib/process.scm 148 */
{ /* Llib/process.scm 149 */
bool_t BgL_auxz00_636;
{ /* Llib/process.scm 149 */
bool_t BgL_res1748z00_589;
if(
c_process_alivep(BgL_procz00_564))
{ /* Llib/process.scm 149 */
obj_t BgL_auxz00_639;
BgL_auxz00_639 = 
c_process_wait(BgL_procz00_564); 
BgL_res1748z00_589 = 
CBOOL(BgL_auxz00_639); }  else 
{ /* Llib/process.scm 149 */
BgL_res1748z00_589 = ((bool_t)0); } 
BgL_auxz00_636 = BgL_res1748z00_589; } 
return 
BBOOL(BgL_auxz00_636);} } 
}



/* process-exit-status */
obj_t BGl_processzd2exitzd2statusz00zz__processz00(obj_t BgL_procz00_8)
{ AN_OBJECT;
{ /* Llib/process.scm 155 */
return 
c_process_xstatus(BgL_procz00_8);} 
}



/* _process-exit-status */
obj_t BGl__processzd2exitzd2statusz00zz__processz00(obj_t BgL_envz00_565, obj_t BgL_procz00_566)
{ AN_OBJECT;
{ /* Llib/process.scm 155 */
return 
c_process_xstatus(BgL_procz00_566);} 
}



/* process-send-signal */
obj_t BGl_processzd2sendzd2signalz00zz__processz00(obj_t BgL_procz00_9, int BgL_signalz00_10)
{ AN_OBJECT;
{ /* Llib/process.scm 161 */
return 
c_process_send_signal(BgL_procz00_9, BgL_signalz00_10);} 
}



/* _process-send-signal */
obj_t BGl__processzd2sendzd2signalz00zz__processz00(obj_t BgL_envz00_567, obj_t BgL_procz00_568, obj_t BgL_signalz00_569)
{ AN_OBJECT;
{ /* Llib/process.scm 161 */
{ /* Llib/process.scm 162 */
int BgL_auxz00_646;
BgL_auxz00_646 = 
CINT(BgL_signalz00_569); 
return 
c_process_send_signal(BgL_procz00_568, BgL_auxz00_646);} } 
}



/* process-kill */
obj_t BGl_processzd2killzd2zz__processz00(obj_t BgL_procz00_11)
{ AN_OBJECT;
{ /* Llib/process.scm 167 */
return 
c_process_kill(BgL_procz00_11);} 
}



/* _process-kill */
obj_t BGl__processzd2killzd2zz__processz00(obj_t BgL_envz00_570, obj_t BgL_procz00_571)
{ AN_OBJECT;
{ /* Llib/process.scm 167 */
return 
c_process_kill(BgL_procz00_571);} 
}



/* process-stop */
obj_t BGl_processzd2stopzd2zz__processz00(obj_t BgL_procz00_12)
{ AN_OBJECT;
{ /* Llib/process.scm 173 */
return 
c_process_stop(BgL_procz00_12);} 
}



/* _process-stop */
obj_t BGl__processzd2stopzd2zz__processz00(obj_t BgL_envz00_572, obj_t BgL_procz00_573)
{ AN_OBJECT;
{ /* Llib/process.scm 173 */
return 
c_process_stop(BgL_procz00_573);} 
}



/* process-continue */
obj_t BGl_processzd2continuezd2zz__processz00(obj_t BgL_procz00_13)
{ AN_OBJECT;
{ /* Llib/process.scm 179 */
return 
c_process_continue(BgL_procz00_13);} 
}



/* _process-continue */
obj_t BGl__processzd2continuezd2zz__processz00(obj_t BgL_envz00_574, obj_t BgL_procz00_575)
{ AN_OBJECT;
{ /* Llib/process.scm 179 */
return 
c_process_continue(BgL_procz00_575);} 
}



/* process-list */
obj_t BGl_processzd2listzd2zz__processz00()
{ AN_OBJECT;
{ /* Llib/process.scm 185 */
return 
c_process_list();} 
}



/* _process-list */
obj_t BGl__processzd2listzd2zz__processz00(obj_t BgL_envz00_576)
{ AN_OBJECT;
{ /* Llib/process.scm 185 */
return 
c_process_list();} 
}



/* run-process */
obj_t BGl_runzd2processzd2zz__processz00(obj_t BgL_commandz00_14, obj_t BgL_restz00_15)
{ AN_OBJECT;
{ /* Llib/process.scm 194 */
{ /* Llib/process.scm 195 */
obj_t BgL_forkz00_296;obj_t BgL_waitz00_297;obj_t BgL_inputz00_298;obj_t BgL_outputz00_299;obj_t BgL_errorz00_300;obj_t BgL_hostz00_301;obj_t BgL_pipesz00_302;obj_t BgL_argsz00_303;obj_t BgL_envz00_304;
BgL_forkz00_296 = BTRUE; 
BgL_waitz00_297 = BFALSE; 
BgL_inputz00_298 = BUNSPEC; 
BgL_outputz00_299 = BUNSPEC; 
BgL_errorz00_300 = BUNSPEC; 
BgL_hostz00_301 = BUNSPEC; 
BgL_pipesz00_302 = BGl_list1737z00zz__processz00; 
BgL_argsz00_303 = BNIL; 
BgL_envz00_304 = BNIL; 
{ 
obj_t BgL_restz00_306;
BgL_restz00_306 = BgL_restz00_15; 
BgL_loopz00_307:
if(
NULLP(BgL_restz00_306))
{ /* Llib/process.scm 208 */
{ /* Llib/process.scm 211 */
obj_t BgL_arg1028z00_309;
BgL_arg1028z00_309 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_argsz00_303); 
return 
c_run_process(BgL_hostz00_301, BgL_forkz00_296, BgL_waitz00_297, BgL_inputz00_298, BgL_outputz00_299, BgL_errorz00_300, BgL_commandz00_14, BgL_arg1028z00_309, BgL_envz00_304);} }  else 
{ /* Llib/process.scm 212 */
bool_t BgL_testz00_661;
{ /* Llib/process.scm 212 */
bool_t BgL_testz00_662;
{ /* Llib/process.scm 212 */
obj_t BgL_auxz00_663;
BgL_auxz00_663 = 
CAR(BgL_restz00_306); 
BgL_testz00_662 = 
KEYWORDP(BgL_auxz00_663); } 
if(BgL_testz00_662)
{ /* Llib/process.scm 212 */
obj_t BgL_auxz00_666;
BgL_auxz00_666 = 
CDR(BgL_restz00_306); 
BgL_testz00_661 = 
PAIRP(BgL_auxz00_666); }  else 
{ /* Llib/process.scm 212 */
BgL_testz00_661 = ((bool_t)0)
; } } 
if(BgL_testz00_661)
{ /* Llib/process.scm 212 */
{ /* Llib/process.scm 213 */
obj_t BgL_valz00_311;
{ /* Llib/process.scm 213 */
obj_t BgL_auxz00_669;
BgL_auxz00_669 = 
CDR(BgL_restz00_306); 
BgL_valz00_311 = 
CAR(BgL_auxz00_669); } 
{ /* Llib/process.scm 214 */
obj_t BgL_casezd2valuezd2_312;
BgL_casezd2valuezd2_312 = 
CAR(BgL_restz00_306); 
if(
(BgL_casezd2valuezd2_312==BGl_keyword1739z00zz__processz00))
{ /* Llib/process.scm 214 */
if(
BOOLEANP(BgL_valz00_311))
{ /* Llib/process.scm 216 */
BgL_waitz00_297 = BgL_valz00_311; }  else 
{ /* Llib/process.scm 216 */
FAILURE(BGl_string1740z00zz__processz00,BGl_string1741z00zz__processz00,BgL_restz00_306);} }  else 
{ /* Llib/process.scm 214 */
if(
(BgL_casezd2valuezd2_312==BGl_keyword1742z00zz__processz00))
{ /* Llib/process.scm 214 */
if(
BOOLEANP(BgL_valz00_311))
{ /* Llib/process.scm 220 */
BgL_forkz00_296 = BgL_valz00_311; }  else 
{ /* Llib/process.scm 220 */
FAILURE(BGl_string1740z00zz__processz00,BGl_string1741z00zz__processz00,BgL_restz00_306);} }  else 
{ /* Llib/process.scm 214 */
if(
(BgL_casezd2valuezd2_312==BGl_keyword1743z00zz__processz00))
{ /* Llib/process.scm 224 */
bool_t BgL_testz00_685;
if(
STRINGP(BgL_valz00_311))
{ /* Llib/process.scm 224 */
BgL_testz00_685 = ((bool_t)1)
; }  else 
{ /* Llib/process.scm 224 */
obj_t BgL_auxz00_688;
BgL_auxz00_688 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_valz00_311, BgL_pipesz00_302); 
BgL_testz00_685 = 
CBOOL(BgL_auxz00_688); } 
if(BgL_testz00_685)
{ /* Llib/process.scm 224 */
BgL_inputz00_298 = BgL_valz00_311; }  else 
{ /* Llib/process.scm 224 */
FAILURE(BGl_string1740z00zz__processz00,BGl_string1741z00zz__processz00,BgL_restz00_306);} }  else 
{ /* Llib/process.scm 214 */
if(
(BgL_casezd2valuezd2_312==BGl_keyword1744z00zz__processz00))
{ /* Llib/process.scm 228 */
bool_t BgL_testz00_694;
if(
STRINGP(BgL_valz00_311))
{ /* Llib/process.scm 228 */
BgL_testz00_694 = ((bool_t)1)
; }  else 
{ /* Llib/process.scm 228 */
obj_t BgL_auxz00_697;
BgL_auxz00_697 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_valz00_311, BgL_pipesz00_302); 
BgL_testz00_694 = 
CBOOL(BgL_auxz00_697); } 
if(BgL_testz00_694)
{ /* Llib/process.scm 228 */
BgL_outputz00_299 = BgL_valz00_311; }  else 
{ /* Llib/process.scm 228 */
FAILURE(BGl_string1740z00zz__processz00,BGl_string1741z00zz__processz00,BgL_restz00_306);} }  else 
{ /* Llib/process.scm 214 */
if(
(BgL_casezd2valuezd2_312==BGl_keyword1745z00zz__processz00))
{ /* Llib/process.scm 232 */
bool_t BgL_testz00_703;
if(
STRINGP(BgL_valz00_311))
{ /* Llib/process.scm 232 */
BgL_testz00_703 = ((bool_t)1)
; }  else 
{ /* Llib/process.scm 232 */
obj_t BgL_auxz00_706;
BgL_auxz00_706 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_valz00_311, BgL_pipesz00_302); 
BgL_testz00_703 = 
CBOOL(BgL_auxz00_706); } 
if(BgL_testz00_703)
{ /* Llib/process.scm 232 */
BgL_errorz00_300 = BgL_valz00_311; }  else 
{ /* Llib/process.scm 232 */
FAILURE(BGl_string1740z00zz__processz00,BGl_string1741z00zz__processz00,BgL_restz00_306);} }  else 
{ /* Llib/process.scm 214 */
if(
(BgL_casezd2valuezd2_312==BGl_keyword1746z00zz__processz00))
{ /* Llib/process.scm 214 */
if(
STRINGP(BgL_valz00_311))
{ /* Llib/process.scm 236 */
BgL_hostz00_301 = BgL_valz00_311; }  else 
{ /* Llib/process.scm 236 */
FAILURE(BGl_string1740z00zz__processz00,BGl_string1741z00zz__processz00,BgL_restz00_306);} }  else 
{ /* Llib/process.scm 214 */
if(
(BgL_casezd2valuezd2_312==BGl_keyword1747z00zz__processz00))
{ /* Llib/process.scm 214 */
if(
STRINGP(BgL_valz00_311))
{ /* Llib/process.scm 240 */
BgL_envz00_304 = 
MAKE_PAIR(BgL_valz00_311, BgL_envz00_304); }  else 
{ /* Llib/process.scm 240 */
FAILURE(BGl_string1740z00zz__processz00,BGl_string1741z00zz__processz00,BgL_restz00_306);} }  else 
{ /* Llib/process.scm 214 */
FAILURE(BGl_string1740z00zz__processz00,BGl_string1741z00zz__processz00,BgL_restz00_306);} } } } } } } } 
{ 
obj_t BgL_restz00_722;
{ /* Llib/process.scm 245 */
obj_t BgL_auxz00_723;
BgL_auxz00_723 = 
CDR(BgL_restz00_306); 
BgL_restz00_722 = 
CDR(BgL_auxz00_723); } 
BgL_restz00_306 = BgL_restz00_722; 
goto BgL_loopz00_307;} } }  else 
{ /* Llib/process.scm 246 */
bool_t BgL_testz00_726;
{ /* Llib/process.scm 246 */
obj_t BgL_auxz00_727;
BgL_auxz00_727 = 
CAR(BgL_restz00_306); 
BgL_testz00_726 = 
STRINGP(BgL_auxz00_727); } 
if(BgL_testz00_726)
{ /* Llib/process.scm 246 */
{ /* Llib/process.scm 247 */
obj_t BgL_auxz00_730;
BgL_auxz00_730 = 
CAR(BgL_restz00_306); 
BgL_argsz00_303 = 
MAKE_PAIR(BgL_auxz00_730, BgL_argsz00_303); } 
{ 
obj_t BgL_restz00_733;
BgL_restz00_733 = 
CDR(BgL_restz00_306); 
BgL_restz00_306 = BgL_restz00_733; 
goto BgL_loopz00_307;} }  else 
{ /* Llib/process.scm 246 */
FAILURE(BGl_string1740z00zz__processz00,BGl_string1741z00zz__processz00,BgL_restz00_306);} } } } } } 
}



/* _run-process */
obj_t BGl__runzd2processzd2zz__processz00(obj_t BgL_envz00_577, obj_t BgL_commandz00_578, obj_t BgL_restz00_579)
{ AN_OBJECT;
{ /* Llib/process.scm 194 */
return 
BGl_runzd2processzd2zz__processz00(BgL_commandz00_578, BgL_restz00_579);} 
}



/* unregister-process */
obj_t BGl_unregisterzd2processzd2zz__processz00(obj_t BgL_procz00_16)
{ AN_OBJECT;
{ /* Llib/process.scm 255 */
return 
c_unregister_process(BgL_procz00_16);} 
}



/* _unregister-process */
obj_t BGl__unregisterzd2processzd2zz__processz00(obj_t BgL_envz00_580, obj_t BgL_procz00_581)
{ AN_OBJECT;
{ /* Llib/process.scm 255 */
return 
c_unregister_process(BgL_procz00_581);} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__processz00()
{ AN_OBJECT;
{ /* Llib/process.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)62184), "__process");} 
}

