/*===========================================================================*/
/*   (Jas/as.scm)                                                            */
/*   Bigloo (2.5b)                                                           */
/*   Manuel Serrano (c)       Fri Sep 6 09:43:28 CEST 2002                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_codez00;
   obj_t BgL_vectz00;
} *BgL_typez00_bglt;

typedef struct BgL_basicz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_codez00;
   obj_t BgL_vectz00;
} *BgL_basicz00_bglt;

typedef struct BgL_vectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_codez00;
   obj_t BgL_vectz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_vectz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_codez00;
   obj_t BgL_vectz00;
   struct BgL_typez00_bgl * BgL_tretz00;
   obj_t BgL_targsz00;
} *BgL_funz00_bglt;

typedef struct BgL_classez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_codez00;
   obj_t BgL_vectz00;
   obj_t BgL_flagsz00;
   obj_t BgL_namez00;
   obj_t BgL_poolz00;
} *BgL_classez00_bglt;

typedef struct BgL_fieldzd2orzd2methodz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_flagsz00;
   obj_t BgL_namez00;
   obj_t BgL_ownerz00;
   obj_t BgL_usertypez00;
   obj_t BgL_typez00;
   obj_t BgL_pnamez00;
   obj_t BgL_descriptorz00;
   obj_t BgL_poolz00;
   obj_t BgL_attributesz00;
} *BgL_fieldzd2orzd2methodz00_bglt;

typedef struct BgL_fieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_flagsz00;
   obj_t BgL_namez00;
   obj_t BgL_ownerz00;
   obj_t BgL_usertypez00;
   obj_t BgL_typez00;
   obj_t BgL_pnamez00;
   obj_t BgL_descriptorz00;
   obj_t BgL_poolz00;
   obj_t BgL_attributesz00;
} *BgL_fieldz00_bglt;

typedef struct BgL_methodz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_flagsz00;
   obj_t BgL_namez00;
   obj_t BgL_ownerz00;
   obj_t BgL_usertypez00;
   obj_t BgL_typez00;
   obj_t BgL_pnamez00;
   obj_t BgL_descriptorz00;
   obj_t BgL_poolz00;
   obj_t BgL_attributesz00;
} *BgL_methodz00_bglt;

typedef struct BgL_attributez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_typez00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_infoz00;
} *BgL_attributez00_bglt;

typedef struct BgL_classfilez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_currentzd2methodzd2;
   obj_t BgL_globalsz00;
   obj_t BgL_poolz00;
   obj_t BgL_poolzd2siza7ez75;
   obj_t BgL_flagsz00;
   obj_t BgL_mez00;
   obj_t BgL_superz00;
   obj_t BgL_interfacesz00;
   obj_t BgL_fieldsz00;
   obj_t BgL_methodsz00;
   obj_t BgL_attributesz00;
} *BgL_classfilez00_bglt;


extern obj_t BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t);
extern obj_t BGl_methodz00zzjas_classfilez00;
extern obj_t BGl_modulezd2initializa7ationz75zzjas_asz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjas_libz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjas_classfilez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjas_producez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjas_opcodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjas_peepz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjas_widez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjas_labelsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjas_stackz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__binaryz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
extern obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t make_string(int, unsigned char);
extern int BGl_poolzd2classzd2byzd2namezd2zzjas_classfilez00(BgL_classfilez00_bglt, obj_t);
static obj_t BGl_methodzd2initzd2zzjas_asz00();
extern BgL_fieldz00_bglt BGl_declaredzd2fieldzd2zzjas_classfilez00(BgL_classfilez00_bglt, obj_t);
extern long bgl_list_length(obj_t);
static obj_t BGl_aszd2declarezd2zzjas_asz00(BgL_classfilez00_bglt, obj_t);
extern int BGl_poolzd2namezd2zzjas_classfilez00(BgL_classfilez00_bglt, obj_t);
static BgL_attributez00_bglt BGl_makezd2localvarszd2zzjas_asz00(BgL_classfilez00_bglt, obj_t);
extern obj_t open_input_string(obj_t);
extern long BGl_classzd2numzd2zz__objectz00(obj_t);
extern obj_t BGl_jaszd2errorzd2zzjas_classfilez00(BgL_classfilez00_bglt, obj_t, obj_t);
extern obj_t BGl_fieldzd2orzd2methodz00zzjas_classfilez00;
extern obj_t BGl_classez00zzjas_classfilez00;
static obj_t BGl_aszd2methodzd2zzjas_asz00(BgL_classfilez00_bglt, obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
static obj_t BGl__jvmzd2as2600zd2zzjas_asz00(obj_t, obj_t, obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern obj_t BGl_aszd2assignzd2zzjas_classfilez00(BgL_classfilez00_bglt, obj_t, obj_t);
static obj_t BGl_linezd2compresszd2zzjas_asz00(obj_t, obj_t);
extern BgL_typez00_bglt BGl_aszd2typezd2zzjas_classfilez00(BgL_classfilez00_bglt, obj_t);
static BgL_attributez00_bglt BGl_aszd2codezd2zzjas_asz00(BgL_classfilez00_bglt, obj_t, obj_t, obj_t);
extern obj_t BGl_attributez00zzjas_classfilez00;
static obj_t BGl_getzd2lineszd2zzjas_asz00(obj_t, long);
extern obj_t BGl_classfilez00zzjas_classfilez00;
extern bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
extern obj_t BGl_jvmzd2aszd2zzjas_asz00(obj_t, obj_t);
extern obj_t BGl_jvmzd2asfilezd2zzjas_asz00(obj_t, obj_t);
static BgL_attributez00_bglt BGl_makezd2linezd2attributez00zzjas_asz00(BgL_classfilez00_bglt, obj_t);
extern obj_t BGl_closezd2binaryzd2portz00zz__binaryz00(obj_t);
extern BgL_classez00_bglt BGl_declaredzd2classzd2zzjas_classfilez00(BgL_classfilez00_bglt, obj_t);
static bool_t BGl_setzd2fieldzd2methodzd2typezd2zzjas_asz00(BgL_classfilez00_bglt);
extern obj_t BGl_peepz00zzjas_peepz00;
extern obj_t BGl_resolvezd2labelszd2zzjas_labelsz00;
static obj_t BGl_scanzd2infoszd2zzjas_asz00(BgL_classfilez00_bglt, obj_t);
static obj_t BGl_getzd2bytecodezd2zzjas_asz00(obj_t);
extern obj_t BGl_callzd2withzd2inputzd2filezd2zz__r4_ports_6_10_1z00(obj_t, obj_t);
obj_t BGl_za2jaszd2warningza2zd2zzjas_asz00 = BUNSPEC;
extern obj_t BGl_producez00zzjas_producez00(obj_t, obj_t);
extern obj_t BGl_resolvezd2opcodeszd2zzjas_opcodez00;
static obj_t BGl_cnstzd2initzd2zzjas_asz00();
extern int BGl_poolzd2fieldzd2zzjas_classfilez00(BgL_classfilez00_bglt, BgL_fieldz00_bglt);
static obj_t BGl_getzd2handlerszd2zzjas_asz00(obj_t);
extern obj_t BGl_fieldz00zzjas_classfilez00;
extern long BGl_za2fxza2zz__r4_numbers_6_5_fixnumz00(long, long);
extern BgL_methodz00_bglt BGl_declaredzd2methodzd2zzjas_classfilez00(BgL_classfilez00_bglt, obj_t);
static obj_t BGl_pathnamez00zzjas_asz00(obj_t);
extern obj_t bgl_append2(obj_t, obj_t);
static long BGl_aszd2fieldzd2modifiersz00zzjas_asz00(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzjas_asz00();
extern obj_t BGl_warningz00zz__errorz00(obj_t);
extern obj_t BGl_resolvezd2widezd2zzjas_widez00;
static obj_t BGl_requirezd2initializa7ationz75zzjas_asz00 = BUNSPEC;
extern obj_t BGl_za2za2lastzd2numberzd2ofzd2localsza2za2zd2zzjas_peepz00;
static BgL_attributez00_bglt BGl_srcfilez00zzjas_asz00(BgL_classfilez00_bglt, obj_t);
extern long BGl_zb2fxzb2zz__r4_numbers_6_5_fixnumz00(long, long);
extern obj_t BGl_stkzd2analysiszd2zzjas_stackz00(obj_t, obj_t);
extern int BGl_poolzd2methodzd2zzjas_classfilez00(BgL_classfilez00_bglt, BgL_methodz00_bglt);
static long BGl_aszd2classzd2modifiersz00zzjas_asz00(obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzjas_asz00();
static obj_t BGl_getzd2localvarszd2zzjas_asz00(obj_t);
static obj_t BGl_asz00zzjas_asz00(obj_t);
static obj_t BGl__jvmzd2asfilezd2zzjas_asz00(obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzjas_asz00();
extern obj_t string_append_3(obj_t, obj_t, obj_t);
extern int BGl_poolzd2classzd2zzjas_classfilez00(BgL_classfilez00_bglt, BgL_classez00_bglt);
static long BGl_aszd2methodzd2modifiersz00zzjas_asz00(obj_t);
static obj_t __cnst[ 24 ] ;

DEFINE_EXPORT_PROCEDURE( BGl_jvmzd2aszd2envz00zzjas_asz00, BgL_bgl__jvmza7d2as2600za7d2za7za7jas_asza7002783za7, BGl__jvmzd2as2600zd2zzjas_asz00, 0L, 2 );
DEFINE_STRING( BGl_string2751z00zzjas_asz00, BgL_bgl_string2751za700za7za7jas_asza7002784z00, "localvariable linenumber code native synchronized transient volatile static protected private abstract interface super final public method field class function srcfile sourcefile fields declare as ", 197 );
DEFINE_STRING( BGl_string2750z00zzjas_asz00, BgL_bgl_string2750za700za7za7jas_asza7002785z00, "LocalVariableTable", 18 );
DEFINE_STRING( BGl_string2749z00zzjas_asz00, BgL_bgl_string2749za700za7za7jas_asza7002786z00, "LineNumberTable", 15 );
DEFINE_STRING( BGl_string2748z00zzjas_asz00, BgL_bgl_string2748za700za7za7jas_asza7002787z00, "Code", 4 );
DEFINE_STRING( BGl_string2747z00zzjas_asz00, BgL_bgl_string2747za700za7za7jas_asza7002788z00, "Method too large. This may cause some troubles to Jvm jits (current size: ", 74 );
DEFINE_STRING( BGl_string2746z00zzjas_asz00, BgL_bgl_string2746za700za7za7jas_asza7002789z00, ", limit size: 8000).\n", 21 );
DEFINE_STRING( BGl_string2745z00zzjas_asz00, BgL_bgl_string2745za700za7za7jas_asza7002790z00, "You should consider splitting this function in small pieces.", 60 );
DEFINE_STRING( BGl_string2744z00zzjas_asz00, BgL_bgl_string2744za700za7za7jas_asza7002791z00, "bad method definition", 21 );
DEFINE_STRING( BGl_string2743z00zzjas_asz00, BgL_bgl_string2743za700za7za7jas_asza7002792z00, "bad field modifier", 18 );
DEFINE_STRING( BGl_string2742z00zzjas_asz00, BgL_bgl_string2742za700za7za7jas_asza7002793z00, "bad method modifier", 19 );
DEFINE_STRING( BGl_string2741z00zzjas_asz00, BgL_bgl_string2741za700za7za7jas_asza7002794z00, "as", 2 );
DEFINE_STRING( BGl_string2740z00zzjas_asz00, BgL_bgl_string2740za700za7za7jas_asza7002795z00, "bad declaration", 15 );
DEFINE_STRING( BGl_string2739z00zzjas_asz00, BgL_bgl_string2739za700za7za7jas_asza7002796z00, ";", 1 );
DEFINE_STRING( BGl_string2738z00zzjas_asz00, BgL_bgl_string2738za700za7za7jas_asza7002797z00, "L", 1 );
DEFINE_STRING( BGl_string2737z00zzjas_asz00, BgL_bgl_string2737za700za7za7jas_asza7002798z00, "SourceFile", 10 );
DEFINE_STRING( BGl_string2736z00zzjas_asz00, BgL_bgl_string2736za700za7za7jas_asza7002799z00, "bad module definition", 21 );
DEFINE_STRING( BGl_string2735z00zzjas_asz00, BgL_bgl_string2735za700za7za7jas_asza7002800z00, "jas", 3 );
DEFINE_STRING( BGl_string2734z00zzjas_asz00, BgL_bgl_string2734za700za7za7jas_asza7002801z00, "Can't open file for output", 26 );
DEFINE_STRING( BGl_string2733z00zzjas_asz00, BgL_bgl_string2733za700za7za7jas_asza7002802z00, "Jas", 3 );
extern obj_t BGl_readzd2envzd2zz__readerz00;
DEFINE_EXPORT_PROCEDURE( BGl_jvmzd2asfilezd2envz00zzjas_asz00, BgL_bgl__jvmza7d2asfileza7d2za7za7jas_asza7002803za7, BGl__jvmzd2asfilezd2zzjas_asz00, 0L, 2 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzjas_asz00(long BgL_checksumz00_1836, char * BgL_fromz00_1837)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzjas_asz00))
{ 
BGl_requirezd2initializa7ationz75zzjas_asz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzjas_asz00(); 
BGl_cnstzd2initzd2zzjas_asz00(); 
BGl_importedzd2moduleszd2initz00zzjas_asz00(); 
BGl_toplevelzd2initzd2zzjas_asz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzjas_asz00()
{ AN_OBJECT;
{ /* Jas/as.scm 1 */
BGl_modulezd2initializa7ationz75zz__binaryz00(((long)0), "jas_as"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "jas_as"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "jas_as"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "jas_as"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "jas_as"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "jas_as"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "jas_as"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "jas_as"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzjas_asz00()
{ AN_OBJECT;
{ /* Jas/as.scm 1 */
{ /* Jas/as.scm 1 */
obj_t BgL_cportz00_1829;
BgL_cportz00_1829 = 
open_input_string(BGl_string2751z00zzjas_asz00); 
{ 
long BgL_iz00_1830;
BgL_iz00_1830 = ((long)23); 
BgL_loopz00_1831:
if(
(BgL_iz00_1830==((long)-1)))
{ /* Jas/as.scm 1 */
return BUNSPEC;}  else 
{ /* Jas/as.scm 1 */
{ /* Jas/as.scm 1 */
obj_t BgL_arg2755z00_1833;
{ /* Jas/as.scm 1 */
obj_t BgL_list2758z00_1834;
BgL_list2758z00_1834 = 
MAKE_PAIR(BgL_cportz00_1829, BNIL); 
BgL_arg2755z00_1833 = 
BGl_readz00zz__readerz00(BgL_list2758z00_1834); } 
{ /* Jas/as.scm 1 */
int BgL_auxz00_1858;
BgL_auxz00_1858 = 
(int)(BgL_iz00_1830); 
CNST_TABLE_SET(BgL_auxz00_1858, BgL_arg2755z00_1833); } } 
{ 
long BgL_iz00_1861;
{ /* Jas/as.scm 1 */
int BgL_auxz00_1862;
{ /* Jas/as.scm 1 */
long BgL_auxz00_1863;
BgL_auxz00_1863 = 
(BgL_iz00_1830-((long)1)); 
BgL_auxz00_1862 = 
(int)(BgL_auxz00_1863); } 
BgL_iz00_1861 = 
(long)(BgL_auxz00_1862); } 
BgL_iz00_1830 = BgL_iz00_1861; 
goto BgL_loopz00_1831;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzjas_asz00()
{ AN_OBJECT;
{ /* Jas/as.scm 1 */
return ( 
BGl_za2jaszd2warningza2zd2zzjas_asz00 = BFALSE, BUNSPEC) ;} 
}



/* jvm-asfile */
obj_t BGl_jvmzd2asfilezd2zzjas_asz00(obj_t BgL_fileinz00_1, obj_t BgL_fileoutz00_2)
{ AN_OBJECT;
{ /* Jas/as.scm 16 */
{ /* Jas/as.scm 17 */
obj_t BgL_portz00_346;
BgL_portz00_346 = 
BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00(BgL_fileoutz00_2); 
if(
BINARY_PORTP(BgL_portz00_346))
{ /* Jas/as.scm 18 */((bool_t)0); }  else 
{ /* Jas/as.scm 18 */
FAILURE(BGl_string2733z00zzjas_asz00,BGl_string2734z00zzjas_asz00,BgL_fileoutz00_2);} 
{ /* Jas/as.scm 20 */
obj_t BgL_arg1465z00_348;
BgL_arg1465z00_348 = 
BGl_callzd2withzd2inputzd2filezd2zz__r4_ports_6_10_1z00(BgL_fileinz00_1, BGl_readzd2envzd2zz__readerz00); 
{ /* Jas/as.scm 20 */
obj_t BgL_classfilez00_926;
BgL_classfilez00_926 = 
BGl_asz00zzjas_asz00(BgL_arg1465z00_348); 
BGl_producez00zzjas_producez00(BgL_portz00_346, BgL_classfilez00_926); } } 
return 
BGl_closezd2binaryzd2portz00zz__binaryz00(BgL_portz00_346);} } 
}



/* _jvm-asfile */
obj_t BGl__jvmzd2asfilezd2zzjas_asz00(obj_t BgL_envz00_1821, obj_t BgL_fileinz00_1822, obj_t BgL_fileoutz00_1823)
{ AN_OBJECT;
{ /* Jas/as.scm 16 */
return 
BGl_jvmzd2asfilezd2zzjas_asz00(BgL_fileinz00_1822, BgL_fileoutz00_1823);} 
}



/* jvm-as */
obj_t BGl_jvmzd2aszd2zzjas_asz00(obj_t BgL_lz00_3, obj_t BgL_outchanz00_4)
{ AN_OBJECT;
{ /* Jas/as.scm 23 */
{ /* Jas/as.scm 24 */
obj_t BgL_classfilez00_927;
BgL_classfilez00_927 = 
BGl_asz00zzjas_asz00(BgL_lz00_3); 
return 
BGl_producez00zzjas_producez00(BgL_outchanz00_4, BgL_classfilez00_927);} } 
}



/* _jvm-as2600 */
obj_t BGl__jvmzd2as2600zd2zzjas_asz00(obj_t BgL_envz00_1826, obj_t BgL_lz00_1827, obj_t BgL_outchanz00_1828)
{ AN_OBJECT;
{ /* Jas/as.scm 23 */
return 
BGl_jvmzd2aszd2zzjas_asz00(BgL_lz00_1827, BgL_outchanz00_1828);} 
}



/* as */
obj_t BGl_asz00zzjas_asz00(obj_t BgL_lz00_5)
{ AN_OBJECT;
{ /* Jas/as.scm 30 */
{ 
obj_t BgL_keyz00_350;obj_t BgL_thisz00_351;obj_t BgL_extendz00_352;obj_t BgL_implementsz00_353;obj_t BgL_declsz00_354;obj_t BgL_infosz00_355;
if(
PAIRP(BgL_lz00_5))
{ /* Jas/as.scm 31 */
obj_t BgL_cdrzd2119zd2_360;
BgL_cdrzd2119zd2_360 = 
CDR(BgL_lz00_5); 
{ /* Jas/as.scm 31 */
obj_t BgL_keyz00_361;
BgL_keyz00_361 = 
CAR(BgL_lz00_5); 
if(
PAIRP(BgL_cdrzd2119zd2_360))
{ /* Jas/as.scm 31 */
obj_t BgL_carzd2126zd2_363;obj_t BgL_cdrzd2127zd2_364;
BgL_carzd2126zd2_363 = 
CAR(BgL_cdrzd2119zd2_360); 
BgL_cdrzd2127zd2_364 = 
CDR(BgL_cdrzd2119zd2_360); 
if(
SYMBOLP(BgL_carzd2126zd2_363))
{ /* Jas/as.scm 31 */
if(
PAIRP(BgL_cdrzd2127zd2_364))
{ /* Jas/as.scm 31 */
obj_t BgL_carzd2134zd2_368;obj_t BgL_cdrzd2135zd2_369;
BgL_carzd2134zd2_368 = 
CAR(BgL_cdrzd2127zd2_364); 
BgL_cdrzd2135zd2_369 = 
CDR(BgL_cdrzd2127zd2_364); 
if(
SYMBOLP(BgL_carzd2134zd2_368))
{ /* Jas/as.scm 31 */
if(
PAIRP(BgL_cdrzd2135zd2_369))
{ /* Jas/as.scm 31 */
obj_t BgL_carzd2141zd2_373;obj_t BgL_cdrzd2142zd2_374;
BgL_carzd2141zd2_373 = 
CAR(BgL_cdrzd2135zd2_369); 
BgL_cdrzd2142zd2_374 = 
CDR(BgL_cdrzd2135zd2_369); 
{ 
obj_t BgL_gzd2158zd2_393;obj_t BgL_gzd2145zd2_378;
BgL_gzd2145zd2_378 = BgL_carzd2141zd2_373; 
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(BgL_gzd2145zd2_378, BNIL))
{ /* Jas/as.scm 31 */
if(
PAIRP(BgL_cdrzd2142zd2_374))
{ /* Jas/as.scm 31 */
obj_t BgL_carzd2149zd2_382;
BgL_carzd2149zd2_382 = 
CAR(BgL_cdrzd2142zd2_374); 
if(
PAIRP(BgL_carzd2149zd2_382))
{ /* Jas/as.scm 31 */
bool_t BgL_testz00_1906;
{ /* Jas/as.scm 31 */
obj_t BgL_auxz00_1909;obj_t BgL_auxz00_1907;
BgL_auxz00_1909 = 
CNST_TABLE_REF(((long)1)); 
BgL_auxz00_1907 = 
CAR(BgL_carzd2149zd2_382); 
BgL_testz00_1906 = 
(BgL_auxz00_1907==BgL_auxz00_1909); } 
if(BgL_testz00_1906)
{ /* Jas/as.scm 31 */
BgL_classfilez00_bglt BgL_auxz00_1912;
BgL_keyz00_350 = BgL_keyz00_361; 
BgL_thisz00_351 = BgL_carzd2126zd2_363; 
BgL_extendz00_352 = BgL_carzd2134zd2_368; 
BgL_implementsz00_353 = BgL_carzd2141zd2_373; 
BgL_declsz00_354 = 
CDR(BgL_carzd2149zd2_382); 
BgL_infosz00_355 = 
CDR(BgL_cdrzd2142zd2_374); 
BgL_tagzd2101zd2_356:
{ /* Jas/as.scm 36 */
BgL_classfilez00_bglt BgL_classfilez00_410;
{ /* Jas/as.scm 36 */
BgL_classfilez00_bglt BgL_res2561z00_1004;
{ /* Jas/as.scm 36 */
obj_t BgL_currentzd2method1397zd2_962;obj_t BgL_poolzd2siza7e1400z75_965;
BgL_currentzd2method1397zd2_962 = 
CNST_TABLE_REF(((long)0)); 
BgL_poolzd2siza7e1400z75_965 = 
BINT(((long)1)); 
{ /* Jas/as.scm 36 */
BgL_classfilez00_bglt BgL_new1408z00_973;
{ /* Jas/as.scm 36 */
BgL_classfilez00_bglt BgL_res2559z00_979;
{ /* Jas/as.scm 36 */
BgL_classfilez00_bglt BgL_new1410z00_974;
BgL_new1410z00_974 = 
((BgL_classfilez00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_classfilez00_bgl) ))); 
{ /* Jas/as.scm 36 */
long BgL_arg2463z00_975;
BgL_arg2463z00_975 = 
BGl_classzd2numzd2zz__objectz00(BGl_classfilez00zzjas_classfilez00); 
{ /* Jas/as.scm 36 */
BgL_objectz00_bglt BgL_auxz00_1917;
BgL_auxz00_1917 = 
(BgL_objectz00_bglt)(BgL_new1410z00_974); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_1917, BgL_arg2463z00_975); } } 
{ /* Jas/as.scm 36 */
BgL_objectz00_bglt BgL_auxz00_1920;
BgL_auxz00_1920 = 
(BgL_objectz00_bglt)(BgL_new1410z00_974); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_1920, BFALSE); } 
{ /* Jas/as.scm 36 */
obj_t BgL_auxz00_1923;
BgL_auxz00_1923 = 
(obj_t)(BgL_new1410z00_974); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_1923); } BUNSPEC; 
BgL_res2559z00_979 = BgL_new1410z00_974; } 
BgL_new1408z00_973 = BgL_res2559z00_979; } 
{ /* Jas/as.scm 36 */
BgL_classfilez00_bglt BgL_res2560z00_1003;
((((BgL_classfilez00_bglt)CREF(BgL_new1408z00_973))->BgL_currentzd2methodzd2) = ((obj_t)BgL_currentzd2method1397zd2_962), BUNSPEC); 
((((BgL_classfilez00_bglt)CREF(BgL_new1408z00_973))->BgL_globalsz00) = ((obj_t)BNIL), BUNSPEC); 
((((BgL_classfilez00_bglt)CREF(BgL_new1408z00_973))->BgL_poolz00) = ((obj_t)BNIL), BUNSPEC); 
((((BgL_classfilez00_bglt)CREF(BgL_new1408z00_973))->BgL_poolzd2siza7ez75) = ((obj_t)BgL_poolzd2siza7e1400z75_965), BUNSPEC); 
((((BgL_classfilez00_bglt)CREF(BgL_new1408z00_973))->BgL_flagsz00) = ((obj_t)BFALSE), BUNSPEC); 
((((BgL_classfilez00_bglt)CREF(BgL_new1408z00_973))->BgL_mez00) = ((obj_t)BFALSE), BUNSPEC); 
((((BgL_classfilez00_bglt)CREF(BgL_new1408z00_973))->BgL_superz00) = ((obj_t)BFALSE), BUNSPEC); 
((((BgL_classfilez00_bglt)CREF(BgL_new1408z00_973))->BgL_interfacesz00) = ((obj_t)BNIL), BUNSPEC); 
((((BgL_classfilez00_bglt)CREF(BgL_new1408z00_973))->BgL_fieldsz00) = ((obj_t)BNIL), BUNSPEC); 
((((BgL_classfilez00_bglt)CREF(BgL_new1408z00_973))->BgL_methodsz00) = ((obj_t)BNIL), BUNSPEC); 
((((BgL_classfilez00_bglt)CREF(BgL_new1408z00_973))->BgL_attributesz00) = ((obj_t)BNIL), BUNSPEC); 
BgL_res2560z00_1003 = BgL_new1408z00_973; BgL_res2560z00_1003; } 
BgL_res2561z00_1004 = BgL_new1408z00_973; } } 
BgL_classfilez00_410 = BgL_res2561z00_1004; } 
if(
NULLP(BgL_declsz00_354))
{ /* Jas/as.scm 37 */BNIL; }  else 
{ /* Jas/as.scm 37 */
obj_t BgL_head1415z00_413;
BgL_head1415z00_413 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l1413z00_414;obj_t BgL_tail1416z00_415;
BgL_l1413z00_414 = BgL_declsz00_354; 
BgL_tail1416z00_415 = BgL_head1415z00_413; 
BgL_lname1414z00_416:
if(
NULLP(BgL_l1413z00_414))
{ /* Jas/as.scm 37 */
CDR(BgL_head1415z00_413); }  else 
{ /* Jas/as.scm 37 */
obj_t BgL_newtail1417z00_418;
{ /* Jas/as.scm 37 */
obj_t BgL_arg1588z00_420;
BgL_arg1588z00_420 = 
BGl_aszd2declarezd2zzjas_asz00(BgL_classfilez00_410, 
CAR(BgL_l1413z00_414)); 
BgL_newtail1417z00_418 = 
MAKE_PAIR(BgL_arg1588z00_420, BNIL); } 
SET_CDR(BgL_tail1416z00_415, BgL_newtail1417z00_418); 
{ 
obj_t BgL_tail1416z00_1949;obj_t BgL_l1413z00_1947;
BgL_l1413z00_1947 = 
CDR(BgL_l1413z00_414); 
BgL_tail1416z00_1949 = BgL_newtail1417z00_418; 
BgL_tail1416z00_415 = BgL_tail1416z00_1949; 
BgL_l1413z00_414 = BgL_l1413z00_1947; 
goto BgL_lname1414z00_416;} } } } 
BGl_setzd2fieldzd2methodzd2typezd2zzjas_asz00(BgL_classfilez00_410); 
{ /* Jas/as.scm 41 */
BgL_classez00_bglt BgL_cthisz00_425;BgL_classez00_bglt BgL_cextendz00_426;
BgL_cthisz00_425 = 
BGl_declaredzd2classzd2zzjas_classfilez00(BgL_classfilez00_410, BgL_thisz00_351); 
BgL_cextendz00_426 = 
BGl_declaredzd2classzd2zzjas_classfilez00(BgL_classfilez00_410, BgL_extendz00_352); 
{ /* Jas/as.scm 43 */
obj_t BgL_arg1601z00_427;
BgL_arg1601z00_427 = 
(((BgL_classez00_bglt)CREF(BgL_cthisz00_425))->BgL_flagsz00); 
((((BgL_classfilez00_bglt)CREF(BgL_classfilez00_410))->BgL_flagsz00) = ((obj_t)BgL_arg1601z00_427), BUNSPEC); } 
{ /* Jas/as.scm 44 */
int BgL_arg1605z00_428;
BgL_arg1605z00_428 = 
BGl_poolzd2classzd2zzjas_classfilez00(BgL_classfilez00_410, BgL_cthisz00_425); 
{ /* Jas/as.scm 44 */
obj_t BgL_val1356z00_1020;
BgL_val1356z00_1020 = 
BINT(BgL_arg1605z00_428); 
((((BgL_classfilez00_bglt)CREF(BgL_classfilez00_410))->BgL_mez00) = ((obj_t)BgL_val1356z00_1020), BUNSPEC); } } } 
{ /* Jas/as.scm 45 */
int BgL_arg1612z00_429;
BgL_arg1612z00_429 = 
BGl_poolzd2classzd2byzd2namezd2zzjas_classfilez00(BgL_classfilez00_410, BgL_extendz00_352); 
{ /* Jas/as.scm 45 */
obj_t BgL_val1359z00_1023;
BgL_val1359z00_1023 = 
BINT(BgL_arg1612z00_429); 
((((BgL_classfilez00_bglt)CREF(BgL_classfilez00_410))->BgL_superz00) = ((obj_t)BgL_val1359z00_1023), BUNSPEC); } } 
{ /* Jas/as.scm 46 */
obj_t BgL_arg1616z00_430;
if(
NULLP(BgL_implementsz00_353))
{ /* Jas/as.scm 46 */
BgL_arg1616z00_430 = BNIL; }  else 
{ /* Jas/as.scm 46 */
obj_t BgL_head1422z00_433;
{ /* Jas/as.scm 46 */
int BgL_arg1640z00_444;
BgL_arg1640z00_444 = 
BGl_poolzd2classzd2byzd2namezd2zzjas_classfilez00(BgL_classfilez00_410, 
CAR(BgL_implementsz00_353)); 
{ /* Jas/as.scm 46 */
obj_t BgL_auxz00_1965;
BgL_auxz00_1965 = 
BINT(BgL_arg1640z00_444); 
BgL_head1422z00_433 = 
MAKE_PAIR(BgL_auxz00_1965, BNIL); } } 
{ 
obj_t BgL_l1420z00_434;obj_t BgL_tail1423z00_435;
BgL_l1420z00_434 = 
CDR(BgL_implementsz00_353); 
BgL_tail1423z00_435 = BgL_head1422z00_433; 
BgL_lname1421z00_436:
if(
NULLP(BgL_l1420z00_434))
{ /* Jas/as.scm 46 */
BgL_arg1616z00_430 = BgL_head1422z00_433; }  else 
{ /* Jas/as.scm 46 */
obj_t BgL_newtail1424z00_439;
{ /* Jas/as.scm 46 */
int BgL_arg1630z00_441;
BgL_arg1630z00_441 = 
BGl_poolzd2classzd2byzd2namezd2zzjas_classfilez00(BgL_classfilez00_410, 
CAR(BgL_l1420z00_434)); 
{ /* Jas/as.scm 46 */
obj_t BgL_auxz00_1972;
BgL_auxz00_1972 = 
BINT(BgL_arg1630z00_441); 
BgL_newtail1424z00_439 = 
MAKE_PAIR(BgL_auxz00_1972, BNIL); } } 
SET_CDR(BgL_tail1423z00_435, BgL_newtail1424z00_439); 
{ 
obj_t BgL_tail1423z00_1978;obj_t BgL_l1420z00_1976;
BgL_l1420z00_1976 = 
CDR(BgL_l1420z00_434); 
BgL_tail1423z00_1978 = BgL_newtail1424z00_439; 
BgL_tail1423z00_435 = BgL_tail1423z00_1978; 
BgL_l1420z00_434 = BgL_l1420z00_1976; 
goto BgL_lname1421z00_436;} } } } 
((((BgL_classfilez00_bglt)CREF(BgL_classfilez00_410))->BgL_interfacesz00) = ((obj_t)BgL_arg1616z00_430), BUNSPEC); } 
BGl_scanzd2infoszd2zzjas_asz00(BgL_classfilez00_410, BgL_infosz00_355); 
BgL_auxz00_1912 = BgL_classfilez00_410; } 
return 
(obj_t)(BgL_auxz00_1912);}  else 
{ /* Jas/as.scm 31 */
BgL_tagzd2102zd2_357:
FAILURE(BGl_string2735z00zzjas_asz00,BGl_string2736z00zzjas_asz00,BgL_lz00_5);} }  else 
{ /* Jas/as.scm 31 */
goto BgL_tagzd2102zd2_357;} }  else 
{ /* Jas/as.scm 31 */
goto BgL_tagzd2102zd2_357;} }  else 
{ /* Jas/as.scm 31 */
if(
PAIRP(BgL_gzd2145zd2_378))
{ /* Jas/as.scm 31 */
bool_t BgL_testz00_1988;
{ /* Jas/as.scm 31 */
obj_t BgL_auxz00_1989;
BgL_auxz00_1989 = 
CAR(BgL_gzd2145zd2_378); 
BgL_testz00_1988 = 
SYMBOLP(BgL_auxz00_1989); } 
if(BgL_testz00_1988)
{ /* Jas/as.scm 31 */
BgL_gzd2158zd2_393 = 
CDR(BgL_gzd2145zd2_378); 
BgL_zc3anonymousza31517ze3z83_394:
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(BgL_gzd2158zd2_393, BNIL))
{ /* Jas/as.scm 31 */
if(
PAIRP(BgL_cdrzd2142zd2_374))
{ /* Jas/as.scm 31 */
obj_t BgL_carzd2162zd2_397;
BgL_carzd2162zd2_397 = 
CAR(BgL_cdrzd2142zd2_374); 
if(
PAIRP(BgL_carzd2162zd2_397))
{ /* Jas/as.scm 31 */
bool_t BgL_testz00_1999;
{ /* Jas/as.scm 31 */
obj_t BgL_auxz00_2002;obj_t BgL_auxz00_2000;
BgL_auxz00_2002 = 
CNST_TABLE_REF(((long)1)); 
BgL_auxz00_2000 = 
CAR(BgL_carzd2162zd2_397); 
BgL_testz00_1999 = 
(BgL_auxz00_2000==BgL_auxz00_2002); } 
if(BgL_testz00_1999)
{ /* Jas/as.scm 31 */
BgL_classfilez00_bglt BgL_auxz00_2005;
{ 
obj_t BgL_infosz00_2012;obj_t BgL_declsz00_2010;obj_t BgL_implementsz00_2009;obj_t BgL_extendz00_2008;obj_t BgL_thisz00_2007;obj_t BgL_keyz00_2006;
BgL_keyz00_2006 = BgL_keyz00_361; 
BgL_thisz00_2007 = BgL_carzd2126zd2_363; 
BgL_extendz00_2008 = BgL_carzd2134zd2_368; 
BgL_implementsz00_2009 = BgL_carzd2141zd2_373; 
BgL_declsz00_2010 = 
CDR(BgL_carzd2162zd2_397); 
BgL_infosz00_2012 = 
CDR(BgL_cdrzd2142zd2_374); 
BgL_infosz00_355 = BgL_infosz00_2012; 
BgL_declsz00_354 = BgL_declsz00_2010; 
BgL_implementsz00_353 = BgL_implementsz00_2009; 
BgL_extendz00_352 = BgL_extendz00_2008; 
BgL_thisz00_351 = BgL_thisz00_2007; 
BgL_keyz00_350 = BgL_keyz00_2006; 
goto BgL_tagzd2101zd2_356;} 
return 
(obj_t)(BgL_auxz00_2005);}  else 
{ /* Jas/as.scm 31 */
goto BgL_tagzd2102zd2_357;} }  else 
{ /* Jas/as.scm 31 */
goto BgL_tagzd2102zd2_357;} }  else 
{ /* Jas/as.scm 31 */
goto BgL_tagzd2102zd2_357;} }  else 
{ /* Jas/as.scm 31 */
if(
PAIRP(BgL_gzd2158zd2_393))
{ /* Jas/as.scm 31 */
bool_t BgL_testz00_2017;
{ /* Jas/as.scm 31 */
obj_t BgL_auxz00_2018;
BgL_auxz00_2018 = 
CAR(BgL_gzd2158zd2_393); 
BgL_testz00_2017 = 
SYMBOLP(BgL_auxz00_2018); } 
if(BgL_testz00_2017)
{ 
obj_t BgL_gzd2158zd2_2021;
BgL_gzd2158zd2_2021 = 
CDR(BgL_gzd2158zd2_393); 
BgL_gzd2158zd2_393 = BgL_gzd2158zd2_2021; 
goto BgL_zc3anonymousza31517ze3z83_394;}  else 
{ /* Jas/as.scm 31 */
goto BgL_tagzd2102zd2_357;} }  else 
{ /* Jas/as.scm 31 */
goto BgL_tagzd2102zd2_357;} } }  else 
{ /* Jas/as.scm 31 */
goto BgL_tagzd2102zd2_357;} }  else 
{ /* Jas/as.scm 31 */
goto BgL_tagzd2102zd2_357;} } } }  else 
{ /* Jas/as.scm 31 */
goto BgL_tagzd2102zd2_357;} }  else 
{ /* Jas/as.scm 31 */
goto BgL_tagzd2102zd2_357;} }  else 
{ /* Jas/as.scm 31 */
goto BgL_tagzd2102zd2_357;} }  else 
{ /* Jas/as.scm 31 */
goto BgL_tagzd2102zd2_357;} }  else 
{ /* Jas/as.scm 31 */
goto BgL_tagzd2102zd2_357;} } }  else 
{ /* Jas/as.scm 31 */
goto BgL_tagzd2102zd2_357;} } } 
}



/* set-field-method-type */
bool_t BGl_setzd2fieldzd2methodzd2typezd2zzjas_asz00(BgL_classfilez00_bglt BgL_classfilez00_6)
{ AN_OBJECT;
{ /* Jas/as.scm 51 */
{ 
obj_t BgL_l1425z00_450;
BgL_l1425z00_450 = 
(((BgL_classfilez00_bglt)CREF(BgL_classfilez00_6))->BgL_globalsz00); 
BgL_lname1426z00_451:
if(
PAIRP(BgL_l1425z00_450))
{ /* Jas/as.scm 52 */
{ /* Jas/as.scm 54 */
obj_t BgL_valuez00_455;
{ /* Jas/as.scm 54 */
obj_t BgL_auxz00_2026;
BgL_auxz00_2026 = 
CAR(BgL_l1425z00_450); 
BgL_valuez00_455 = 
CDR(BgL_auxz00_2026); } 
{ /* Jas/as.scm 55 */
bool_t BgL_test1658z00_456;
BgL_test1658z00_456 = 
BGl_iszd2azf3z21zz__objectz00(BgL_valuez00_455, BGl_fieldzd2orzd2methodz00zzjas_classfilez00); 
if(BgL_test1658z00_456)
{ /* Jas/as.scm 57 */
BgL_typez00_bglt BgL_arg1660z00_458;
{ /* Jas/as.scm 57 */
obj_t BgL_auxz00_2031;
{ /* Jas/as.scm 57 */
BgL_fieldzd2orzd2methodz00_bglt BgL_obj1139z00_1048;
BgL_obj1139z00_1048 = 
(BgL_fieldzd2orzd2methodz00_bglt)(BgL_valuez00_455); 
BgL_auxz00_2031 = 
(((BgL_fieldzd2orzd2methodz00_bglt)CREF(BgL_obj1139z00_1048))->BgL_usertypez00); } 
BgL_arg1660z00_458 = 
BGl_aszd2typezd2zzjas_classfilez00(BgL_classfilez00_6, BgL_auxz00_2031); } 
{ /* Jas/as.scm 57 */
BgL_fieldzd2orzd2methodz00_bglt BgL_obj1144z00_1049;obj_t BgL_val1143z00_1050;
BgL_obj1144z00_1049 = 
(BgL_fieldzd2orzd2methodz00_bglt)(BgL_valuez00_455); 
BgL_val1143z00_1050 = 
(obj_t)(BgL_arg1660z00_458); 
((((BgL_fieldzd2orzd2methodz00_bglt)CREF(BgL_obj1144z00_1049))->BgL_typez00) = ((obj_t)BgL_val1143z00_1050), BUNSPEC); } }  else 
{ /* Jas/as.scm 55 */BFALSE; } } } 
{ 
obj_t BgL_l1425z00_2038;
BgL_l1425z00_2038 = 
CDR(BgL_l1425z00_450); 
BgL_l1425z00_450 = BgL_l1425z00_2038; 
goto BgL_lname1426z00_451;} }  else 
{ /* Jas/as.scm 52 */
return ((bool_t)1);} } } 
}



/* scan-infos */
obj_t BGl_scanzd2infoszd2zzjas_asz00(BgL_classfilez00_bglt BgL_classfilez00_7, obj_t BgL_infosz00_8)
{ AN_OBJECT;
{ /* Jas/as.scm 60 */
BGl_scanzd2infoszd2zzjas_asz00:
{ /* Jas/as.scm 62 */
bool_t BgL_test1675z00_461;
BgL_test1675z00_461 = 
NULLP(BgL_infosz00_8); 
if(BgL_test1675z00_461)
{ /* Jas/as.scm 62 */
return 
(obj_t)(BgL_classfilez00_7);}  else 
{ /* Jas/as.scm 63 */
bool_t BgL_testz00_2044;
{ /* Jas/as.scm 63 */
obj_t BgL_auxz00_2049;obj_t BgL_auxz00_2045;
BgL_auxz00_2049 = 
CNST_TABLE_REF(((long)2)); 
{ /* Jas/as.scm 63 */
obj_t BgL_auxz00_2046;
BgL_auxz00_2046 = 
CAR(BgL_infosz00_8); 
BgL_auxz00_2045 = 
CAR(BgL_auxz00_2046); } 
BgL_testz00_2044 = 
(BgL_auxz00_2045==BgL_auxz00_2049); } 
if(BgL_testz00_2044)
{ /* Jas/as.scm 63 */
{ /* Jas/as.scm 65 */
obj_t BgL_arg1678z00_464;
{ /* Jas/as.scm 65 */
obj_t BgL_l1431z00_465;
{ /* Jas/as.scm 65 */
obj_t BgL_auxz00_2052;
BgL_auxz00_2052 = 
CAR(BgL_infosz00_8); 
BgL_l1431z00_465 = 
CDR(BgL_auxz00_2052); } 
if(
NULLP(BgL_l1431z00_465))
{ /* Jas/as.scm 65 */
BgL_arg1678z00_464 = BNIL; }  else 
{ /* Jas/as.scm 65 */
obj_t BgL_head1433z00_467;
BgL_head1433z00_467 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l1431z00_468;obj_t BgL_tail1434z00_469;
BgL_l1431z00_468 = BgL_l1431z00_465; 
BgL_tail1434z00_469 = BgL_head1433z00_467; 
BgL_lname1432z00_470:
if(
NULLP(BgL_l1431z00_468))
{ /* Jas/as.scm 65 */
BgL_arg1678z00_464 = 
CDR(BgL_head1433z00_467); }  else 
{ /* Jas/as.scm 65 */
obj_t BgL_newtail1435z00_472;
{ /* Jas/as.scm 65 */
BgL_fieldz00_bglt BgL_arg1690z00_474;
{ /* Jas/as.scm 65 */
BgL_fieldz00_bglt BgL_fieldz00_1069;
BgL_fieldz00_1069 = 
BGl_declaredzd2fieldzd2zzjas_classfilez00(BgL_classfilez00_7, 
CAR(BgL_l1431z00_468)); 
BGl_poolzd2fieldzd2zzjas_classfilez00(BgL_classfilez00_7, BgL_fieldz00_1069); 
BgL_arg1690z00_474 = BgL_fieldz00_1069; } 
{ /* Jas/as.scm 65 */
obj_t BgL_auxz00_2064;
BgL_auxz00_2064 = 
(obj_t)(BgL_arg1690z00_474); 
BgL_newtail1435z00_472 = 
MAKE_PAIR(BgL_auxz00_2064, BNIL); } } 
SET_CDR(BgL_tail1434z00_469, BgL_newtail1435z00_472); 
{ 
obj_t BgL_tail1434z00_2070;obj_t BgL_l1431z00_2068;
BgL_l1431z00_2068 = 
CDR(BgL_l1431z00_468); 
BgL_tail1434z00_2070 = BgL_newtail1435z00_472; 
BgL_tail1434z00_469 = BgL_tail1434z00_2070; 
BgL_l1431z00_468 = BgL_l1431z00_2068; 
goto BgL_lname1432z00_470;} } } } } 
((((BgL_classfilez00_bglt)CREF(BgL_classfilez00_7))->BgL_fieldsz00) = ((obj_t)BgL_arg1678z00_464), BUNSPEC); } 
{ 
obj_t BgL_infosz00_2072;
BgL_infosz00_2072 = 
CDR(BgL_infosz00_8); 
BgL_infosz00_8 = BgL_infosz00_2072; 
goto BGl_scanzd2infoszd2zzjas_asz00;} }  else 
{ /* Jas/as.scm 67 */
bool_t BgL_testz00_2074;
{ /* Jas/as.scm 67 */
obj_t BgL_auxz00_2079;obj_t BgL_auxz00_2075;
BgL_auxz00_2079 = 
CNST_TABLE_REF(((long)3)); 
{ /* Jas/as.scm 67 */
obj_t BgL_auxz00_2076;
BgL_auxz00_2076 = 
CAR(BgL_infosz00_8); 
BgL_auxz00_2075 = 
CAR(BgL_auxz00_2076); } 
BgL_testz00_2074 = 
(BgL_auxz00_2075==BgL_auxz00_2079); } 
if(BgL_testz00_2074)
{ /* Jas/as.scm 67 */
{ /* Jas/as.scm 69 */
obj_t BgL_arg1705z00_480;
{ /* Jas/as.scm 69 */
BgL_attributez00_bglt BgL_arg1708z00_481;obj_t BgL_arg1709z00_482;
{ /* Jas/as.scm 69 */
obj_t BgL_auxz00_2082;
{ /* Jas/as.scm 69 */
obj_t BgL_auxz00_2083;
{ /* Jas/as.scm 69 */
obj_t BgL_auxz00_2084;
BgL_auxz00_2084 = 
CAR(BgL_infosz00_8); 
BgL_auxz00_2083 = 
CDR(BgL_auxz00_2084); } 
BgL_auxz00_2082 = 
CAR(BgL_auxz00_2083); } 
BgL_arg1708z00_481 = 
BGl_srcfilez00zzjas_asz00(BgL_classfilez00_7, BgL_auxz00_2082); } 
BgL_arg1709z00_482 = 
(((BgL_classfilez00_bglt)CREF(BgL_classfilez00_7))->BgL_attributesz00); 
{ /* Jas/as.scm 69 */
obj_t BgL_auxz00_2090;
BgL_auxz00_2090 = 
(obj_t)(BgL_arg1708z00_481); 
BgL_arg1705z00_480 = 
MAKE_PAIR(BgL_auxz00_2090, BgL_arg1709z00_482); } } 
((((BgL_classfilez00_bglt)CREF(BgL_classfilez00_7))->BgL_attributesz00) = ((obj_t)BgL_arg1705z00_480), BUNSPEC); } 
{ 
obj_t BgL_infosz00_2094;
BgL_infosz00_2094 = 
CDR(BgL_infosz00_8); 
BgL_infosz00_8 = BgL_infosz00_2094; 
goto BGl_scanzd2infoszd2zzjas_asz00;} }  else 
{ /* Jas/as.scm 67 */
{ /* Jas/as.scm 73 */
obj_t BgL_arg1721z00_486;
if(BgL_test1675z00_461)
{ /* Jas/as.scm 73 */
BgL_arg1721z00_486 = BNIL; }  else 
{ /* Jas/as.scm 73 */
obj_t BgL_head1442z00_489;
BgL_head1442z00_489 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l1440z00_490;obj_t BgL_tail1443z00_491;
BgL_l1440z00_490 = BgL_infosz00_8; 
BgL_tail1443z00_491 = BgL_head1442z00_489; 
BgL_lname1441z00_492:
if(
NULLP(BgL_l1440z00_490))
{ /* Jas/as.scm 73 */
BgL_arg1721z00_486 = 
CDR(BgL_head1442z00_489); }  else 
{ /* Jas/as.scm 73 */
obj_t BgL_newtail1444z00_494;
{ /* Jas/as.scm 73 */
obj_t BgL_arg1733z00_496;
BgL_arg1733z00_496 = 
BGl_aszd2methodzd2zzjas_asz00(BgL_classfilez00_7, 
CAR(BgL_l1440z00_490)); 
BgL_newtail1444z00_494 = 
MAKE_PAIR(BgL_arg1733z00_496, BNIL); } 
SET_CDR(BgL_tail1443z00_491, BgL_newtail1444z00_494); 
{ 
obj_t BgL_tail1443z00_2107;obj_t BgL_l1440z00_2105;
BgL_l1440z00_2105 = 
CDR(BgL_l1440z00_490); 
BgL_tail1443z00_2107 = BgL_newtail1444z00_494; 
BgL_tail1443z00_491 = BgL_tail1443z00_2107; 
BgL_l1440z00_490 = BgL_l1440z00_2105; 
goto BgL_lname1441z00_492;} } } } 
return 
((((BgL_classfilez00_bglt)CREF(BgL_classfilez00_7))->BgL_methodsz00) = ((obj_t)BgL_arg1721z00_486), BUNSPEC);} } } } } } 
}



/* srcfile */
BgL_attributez00_bglt BGl_srcfilez00zzjas_asz00(BgL_classfilez00_bglt BgL_classfilez00_9, obj_t BgL_namez00_10)
{ AN_OBJECT;
{ /* Jas/as.scm 78 */
{ /* Jas/as.scm 80 */
obj_t BgL_arg1757z00_503;int BgL_arg1759z00_504;long BgL_arg1760z00_505;int BgL_arg1761z00_506;
BgL_arg1757z00_503 = 
CNST_TABLE_REF(((long)4)); 
BgL_arg1759z00_504 = 
BGl_poolzd2namezd2zzjas_classfilez00(BgL_classfilez00_9, BGl_string2737z00zzjas_asz00); 
BgL_arg1760z00_505 = ((long)2); 
BgL_arg1761z00_506 = 
BGl_poolzd2namezd2zzjas_classfilez00(BgL_classfilez00_9, BgL_namez00_10); 
{ /* Jas/as.scm 79 */
BgL_attributez00_bglt BgL_res2564z00_1126;
{ /* Jas/as.scm 79 */
obj_t BgL_name1333z00_1106;obj_t BgL_siza7e1334za7_1107;obj_t BgL_info1335z00_1108;
BgL_name1333z00_1106 = 
BINT(BgL_arg1759z00_504); 
BgL_siza7e1334za7_1107 = 
BINT(BgL_arg1760z00_505); 
BgL_info1335z00_1108 = 
BINT(BgL_arg1761z00_506); 
{ /* Jas/as.scm 79 */
BgL_attributez00_bglt BgL_new1336z00_1109;
{ /* Jas/as.scm 79 */
BgL_attributez00_bglt BgL_res2562z00_1115;
{ /* Jas/as.scm 79 */
BgL_attributez00_bglt BgL_new1338z00_1110;
BgL_new1338z00_1110 = 
((BgL_attributez00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_attributez00_bgl) ))); 
{ /* Jas/as.scm 79 */
long BgL_arg2472z00_1111;
BgL_arg2472z00_1111 = 
BGl_classzd2numzd2zz__objectz00(BGl_attributez00zzjas_classfilez00); 
{ /* Jas/as.scm 79 */
BgL_objectz00_bglt BgL_auxz00_2117;
BgL_auxz00_2117 = 
(BgL_objectz00_bglt)(BgL_new1338z00_1110); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2117, BgL_arg2472z00_1111); } } 
{ /* Jas/as.scm 79 */
BgL_objectz00_bglt BgL_auxz00_2120;
BgL_auxz00_2120 = 
(BgL_objectz00_bglt)(BgL_new1338z00_1110); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2120, BFALSE); } 
{ /* Jas/as.scm 79 */
obj_t BgL_auxz00_2123;
BgL_auxz00_2123 = 
(obj_t)(BgL_new1338z00_1110); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2123); } BUNSPEC; 
BgL_res2562z00_1115 = BgL_new1338z00_1110; } 
BgL_new1336z00_1109 = BgL_res2562z00_1115; } 
{ /* Jas/as.scm 79 */
BgL_attributez00_bglt BgL_res2563z00_1125;
((((BgL_attributez00_bglt)CREF(BgL_new1336z00_1109))->BgL_typez00) = ((obj_t)BgL_arg1757z00_503), BUNSPEC); 
((((BgL_attributez00_bglt)CREF(BgL_new1336z00_1109))->BgL_namez00) = ((obj_t)BgL_name1333z00_1106), BUNSPEC); 
((((BgL_attributez00_bglt)CREF(BgL_new1336z00_1109))->BgL_siza7eza7) = ((obj_t)BgL_siza7e1334za7_1107), BUNSPEC); 
((((BgL_attributez00_bglt)CREF(BgL_new1336z00_1109))->BgL_infoz00) = ((obj_t)BgL_info1335z00_1108), BUNSPEC); 
BgL_res2563z00_1125 = BgL_new1336z00_1109; BgL_res2563z00_1125; } 
BgL_res2564z00_1126 = BgL_new1336z00_1109; } } 
return BgL_res2564z00_1126;} } } 
}



/* as-declare */
obj_t BGl_aszd2declarezd2zzjas_asz00(BgL_classfilez00_bglt BgL_classfilez00_11, obj_t BgL_declz00_12)
{ AN_OBJECT;
{ /* Jas/as.scm 88 */
{ 
obj_t BgL_gnamez00_507;obj_t BgL_valuez00_508;
if(
PAIRP(BgL_declz00_12))
{ /* Jas/as.scm 89 */
obj_t BgL_cdrzd2179zd2_513;
BgL_cdrzd2179zd2_513 = 
CDR(BgL_declz00_12); 
if(
PAIRP(BgL_cdrzd2179zd2_513))
{ /* Jas/as.scm 89 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2179zd2_513), BNIL))
{ /* Jas/as.scm 89 */
BgL_gnamez00_507 = 
CAR(BgL_declz00_12); 
BgL_valuez00_508 = 
CAR(BgL_cdrzd2179zd2_513); 
{ /* Jas/as.scm 91 */
obj_t BgL_arg1789z00_520;
{ 
obj_t BgL_classz00_529;obj_t BgL_modifiersz00_530;obj_t BgL_tretz00_531;obj_t BgL_namez00_532;obj_t BgL_targsz00_533;obj_t BgL_modifiersz00_521;obj_t BgL_namez00_522;
if(
PAIRP(BgL_valuez00_508))
{ /* Jas/as.scm 91 */
obj_t BgL_cdrzd2199zd2_538;
BgL_cdrzd2199zd2_538 = 
CDR(BgL_valuez00_508); 
{ /* Jas/as.scm 91 */
bool_t BgL_testz00_2141;
{ /* Jas/as.scm 91 */
obj_t BgL_auxz00_2144;obj_t BgL_auxz00_2142;
BgL_auxz00_2144 = 
CNST_TABLE_REF(((long)6)); 
BgL_auxz00_2142 = 
CAR(BgL_valuez00_508); 
BgL_testz00_2141 = 
(BgL_auxz00_2142==BgL_auxz00_2144); } 
if(BgL_testz00_2141)
{ /* Jas/as.scm 91 */
if(
PAIRP(BgL_cdrzd2199zd2_538))
{ /* Jas/as.scm 91 */
obj_t BgL_cdrzd2203zd2_541;
BgL_cdrzd2203zd2_541 = 
CDR(BgL_cdrzd2199zd2_538); 
if(
PAIRP(BgL_cdrzd2203zd2_541))
{ /* Jas/as.scm 91 */
obj_t BgL_carzd2206zd2_543;
BgL_carzd2206zd2_543 = 
CAR(BgL_cdrzd2203zd2_541); 
if(
STRINGP(BgL_carzd2206zd2_543))
{ /* Jas/as.scm 91 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2203zd2_541), BNIL))
{ /* Jas/as.scm 91 */
BgL_classez00_bglt BgL_auxz00_2158;
BgL_modifiersz00_521 = 
CAR(BgL_cdrzd2199zd2_538); 
BgL_namez00_522 = BgL_carzd2206zd2_543; 
{ /* Jas/as.scm 94 */
obj_t BgL_namezf2zf2_587;
BgL_namezf2zf2_587 = 
BGl_pathnamez00zzjas_asz00(BgL_namez00_522); 
{ /* Jas/as.scm 96 */
obj_t BgL_arg1917z00_588;long BgL_arg1918z00_589;obj_t BgL_arg1920z00_590;
BgL_arg1917z00_588 = 
string_append_3(BGl_string2738z00zzjas_asz00, BgL_namezf2zf2_587, BGl_string2739z00zzjas_asz00); 
BgL_arg1918z00_589 = 
BGl_aszd2classzd2modifiersz00zzjas_asz00(BgL_modifiersz00_521); 
BgL_arg1920z00_590 = BgL_namezf2zf2_587; 
{ /* Jas/as.scm 95 */
BgL_classez00_bglt BgL_res2570z00_1243;
{ /* Jas/as.scm 95 */
obj_t BgL_flags1122z00_1221;
BgL_flags1122z00_1221 = 
BINT(BgL_arg1918z00_589); 
{ /* Jas/as.scm 95 */
BgL_classez00_bglt BgL_new1125z00_1224;
{ /* Jas/as.scm 95 */
BgL_classez00_bglt BgL_res2568z00_1230;
{ /* Jas/as.scm 95 */
BgL_classez00_bglt BgL_new1127z00_1225;
BgL_new1127z00_1225 = 
((BgL_classez00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_classez00_bgl) ))); 
{ /* Jas/as.scm 95 */
long BgL_arg2508z00_1226;
BgL_arg2508z00_1226 = 
BGl_classzd2numzd2zz__objectz00(BGl_classez00zzjas_classfilez00); 
{ /* Jas/as.scm 95 */
BgL_objectz00_bglt BgL_auxz00_2165;
BgL_auxz00_2165 = 
(BgL_objectz00_bglt)(BgL_new1127z00_1225); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2165, BgL_arg2508z00_1226); } } 
{ /* Jas/as.scm 95 */
BgL_objectz00_bglt BgL_auxz00_2168;
BgL_auxz00_2168 = 
(BgL_objectz00_bglt)(BgL_new1127z00_1225); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2168, BFALSE); } 
{ /* Jas/as.scm 95 */
obj_t BgL_auxz00_2171;
BgL_auxz00_2171 = 
(obj_t)(BgL_new1127z00_1225); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2171); } BUNSPEC; 
BgL_res2568z00_1230 = BgL_new1127z00_1225; } 
BgL_new1125z00_1224 = BgL_res2568z00_1230; } 
{ /* Jas/as.scm 95 */
BgL_classez00_bglt BgL_res2569z00_1242;
((((BgL_classez00_bglt)CREF(BgL_new1125z00_1224))->BgL_codez00) = ((obj_t)BgL_arg1917z00_588), BUNSPEC); 
((((BgL_classez00_bglt)CREF(BgL_new1125z00_1224))->BgL_vectz00) = ((obj_t)BFALSE), BUNSPEC); 
((((BgL_classez00_bglt)CREF(BgL_new1125z00_1224))->BgL_flagsz00) = ((obj_t)BgL_flags1122z00_1221), BUNSPEC); 
((((BgL_classez00_bglt)CREF(BgL_new1125z00_1224))->BgL_namez00) = ((obj_t)BgL_arg1920z00_590), BUNSPEC); 
((((BgL_classez00_bglt)CREF(BgL_new1125z00_1224))->BgL_poolz00) = ((obj_t)BFALSE), BUNSPEC); 
BgL_res2569z00_1242 = BgL_new1125z00_1224; BgL_res2569z00_1242; } 
BgL_res2570z00_1243 = BgL_new1125z00_1224; } } 
BgL_auxz00_2158 = BgL_res2570z00_1243; } } } 
BgL_arg1789z00_520 = 
(obj_t)(BgL_auxz00_2158); }  else 
{ /* Jas/as.scm 91 */
BgL_tagzd2188zd2_535:
BgL_arg1789z00_520 = 
BGl_jaszd2errorzd2zzjas_classfilez00(BgL_classfilez00_11, BGl_string2740z00zzjas_asz00, BgL_declz00_12); } }  else 
{ /* Jas/as.scm 91 */
goto BgL_tagzd2188zd2_535;} }  else 
{ /* Jas/as.scm 91 */
goto BgL_tagzd2188zd2_535;} }  else 
{ /* Jas/as.scm 91 */
goto BgL_tagzd2188zd2_535;} }  else 
{ /* Jas/as.scm 91 */
bool_t BgL_testz00_2182;
{ /* Jas/as.scm 91 */
obj_t BgL_auxz00_2185;obj_t BgL_auxz00_2183;
BgL_auxz00_2185 = 
CNST_TABLE_REF(((long)7)); 
BgL_auxz00_2183 = 
CAR(BgL_valuez00_508); 
BgL_testz00_2182 = 
(BgL_auxz00_2183==BgL_auxz00_2185); } 
if(BgL_testz00_2182)
{ /* Jas/as.scm 91 */
if(
PAIRP(BgL_cdrzd2199zd2_538))
{ /* Jas/as.scm 91 */
obj_t BgL_cdrzd2308zd2_552;
BgL_cdrzd2308zd2_552 = 
CDR(BgL_cdrzd2199zd2_538); 
if(
PAIRP(BgL_cdrzd2308zd2_552))
{ /* Jas/as.scm 91 */
obj_t BgL_cdrzd2314zd2_554;
BgL_cdrzd2314zd2_554 = 
CDR(BgL_cdrzd2308zd2_552); 
if(
PAIRP(BgL_cdrzd2314zd2_554))
{ /* Jas/as.scm 91 */
obj_t BgL_cdrzd2319zd2_556;
BgL_cdrzd2319zd2_556 = 
CDR(BgL_cdrzd2314zd2_554); 
if(
PAIRP(BgL_cdrzd2319zd2_556))
{ /* Jas/as.scm 91 */
obj_t BgL_carzd2322zd2_558;
BgL_carzd2322zd2_558 = 
CAR(BgL_cdrzd2319zd2_556); 
if(
STRINGP(BgL_carzd2322zd2_558))
{ /* Jas/as.scm 91 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2319zd2_556), BNIL))
{ /* Jas/as.scm 91 */
long BgL_arg1926z00_1162;obj_t BgL_arg1929z00_1163;obj_t BgL_arg1930z00_1164;obj_t BgL_arg1932z00_1165;
BgL_arg1926z00_1162 = 
BGl_aszd2fieldzd2modifiersz00zzjas_asz00(
CAR(BgL_cdrzd2308zd2_552)); 
BgL_arg1929z00_1163 = BgL_carzd2322zd2_558; 
BgL_arg1930z00_1164 = 
CAR(BgL_cdrzd2199zd2_538); 
BgL_arg1932z00_1165 = 
CAR(BgL_cdrzd2314zd2_554); 
{ /* Jas/as.scm 91 */
BgL_fieldz00_bglt BgL_res2567z00_1203;
{ /* Jas/as.scm 91 */
obj_t BgL_flags1237z00_1167;
BgL_flags1237z00_1167 = 
BINT(BgL_arg1926z00_1162); 
{ /* Jas/as.scm 91 */
BgL_fieldz00_bglt BgL_new1246z00_1176;
{ /* Jas/as.scm 91 */
BgL_fieldz00_bglt BgL_res2565z00_1182;
{ /* Jas/as.scm 91 */
BgL_fieldz00_bglt BgL_new1248z00_1177;
BgL_new1248z00_1177 = 
((BgL_fieldz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_fieldz00_bgl) ))); 
{ /* Jas/as.scm 91 */
long BgL_arg2490z00_1178;
BgL_arg2490z00_1178 = 
BGl_classzd2numzd2zz__objectz00(BGl_fieldz00zzjas_classfilez00); 
{ /* Jas/as.scm 91 */
BgL_objectz00_bglt BgL_auxz00_2212;
BgL_auxz00_2212 = 
(BgL_objectz00_bglt)(BgL_new1248z00_1177); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2212, BgL_arg2490z00_1178); } } 
{ /* Jas/as.scm 91 */
BgL_objectz00_bglt BgL_auxz00_2215;
BgL_auxz00_2215 = 
(BgL_objectz00_bglt)(BgL_new1248z00_1177); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2215, BFALSE); } 
{ /* Jas/as.scm 91 */
obj_t BgL_auxz00_2218;
BgL_auxz00_2218 = 
(obj_t)(BgL_new1248z00_1177); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2218); } BUNSPEC; 
BgL_res2565z00_1182 = BgL_new1248z00_1177; } 
BgL_new1246z00_1176 = BgL_res2565z00_1182; } 
{ /* Jas/as.scm 91 */
BgL_fieldz00_bglt BgL_res2566z00_1202;
((((BgL_fieldz00_bglt)CREF(BgL_new1246z00_1176))->BgL_flagsz00) = ((obj_t)BgL_flags1237z00_1167), BUNSPEC); 
((((BgL_fieldz00_bglt)CREF(BgL_new1246z00_1176))->BgL_namez00) = ((obj_t)BgL_arg1929z00_1163), BUNSPEC); 
((((BgL_fieldz00_bglt)CREF(BgL_new1246z00_1176))->BgL_ownerz00) = ((obj_t)BgL_arg1930z00_1164), BUNSPEC); 
((((BgL_fieldz00_bglt)CREF(BgL_new1246z00_1176))->BgL_usertypez00) = ((obj_t)BgL_arg1932z00_1165), BUNSPEC); 
((((BgL_fieldz00_bglt)CREF(BgL_new1246z00_1176))->BgL_typez00) = ((obj_t)BFALSE), BUNSPEC); 
((((BgL_fieldz00_bglt)CREF(BgL_new1246z00_1176))->BgL_pnamez00) = ((obj_t)BFALSE), BUNSPEC); 
((((BgL_fieldz00_bglt)CREF(BgL_new1246z00_1176))->BgL_descriptorz00) = ((obj_t)BFALSE), BUNSPEC); 
((((BgL_fieldz00_bglt)CREF(BgL_new1246z00_1176))->BgL_poolz00) = ((obj_t)BFALSE), BUNSPEC); 
((((BgL_fieldz00_bglt)CREF(BgL_new1246z00_1176))->BgL_attributesz00) = ((obj_t)BNIL), BUNSPEC); 
BgL_res2566z00_1202 = BgL_new1246z00_1176; BgL_res2566z00_1202; } 
BgL_res2567z00_1203 = BgL_new1246z00_1176; } } 
BgL_arg1789z00_520 = 
(obj_t)(BgL_res2567z00_1203); } }  else 
{ /* Jas/as.scm 91 */
goto BgL_tagzd2188zd2_535;} }  else 
{ /* Jas/as.scm 91 */
goto BgL_tagzd2188zd2_535;} }  else 
{ /* Jas/as.scm 91 */
goto BgL_tagzd2188zd2_535;} }  else 
{ /* Jas/as.scm 91 */
goto BgL_tagzd2188zd2_535;} }  else 
{ /* Jas/as.scm 91 */
goto BgL_tagzd2188zd2_535;} }  else 
{ /* Jas/as.scm 91 */
goto BgL_tagzd2188zd2_535;} }  else 
{ /* Jas/as.scm 91 */
obj_t BgL_cdrzd2398zd2_566;
BgL_cdrzd2398zd2_566 = 
CDR(BgL_valuez00_508); 
{ /* Jas/as.scm 91 */
bool_t BgL_testz00_2232;
{ /* Jas/as.scm 91 */
obj_t BgL_auxz00_2235;obj_t BgL_auxz00_2233;
BgL_auxz00_2235 = 
CNST_TABLE_REF(((long)8)); 
BgL_auxz00_2233 = 
CAR(BgL_valuez00_508); 
BgL_testz00_2232 = 
(BgL_auxz00_2233==BgL_auxz00_2235); } 
if(BgL_testz00_2232)
{ /* Jas/as.scm 91 */
if(
PAIRP(BgL_cdrzd2398zd2_566))
{ /* Jas/as.scm 91 */
obj_t BgL_cdrzd2405zd2_569;
BgL_cdrzd2405zd2_569 = 
CDR(BgL_cdrzd2398zd2_566); 
if(
PAIRP(BgL_cdrzd2405zd2_569))
{ /* Jas/as.scm 91 */
obj_t BgL_cdrzd2412zd2_571;
BgL_cdrzd2412zd2_571 = 
CDR(BgL_cdrzd2405zd2_569); 
if(
PAIRP(BgL_cdrzd2412zd2_571))
{ /* Jas/as.scm 91 */
obj_t BgL_cdrzd2418zd2_573;
BgL_cdrzd2418zd2_573 = 
CDR(BgL_cdrzd2412zd2_571); 
if(
PAIRP(BgL_cdrzd2418zd2_573))
{ /* Jas/as.scm 91 */
obj_t BgL_carzd2422zd2_575;
BgL_carzd2422zd2_575 = 
CAR(BgL_cdrzd2418zd2_573); 
if(
STRINGP(BgL_carzd2422zd2_575))
{ /* Jas/as.scm 91 */
BgL_methodz00_bglt BgL_auxz00_2252;
BgL_classz00_529 = 
CAR(BgL_cdrzd2398zd2_566); 
BgL_modifiersz00_530 = 
CAR(BgL_cdrzd2405zd2_569); 
BgL_tretz00_531 = 
CAR(BgL_cdrzd2412zd2_571); 
BgL_namez00_532 = BgL_carzd2422zd2_575; 
BgL_targsz00_533 = 
CDR(BgL_cdrzd2418zd2_573); 
{ /* Jas/as.scm 107 */
long BgL_arg1937z00_596;obj_t BgL_arg1939z00_597;obj_t BgL_arg1940z00_598;obj_t BgL_arg1941z00_599;
BgL_arg1937z00_596 = 
BGl_aszd2methodzd2modifiersz00zzjas_asz00(BgL_modifiersz00_530); 
BgL_arg1939z00_597 = BgL_namez00_532; 
BgL_arg1940z00_598 = BgL_classz00_529; 
{ /* Jas/as.scm 110 */
obj_t BgL_arg1947z00_601;obj_t BgL_arg1948z00_602;
BgL_arg1947z00_601 = 
CNST_TABLE_REF(((long)5)); 
{ /* Jas/as.scm 110 */
obj_t BgL_auxz00_2255;
BgL_auxz00_2255 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_targsz00_533, BNIL); 
BgL_arg1948z00_602 = 
MAKE_PAIR(BgL_tretz00_531, BgL_auxz00_2255); } 
BgL_arg1941z00_599 = 
MAKE_PAIR(BgL_arg1947z00_601, BgL_arg1948z00_602); } 
{ /* Jas/as.scm 106 */
BgL_methodz00_bglt BgL_res2576z00_1322;
{ /* Jas/as.scm 106 */
obj_t BgL_flags1297z00_1286;
BgL_flags1297z00_1286 = 
BINT(BgL_arg1937z00_596); 
{ /* Jas/as.scm 106 */
BgL_methodz00_bglt BgL_new1306z00_1295;
{ /* Jas/as.scm 106 */
BgL_methodz00_bglt BgL_res2574z00_1301;
{ /* Jas/as.scm 106 */
BgL_methodz00_bglt BgL_new1308z00_1296;
BgL_new1308z00_1296 = 
((BgL_methodz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_methodz00_bgl) ))); 
{ /* Jas/as.scm 106 */
long BgL_arg2481z00_1297;
BgL_arg2481z00_1297 = 
BGl_classzd2numzd2zz__objectz00(BGl_methodz00zzjas_classfilez00); 
{ /* Jas/as.scm 106 */
BgL_objectz00_bglt BgL_auxz00_2262;
BgL_auxz00_2262 = 
(BgL_objectz00_bglt)(BgL_new1308z00_1296); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2262, BgL_arg2481z00_1297); } } 
{ /* Jas/as.scm 106 */
BgL_objectz00_bglt BgL_auxz00_2265;
BgL_auxz00_2265 = 
(BgL_objectz00_bglt)(BgL_new1308z00_1296); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2265, BFALSE); } 
{ /* Jas/as.scm 106 */
obj_t BgL_auxz00_2268;
BgL_auxz00_2268 = 
(obj_t)(BgL_new1308z00_1296); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2268); } BUNSPEC; 
BgL_res2574z00_1301 = BgL_new1308z00_1296; } 
BgL_new1306z00_1295 = BgL_res2574z00_1301; } 
{ /* Jas/as.scm 106 */
BgL_methodz00_bglt BgL_res2575z00_1321;
((((BgL_methodz00_bglt)CREF(BgL_new1306z00_1295))->BgL_flagsz00) = ((obj_t)BgL_flags1297z00_1286), BUNSPEC); 
((((BgL_methodz00_bglt)CREF(BgL_new1306z00_1295))->BgL_namez00) = ((obj_t)BgL_arg1939z00_597), BUNSPEC); 
((((BgL_methodz00_bglt)CREF(BgL_new1306z00_1295))->BgL_ownerz00) = ((obj_t)BgL_arg1940z00_598), BUNSPEC); 
((((BgL_methodz00_bglt)CREF(BgL_new1306z00_1295))->BgL_usertypez00) = ((obj_t)BgL_arg1941z00_599), BUNSPEC); 
((((BgL_methodz00_bglt)CREF(BgL_new1306z00_1295))->BgL_typez00) = ((obj_t)BFALSE), BUNSPEC); 
((((BgL_methodz00_bglt)CREF(BgL_new1306z00_1295))->BgL_pnamez00) = ((obj_t)BFALSE), BUNSPEC); 
((((BgL_methodz00_bglt)CREF(BgL_new1306z00_1295))->BgL_descriptorz00) = ((obj_t)BFALSE), BUNSPEC); 
((((BgL_methodz00_bglt)CREF(BgL_new1306z00_1295))->BgL_poolz00) = ((obj_t)BFALSE), BUNSPEC); 
((((BgL_methodz00_bglt)CREF(BgL_new1306z00_1295))->BgL_attributesz00) = ((obj_t)BNIL), BUNSPEC); 
BgL_res2575z00_1321 = BgL_new1306z00_1295; BgL_res2575z00_1321; } 
BgL_res2576z00_1322 = BgL_new1306z00_1295; } } 
BgL_auxz00_2252 = BgL_res2576z00_1322; } } 
BgL_arg1789z00_520 = 
(obj_t)(BgL_auxz00_2252); }  else 
{ /* Jas/as.scm 91 */
goto BgL_tagzd2188zd2_535;} }  else 
{ /* Jas/as.scm 91 */
goto BgL_tagzd2188zd2_535;} }  else 
{ /* Jas/as.scm 91 */
goto BgL_tagzd2188zd2_535;} }  else 
{ /* Jas/as.scm 91 */
goto BgL_tagzd2188zd2_535;} }  else 
{ /* Jas/as.scm 91 */
goto BgL_tagzd2188zd2_535;} }  else 
{ /* Jas/as.scm 91 */
goto BgL_tagzd2188zd2_535;} } } } } }  else 
{ /* Jas/as.scm 91 */
goto BgL_tagzd2188zd2_535;} } 
return 
BGl_aszd2assignzd2zzjas_classfilez00(BgL_classfilez00_11, BgL_gnamez00_507, BgL_arg1789z00_520);} }  else 
{ /* Jas/as.scm 89 */
BgL_tagzd2172zd2_510:
return 
BGl_jaszd2errorzd2zzjas_classfilez00(BgL_classfilez00_11, BGl_string2740z00zzjas_asz00, BgL_declz00_12);} }  else 
{ /* Jas/as.scm 89 */
goto BgL_tagzd2172zd2_510;} }  else 
{ /* Jas/as.scm 89 */
goto BgL_tagzd2172zd2_510;} } } 
}



/* pathname */
obj_t BGl_pathnamez00zzjas_asz00(obj_t BgL_strz00_13)
{ AN_OBJECT;
{ /* Jas/as.scm 114 */
{ /* Jas/as.scm 115 */
int BgL_lenz00_604;
BgL_lenz00_604 = 
STRING_LENGTH(BgL_strz00_13); 
{ /* Jas/as.scm 115 */
obj_t BgL_resz00_605;
{ /* Jas/as.scm 116 */
obj_t BgL_res2577z00_1330;
BgL_res2577z00_1330 = 
make_string(BgL_lenz00_604, ((unsigned char)' ')); 
BgL_resz00_605 = BgL_res2577z00_1330; } 
{ /* Jas/as.scm 116 */

{ 
long BgL_iz00_606;
{ /* Jas/as.scm 117 */
long BgL_auxz00_2313;
BgL_auxz00_2313 = 
(long)(BgL_lenz00_604); 
BgL_iz00_606 = 
(BgL_auxz00_2313-((long)1)); } 
BgL_loopz00_607:
if(
(BgL_iz00_606==((long)-1)))
{ /* Jas/as.scm 119 */
return BgL_resz00_605;}  else 
{ /* Jas/as.scm 121 */
bool_t BgL_testz00_2293;
{ /* Jas/as.scm 121 */
unsigned char BgL_auxz00_2294;
{ /* Jas/as.scm 121 */
int BgL_auxz00_2295;
BgL_auxz00_2295 = 
(int)(BgL_iz00_606); 
BgL_auxz00_2294 = 
STRING_REF(BgL_strz00_13, BgL_auxz00_2295); } 
BgL_testz00_2293 = 
(BgL_auxz00_2294==((unsigned char)'.')); } 
if(BgL_testz00_2293)
{ /* Jas/as.scm 121 */
{ /* Jas/as.scm 122 */
int BgL_auxz00_2299;
BgL_auxz00_2299 = 
(int)(BgL_iz00_606); 
STRING_SET(BgL_resz00_605, BgL_auxz00_2299, ((unsigned char)'/')); } 
{ 
long BgL_iz00_2302;
BgL_iz00_2302 = 
(BgL_iz00_606-((long)1)); 
BgL_iz00_606 = BgL_iz00_2302; 
goto BgL_loopz00_607;} }  else 
{ /* Jas/as.scm 121 */
{ /* Jas/as.scm 125 */
unsigned char BgL_auxz00_2306;int BgL_auxz00_2304;
{ /* Jas/as.scm 125 */
int BgL_auxz00_2307;
BgL_auxz00_2307 = 
(int)(BgL_iz00_606); 
BgL_auxz00_2306 = 
STRING_REF(BgL_strz00_13, BgL_auxz00_2307); } 
BgL_auxz00_2304 = 
(int)(BgL_iz00_606); 
STRING_SET(BgL_resz00_605, BgL_auxz00_2304, BgL_auxz00_2306); } 
{ 
long BgL_iz00_2311;
BgL_iz00_2311 = 
(BgL_iz00_606-((long)1)); 
BgL_iz00_606 = BgL_iz00_2311; 
goto BgL_loopz00_607;} } } } } } } } 
}



/* as-class-modifiers */
long BGl_aszd2classzd2modifiersz00zzjas_asz00(obj_t BgL_modifiersz00_14)
{ AN_OBJECT;
{ /* Jas/as.scm 129 */
{ /* Jas/as.scm 130 */
long BgL_rz00_616;
BgL_rz00_616 = ((long)0); 
{ 
obj_t BgL_l1449z00_617;
BgL_l1449z00_617 = BgL_modifiersz00_14; 
BgL_lname1450z00_618:
if(
PAIRP(BgL_l1449z00_617))
{ /* Jas/as.scm 131 */
{ /* Jas/as.scm 133 */
obj_t BgL_namez00_620;
BgL_namez00_620 = 
CAR(BgL_l1449z00_617); 
{ /* Jas/as.scm 133 */
bool_t BgL_testz00_2319;
{ /* Jas/as.scm 133 */
obj_t BgL_auxz00_2320;
BgL_auxz00_2320 = 
CNST_TABLE_REF(((long)9)); 
BgL_testz00_2319 = 
(BgL_namez00_620==BgL_auxz00_2320); } 
if(BgL_testz00_2319)
{ /* Jas/as.scm 134 */
long BgL_xz00_1353;
BgL_xz00_1353 = BgL_rz00_616; 
BgL_rz00_616 = 
(BgL_xz00_1353 | ((long)1)); }  else 
{ /* Jas/as.scm 133 */
bool_t BgL_testz00_2324;
{ /* Jas/as.scm 133 */
obj_t BgL_auxz00_2325;
BgL_auxz00_2325 = 
CNST_TABLE_REF(((long)10)); 
BgL_testz00_2324 = 
(BgL_namez00_620==BgL_auxz00_2325); } 
if(BgL_testz00_2324)
{ /* Jas/as.scm 135 */
long BgL_xz00_1355;
BgL_xz00_1355 = BgL_rz00_616; 
BgL_rz00_616 = 
(BgL_xz00_1355 | ((long)16)); }  else 
{ /* Jas/as.scm 133 */
bool_t BgL_testz00_2329;
{ /* Jas/as.scm 133 */
obj_t BgL_auxz00_2330;
BgL_auxz00_2330 = 
CNST_TABLE_REF(((long)11)); 
BgL_testz00_2329 = 
(BgL_namez00_620==BgL_auxz00_2330); } 
if(BgL_testz00_2329)
{ /* Jas/as.scm 136 */
long BgL_xz00_1357;
BgL_xz00_1357 = BgL_rz00_616; 
BgL_rz00_616 = 
(BgL_xz00_1357 | ((long)32)); }  else 
{ /* Jas/as.scm 133 */
bool_t BgL_testz00_2334;
{ /* Jas/as.scm 133 */
obj_t BgL_auxz00_2335;
BgL_auxz00_2335 = 
CNST_TABLE_REF(((long)12)); 
BgL_testz00_2334 = 
(BgL_namez00_620==BgL_auxz00_2335); } 
if(BgL_testz00_2334)
{ /* Jas/as.scm 137 */
long BgL_xz00_1359;
BgL_xz00_1359 = BgL_rz00_616; 
BgL_rz00_616 = 
(BgL_xz00_1359 | ((long)512)); }  else 
{ /* Jas/as.scm 133 */
bool_t BgL_testz00_2339;
{ /* Jas/as.scm 133 */
obj_t BgL_auxz00_2340;
BgL_auxz00_2340 = 
CNST_TABLE_REF(((long)13)); 
BgL_testz00_2339 = 
(BgL_namez00_620==BgL_auxz00_2340); } 
if(BgL_testz00_2339)
{ /* Jas/as.scm 138 */
long BgL_xz00_1361;
BgL_xz00_1361 = BgL_rz00_616; 
BgL_rz00_616 = 
(BgL_xz00_1361 | ((long)1024)); }  else 
{ /* Jas/as.scm 133 */
FAILURE(BGl_string2741z00zzjas_asz00,BGl_string2742z00zzjas_asz00,BgL_namez00_620);} } } } } } } 
{ 
obj_t BgL_l1449z00_2345;
BgL_l1449z00_2345 = 
CDR(BgL_l1449z00_617); 
BgL_l1449z00_617 = BgL_l1449z00_2345; 
goto BgL_lname1450z00_618;} }  else 
{ /* Jas/as.scm 131 */((bool_t)1); } } 
return BgL_rz00_616;} } 
}



/* as-field-modifiers */
long BGl_aszd2fieldzd2modifiersz00zzjas_asz00(obj_t BgL_modifiersz00_15)
{ AN_OBJECT;
{ /* Jas/as.scm 143 */
{ /* Jas/as.scm 144 */
long BgL_rz00_628;
BgL_rz00_628 = ((long)0); 
{ 
obj_t BgL_l1451z00_629;
BgL_l1451z00_629 = BgL_modifiersz00_15; 
BgL_lname1452z00_630:
if(
PAIRP(BgL_l1451z00_629))
{ /* Jas/as.scm 145 */
{ /* Jas/as.scm 147 */
obj_t BgL_namez00_632;
BgL_namez00_632 = 
CAR(BgL_l1451z00_629); 
{ /* Jas/as.scm 147 */
bool_t BgL_testz00_2350;
{ /* Jas/as.scm 147 */
obj_t BgL_auxz00_2351;
BgL_auxz00_2351 = 
CNST_TABLE_REF(((long)9)); 
BgL_testz00_2350 = 
(BgL_namez00_632==BgL_auxz00_2351); } 
if(BgL_testz00_2350)
{ /* Jas/as.scm 148 */
long BgL_xz00_1369;
BgL_xz00_1369 = BgL_rz00_628; 
BgL_rz00_628 = 
(BgL_xz00_1369 | ((long)1)); }  else 
{ /* Jas/as.scm 147 */
bool_t BgL_testz00_2355;
{ /* Jas/as.scm 147 */
obj_t BgL_auxz00_2356;
BgL_auxz00_2356 = 
CNST_TABLE_REF(((long)14)); 
BgL_testz00_2355 = 
(BgL_namez00_632==BgL_auxz00_2356); } 
if(BgL_testz00_2355)
{ /* Jas/as.scm 149 */
long BgL_xz00_1371;
BgL_xz00_1371 = BgL_rz00_628; 
BgL_rz00_628 = 
(BgL_xz00_1371 | ((long)2)); }  else 
{ /* Jas/as.scm 147 */
bool_t BgL_testz00_2360;
{ /* Jas/as.scm 147 */
obj_t BgL_auxz00_2361;
BgL_auxz00_2361 = 
CNST_TABLE_REF(((long)15)); 
BgL_testz00_2360 = 
(BgL_namez00_632==BgL_auxz00_2361); } 
if(BgL_testz00_2360)
{ /* Jas/as.scm 150 */
long BgL_xz00_1373;
BgL_xz00_1373 = BgL_rz00_628; 
BgL_rz00_628 = 
(BgL_xz00_1373 | ((long)4)); }  else 
{ /* Jas/as.scm 147 */
bool_t BgL_testz00_2365;
{ /* Jas/as.scm 147 */
obj_t BgL_auxz00_2366;
BgL_auxz00_2366 = 
CNST_TABLE_REF(((long)16)); 
BgL_testz00_2365 = 
(BgL_namez00_632==BgL_auxz00_2366); } 
if(BgL_testz00_2365)
{ /* Jas/as.scm 151 */
long BgL_xz00_1375;
BgL_xz00_1375 = BgL_rz00_628; 
BgL_rz00_628 = 
(BgL_xz00_1375 | ((long)8)); }  else 
{ /* Jas/as.scm 147 */
bool_t BgL_testz00_2370;
{ /* Jas/as.scm 147 */
obj_t BgL_auxz00_2371;
BgL_auxz00_2371 = 
CNST_TABLE_REF(((long)10)); 
BgL_testz00_2370 = 
(BgL_namez00_632==BgL_auxz00_2371); } 
if(BgL_testz00_2370)
{ /* Jas/as.scm 152 */
long BgL_xz00_1377;
BgL_xz00_1377 = BgL_rz00_628; 
BgL_rz00_628 = 
(BgL_xz00_1377 | ((long)16)); }  else 
{ /* Jas/as.scm 147 */
bool_t BgL_testz00_2375;
{ /* Jas/as.scm 147 */
obj_t BgL_auxz00_2376;
BgL_auxz00_2376 = 
CNST_TABLE_REF(((long)17)); 
BgL_testz00_2375 = 
(BgL_namez00_632==BgL_auxz00_2376); } 
if(BgL_testz00_2375)
{ /* Jas/as.scm 153 */
long BgL_xz00_1379;
BgL_xz00_1379 = BgL_rz00_628; 
BgL_rz00_628 = 
(BgL_xz00_1379 | ((long)64)); }  else 
{ /* Jas/as.scm 147 */
bool_t BgL_testz00_2380;
{ /* Jas/as.scm 147 */
obj_t BgL_auxz00_2381;
BgL_auxz00_2381 = 
CNST_TABLE_REF(((long)18)); 
BgL_testz00_2380 = 
(BgL_namez00_632==BgL_auxz00_2381); } 
if(BgL_testz00_2380)
{ /* Jas/as.scm 154 */
long BgL_xz00_1381;
BgL_xz00_1381 = BgL_rz00_628; 
BgL_rz00_628 = 
(BgL_xz00_1381 | ((long)128)); }  else 
{ /* Jas/as.scm 147 */
FAILURE(BGl_string2741z00zzjas_asz00,BGl_string2743z00zzjas_asz00,BgL_namez00_632);} } } } } } } } } 
{ 
obj_t BgL_l1451z00_2386;
BgL_l1451z00_2386 = 
CDR(BgL_l1451z00_629); 
BgL_l1451z00_629 = BgL_l1451z00_2386; 
goto BgL_lname1452z00_630;} }  else 
{ /* Jas/as.scm 145 */((bool_t)1); } } 
return BgL_rz00_628;} } 
}



/* as-method-modifiers */
long BGl_aszd2methodzd2modifiersz00zzjas_asz00(obj_t BgL_modifiersz00_16)
{ AN_OBJECT;
{ /* Jas/as.scm 159 */
{ /* Jas/as.scm 160 */
long BgL_rz00_642;
BgL_rz00_642 = ((long)0); 
{ 
obj_t BgL_l1453z00_643;
BgL_l1453z00_643 = BgL_modifiersz00_16; 
BgL_lname1454z00_644:
if(
PAIRP(BgL_l1453z00_643))
{ /* Jas/as.scm 161 */
{ /* Jas/as.scm 163 */
obj_t BgL_namez00_646;
BgL_namez00_646 = 
CAR(BgL_l1453z00_643); 
{ /* Jas/as.scm 163 */
bool_t BgL_testz00_2391;
{ /* Jas/as.scm 163 */
obj_t BgL_auxz00_2392;
BgL_auxz00_2392 = 
CNST_TABLE_REF(((long)9)); 
BgL_testz00_2391 = 
(BgL_namez00_646==BgL_auxz00_2392); } 
if(BgL_testz00_2391)
{ /* Jas/as.scm 164 */
long BgL_xz00_1389;
BgL_xz00_1389 = BgL_rz00_642; 
BgL_rz00_642 = 
(BgL_xz00_1389 | ((long)1)); }  else 
{ /* Jas/as.scm 163 */
bool_t BgL_testz00_2396;
{ /* Jas/as.scm 163 */
obj_t BgL_auxz00_2397;
BgL_auxz00_2397 = 
CNST_TABLE_REF(((long)14)); 
BgL_testz00_2396 = 
(BgL_namez00_646==BgL_auxz00_2397); } 
if(BgL_testz00_2396)
{ /* Jas/as.scm 165 */
long BgL_xz00_1391;
BgL_xz00_1391 = BgL_rz00_642; 
BgL_rz00_642 = 
(BgL_xz00_1391 | ((long)2)); }  else 
{ /* Jas/as.scm 163 */
bool_t BgL_testz00_2401;
{ /* Jas/as.scm 163 */
obj_t BgL_auxz00_2402;
BgL_auxz00_2402 = 
CNST_TABLE_REF(((long)15)); 
BgL_testz00_2401 = 
(BgL_namez00_646==BgL_auxz00_2402); } 
if(BgL_testz00_2401)
{ /* Jas/as.scm 166 */
long BgL_xz00_1393;
BgL_xz00_1393 = BgL_rz00_642; 
BgL_rz00_642 = 
(BgL_xz00_1393 | ((long)4)); }  else 
{ /* Jas/as.scm 163 */
bool_t BgL_testz00_2406;
{ /* Jas/as.scm 163 */
obj_t BgL_auxz00_2407;
BgL_auxz00_2407 = 
CNST_TABLE_REF(((long)16)); 
BgL_testz00_2406 = 
(BgL_namez00_646==BgL_auxz00_2407); } 
if(BgL_testz00_2406)
{ /* Jas/as.scm 167 */
long BgL_xz00_1395;
BgL_xz00_1395 = BgL_rz00_642; 
BgL_rz00_642 = 
(BgL_xz00_1395 | ((long)8)); }  else 
{ /* Jas/as.scm 163 */
bool_t BgL_testz00_2411;
{ /* Jas/as.scm 163 */
obj_t BgL_auxz00_2412;
BgL_auxz00_2412 = 
CNST_TABLE_REF(((long)10)); 
BgL_testz00_2411 = 
(BgL_namez00_646==BgL_auxz00_2412); } 
if(BgL_testz00_2411)
{ /* Jas/as.scm 168 */
long BgL_xz00_1397;
BgL_xz00_1397 = BgL_rz00_642; 
BgL_rz00_642 = 
(BgL_xz00_1397 | ((long)16)); }  else 
{ /* Jas/as.scm 163 */
bool_t BgL_testz00_2416;
{ /* Jas/as.scm 163 */
obj_t BgL_auxz00_2417;
BgL_auxz00_2417 = 
CNST_TABLE_REF(((long)19)); 
BgL_testz00_2416 = 
(BgL_namez00_646==BgL_auxz00_2417); } 
if(BgL_testz00_2416)
{ /* Jas/as.scm 169 */
long BgL_xz00_1399;
BgL_xz00_1399 = BgL_rz00_642; 
BgL_rz00_642 = 
(BgL_xz00_1399 | ((long)32)); }  else 
{ /* Jas/as.scm 163 */
bool_t BgL_testz00_2421;
{ /* Jas/as.scm 163 */
obj_t BgL_auxz00_2422;
BgL_auxz00_2422 = 
CNST_TABLE_REF(((long)20)); 
BgL_testz00_2421 = 
(BgL_namez00_646==BgL_auxz00_2422); } 
if(BgL_testz00_2421)
{ /* Jas/as.scm 170 */
long BgL_xz00_1401;
BgL_xz00_1401 = BgL_rz00_642; 
BgL_rz00_642 = 
(BgL_xz00_1401 | ((long)256)); }  else 
{ /* Jas/as.scm 163 */
bool_t BgL_testz00_2426;
{ /* Jas/as.scm 163 */
obj_t BgL_auxz00_2427;
BgL_auxz00_2427 = 
CNST_TABLE_REF(((long)13)); 
BgL_testz00_2426 = 
(BgL_namez00_646==BgL_auxz00_2427); } 
if(BgL_testz00_2426)
{ /* Jas/as.scm 171 */
long BgL_xz00_1403;
BgL_xz00_1403 = BgL_rz00_642; 
BgL_rz00_642 = 
(BgL_xz00_1403 | ((long)1024)); }  else 
{ /* Jas/as.scm 163 */
FAILURE(BGl_string2741z00zzjas_asz00,BGl_string2742z00zzjas_asz00,BgL_namez00_646);} } } } } } } } } } 
{ 
obj_t BgL_l1453z00_2432;
BgL_l1453z00_2432 = 
CDR(BgL_l1453z00_643); 
BgL_l1453z00_643 = BgL_l1453z00_2432; 
goto BgL_lname1454z00_644;} }  else 
{ /* Jas/as.scm 161 */((bool_t)1); } } 
return BgL_rz00_642;} } 
}



/* as-method */
obj_t BGl_aszd2methodzd2zzjas_asz00(BgL_classfilez00_bglt BgL_classfilez00_19, obj_t BgL_declz00_20)
{ AN_OBJECT;
{ /* Jas/as.scm 189 */
{ 
obj_t BgL_gnamez00_658;obj_t BgL_paramsz00_659;obj_t BgL_localsz00_660;obj_t BgL_codez00_661;
if(
PAIRP(BgL_declz00_20))
{ /* Jas/as.scm 190 */
obj_t BgL_cdrzd2460zd2_666;
BgL_cdrzd2460zd2_666 = 
CDR(BgL_declz00_20); 
{ /* Jas/as.scm 190 */
bool_t BgL_testz00_2437;
{ /* Jas/as.scm 190 */
obj_t BgL_auxz00_2440;obj_t BgL_auxz00_2438;
BgL_auxz00_2440 = 
CNST_TABLE_REF(((long)8)); 
BgL_auxz00_2438 = 
CAR(BgL_declz00_20); 
BgL_testz00_2437 = 
(BgL_auxz00_2438==BgL_auxz00_2440); } 
if(BgL_testz00_2437)
{ /* Jas/as.scm 190 */
if(
PAIRP(BgL_cdrzd2460zd2_666))
{ /* Jas/as.scm 190 */
obj_t BgL_cdrzd2466zd2_669;
BgL_cdrzd2466zd2_669 = 
CDR(BgL_cdrzd2460zd2_666); 
if(
PAIRP(BgL_cdrzd2466zd2_669))
{ /* Jas/as.scm 190 */
obj_t BgL_cdrzd2472zd2_671;
BgL_cdrzd2472zd2_671 = 
CDR(BgL_cdrzd2466zd2_669); 
if(
PAIRP(BgL_cdrzd2472zd2_671))
{ /* Jas/as.scm 190 */
BgL_methodz00_bglt BgL_auxz00_2451;
BgL_gnamez00_658 = 
CAR(BgL_cdrzd2460zd2_666); 
BgL_paramsz00_659 = 
CAR(BgL_cdrzd2466zd2_669); 
BgL_localsz00_660 = 
CAR(BgL_cdrzd2472zd2_671); 
BgL_codez00_661 = 
CDR(BgL_cdrzd2472zd2_671); 
((((BgL_classfilez00_bglt)CREF(BgL_classfilez00_19))->BgL_currentzd2methodzd2) = ((obj_t)BgL_gnamez00_658), BUNSPEC); 
{ /* Jas/as.scm 193 */
BgL_methodz00_bglt BgL_mz00_679;
BgL_mz00_679 = 
BGl_declaredzd2methodzd2zzjas_classfilez00(BgL_classfilez00_19, BgL_gnamez00_658); 
BGl_poolzd2methodzd2zzjas_classfilez00(BgL_classfilez00_19, BgL_mz00_679); 
{ /* Jas/as.scm 196 */
obj_t BgL_arg2107z00_681;
{ /* Jas/as.scm 196 */
BgL_attributez00_bglt BgL_arg2110z00_682;obj_t BgL_arg2111z00_683;
BgL_arg2110z00_682 = 
BGl_aszd2codezd2zzjas_asz00(BgL_classfilez00_19, BgL_paramsz00_659, BgL_localsz00_660, BgL_codez00_661); 
BgL_arg2111z00_683 = 
(((BgL_methodz00_bglt)CREF(BgL_mz00_679))->BgL_attributesz00); 
{ /* Jas/as.scm 196 */
obj_t BgL_auxz00_2457;
BgL_auxz00_2457 = 
(obj_t)(BgL_arg2110z00_682); 
BgL_arg2107z00_681 = 
MAKE_PAIR(BgL_auxz00_2457, BgL_arg2111z00_683); } } 
((((BgL_methodz00_bglt)CREF(BgL_mz00_679))->BgL_attributesz00) = ((obj_t)BgL_arg2107z00_681), BUNSPEC); } 
BgL_auxz00_2451 = BgL_mz00_679; } 
return 
(obj_t)(BgL_auxz00_2451);}  else 
{ /* Jas/as.scm 190 */
BgL_tagzd2449zd2_663:
FAILURE(BGl_string2741z00zzjas_asz00,BGl_string2744z00zzjas_asz00,BgL_declz00_20);} }  else 
{ /* Jas/as.scm 190 */
goto BgL_tagzd2449zd2_663;} }  else 
{ /* Jas/as.scm 190 */
goto BgL_tagzd2449zd2_663;} }  else 
{ /* Jas/as.scm 190 */
goto BgL_tagzd2449zd2_663;} } }  else 
{ /* Jas/as.scm 190 */
goto BgL_tagzd2449zd2_663;} } } 
}



/* as-code */
BgL_attributez00_bglt BGl_aszd2codezd2zzjas_asz00(BgL_classfilez00_bglt BgL_classfilez00_21, obj_t BgL_paramz00_22, obj_t BgL_localsz00_23, obj_t BgL_codez00_24)
{ AN_OBJECT;
{ /* Jas/as.scm 201 */
{ /* Jas/as.scm 202 */
obj_t BgL_l1z00_684;
BgL_l1z00_684 = 
PROCEDURE_ENTRY(BGl_resolvezd2opcodeszd2zzjas_opcodez00)(BGl_resolvezd2opcodeszd2zzjas_opcodez00, 
(obj_t)(BgL_classfilez00_21), BgL_paramz00_22, BgL_localsz00_23, BgL_codez00_24, BEOA); 
{ /* Jas/as.scm 202 */
obj_t BgL_lpz00_685;
BgL_lpz00_685 = 
PROCEDURE_ENTRY(BGl_peepz00zzjas_peepz00)(BGl_peepz00zzjas_peepz00, 
(obj_t)(BgL_classfilez00_21), BgL_paramz00_22, BgL_localsz00_23, BgL_l1z00_684, BEOA); 
{ /* Jas/as.scm 203 */
obj_t BgL_lwz00_686;
BgL_lwz00_686 = 
PROCEDURE_ENTRY(BGl_resolvezd2widezd2zzjas_widez00)(BGl_resolvezd2widezd2zzjas_widez00, 
(obj_t)(BgL_classfilez00_21), BgL_lpz00_685, BEOA); 
{ /* Jas/as.scm 204 */
obj_t BgL_l3z00_687;
BgL_l3z00_687 = 
PROCEDURE_ENTRY(BGl_resolvezd2labelszd2zzjas_labelsz00)(BGl_resolvezd2labelszd2zzjas_labelsz00, 
(obj_t)(BgL_classfilez00_21), BgL_lwz00_686, BEOA); 
{ /* Jas/as.scm 205 */
obj_t BgL_handlersz00_688;
BgL_handlersz00_688 = 
BGl_getzd2handlerszd2zzjas_asz00(BgL_l3z00_687); 
{ /* Jas/as.scm 206 */
obj_t BgL_linesz00_689;
{ /* Jas/as.scm 207 */
obj_t BgL_arg2239z00_746;
BgL_arg2239z00_746 = 
BGl_getzd2lineszd2zzjas_asz00(BgL_l3z00_687, ((long)0)); 
BgL_linesz00_689 = 
BGl_linezd2compresszd2zzjas_asz00(BgL_arg2239z00_746, 
BINT(((long)-1))); } 
{ /* Jas/as.scm 207 */
obj_t BgL_localvarsz00_690;
BgL_localvarsz00_690 = 
BGl_getzd2localvarszd2zzjas_asz00(BgL_l3z00_687); 
{ /* Jas/as.scm 208 */
obj_t BgL_bytecodez00_691;
BgL_bytecodez00_691 = 
BGl_getzd2bytecodezd2zzjas_asz00(BgL_l3z00_687); 
{ /* Jas/as.scm 209 */

{ /* Jas/as.scm 210 */
long BgL_nz00_692;
BgL_nz00_692 = 
bgl_list_length(BgL_bytecodez00_691); 
{ /* Jas/as.scm 211 */
bool_t BgL_test2117z00_693;
if(
(BgL_nz00_692>=((long)8000)))
{ /* Jas/as.scm 211 */
if(
CBOOL(BGl_za2jaszd2warningza2zd2zzjas_asz00))
{ /* Jas/as.scm 211 */
BgL_test2117z00_693 = ((bool_t)0); }  else 
{ /* Jas/as.scm 211 */
BgL_test2117z00_693 = ((bool_t)1); } }  else 
{ /* Jas/as.scm 211 */
BgL_test2117z00_693 = ((bool_t)0); } 
if(BgL_test2117z00_693)
{ /* Jas/as.scm 212 */
obj_t BgL_arg2119z00_694;
BgL_arg2119z00_694 = 
(((BgL_classfilez00_bglt)CREF(BgL_classfilez00_21))->BgL_currentzd2methodzd2); 
{ /* Jas/as.scm 212 */
obj_t BgL_list2124z00_698;
{ /* Jas/as.scm 212 */
obj_t BgL_arg2126z00_699;
{ /* Jas/as.scm 212 */
obj_t BgL_arg2129z00_700;
{ /* Jas/as.scm 212 */
obj_t BgL_arg2132z00_701;
{ /* Jas/as.scm 212 */
obj_t BgL_arg2135z00_702;
BgL_arg2135z00_702 = 
MAKE_PAIR(BGl_string2745z00zzjas_asz00, BNIL); 
BgL_arg2132z00_701 = 
MAKE_PAIR(BGl_string2746z00zzjas_asz00, BgL_arg2135z00_702); } 
{ /* Jas/as.scm 212 */
obj_t BgL_auxz00_2494;
BgL_auxz00_2494 = 
BINT(BgL_nz00_692); 
BgL_arg2129z00_700 = 
MAKE_PAIR(BgL_auxz00_2494, BgL_arg2132z00_701); } } 
BgL_arg2126z00_699 = 
MAKE_PAIR(BGl_string2747z00zzjas_asz00, BgL_arg2129z00_700); } 
BgL_list2124z00_698 = 
MAKE_PAIR(BgL_arg2119z00_694, BgL_arg2126z00_699); } 
BGl_warningz00zz__errorz00(BgL_list2124z00_698); } }  else 
{ /* Jas/as.scm 211 */BFALSE; } } } 
{ /* Jas/as.scm 216 */
bool_t BgL_test2142z00_704;
{ /* Jas/as.scm 216 */
obj_t BgL_objz00_1433;
BgL_objz00_1433 = BgL_linesz00_689; 
BgL_test2142z00_704 = 
NULLP(BgL_objz00_1433); } 
if(BgL_test2142z00_704)
{ /* Jas/as.scm 216 */
obj_t BgL_arg2144z00_705;
{ /* Jas/as.scm 216 */
obj_t BgL_auxz00_2504;obj_t BgL_auxz00_2502;
BgL_auxz00_2504 = 
BINT(((long)0)); 
BgL_auxz00_2502 = 
BINT(((long)0)); 
BgL_arg2144z00_705 = 
MAKE_PAIR(BgL_auxz00_2502, BgL_auxz00_2504); } 
BgL_linesz00_689 = 
MAKE_PAIR(BgL_arg2144z00_705, BNIL); }  else 
{ /* Jas/as.scm 216 */BFALSE; } } 
{ /* Jas/as.scm 218 */
obj_t BgL_arg2150z00_707;int BgL_arg2151z00_708;long BgL_arg2152z00_709;obj_t BgL_arg2153z00_710;
BgL_arg2150z00_707 = 
CNST_TABLE_REF(((long)21)); 
BgL_arg2151z00_708 = 
BGl_poolzd2namezd2zzjas_classfilez00(BgL_classfilez00_21, BGl_string2748z00zzjas_asz00); 
{ /* Jas/as.scm 220 */
long BgL_arg2158z00_712;
{ /* Jas/as.scm 220 */
long BgL_arg2161z00_713;long BgL_arg2162z00_714;
BgL_arg2161z00_713 = 
bgl_list_length(BgL_bytecodez00_691); 
{ /* Jas/as.scm 220 */
long BgL_arg2166z00_715;long BgL_arg2167z00_716;
BgL_arg2166z00_715 = 
BGl_za2fxza2zz__r4_numbers_6_5_fixnumz00(((long)8), 
bgl_list_length(BgL_handlersz00_688)); 
{ /* Jas/as.scm 221 */
long BgL_arg2175z00_719;long BgL_arg2176z00_720;
{ /* Jas/as.scm 221 */
bool_t BgL_test2178z00_721;
{ /* Jas/as.scm 221 */
obj_t BgL_objz00_1434;
BgL_objz00_1434 = BgL_linesz00_689; 
BgL_test2178z00_721 = 
NULLP(BgL_objz00_1434); } 
if(BgL_test2178z00_721)
{ /* Jas/as.scm 221 */
BgL_arg2175z00_719 = ((long)0); }  else 
{ /* Jas/as.scm 221 */
long BgL_arg2181z00_723;
{ /* Jas/as.scm 221 */
long BgL_arg2185z00_725;
BgL_arg2185z00_725 = 
bgl_list_length(BgL_linesz00_689); 
BgL_arg2181z00_723 = 
BGl_za2fxza2zz__r4_numbers_6_5_fixnumz00(((long)4), BgL_arg2185z00_725); } 
BgL_arg2175z00_719 = 
BGl_zb2fxzb2zz__r4_numbers_6_5_fixnumz00(((long)8), BgL_arg2181z00_723); } } 
if(
NULLP(BgL_localvarsz00_690))
{ /* Jas/as.scm 222 */
BgL_arg2176z00_720 = ((long)0); }  else 
{ /* Jas/as.scm 222 */
BgL_arg2176z00_720 = 
BGl_zb2fxzb2zz__r4_numbers_6_5_fixnumz00(((long)8), 
BGl_za2fxza2zz__r4_numbers_6_5_fixnumz00(((long)10), 
bgl_list_length(BgL_localvarsz00_690))); } 
BgL_arg2167z00_716 = 
BGl_zb2fxzb2zz__r4_numbers_6_5_fixnumz00(BgL_arg2175z00_719, BgL_arg2176z00_720); } 
BgL_arg2162z00_714 = 
BGl_zb2fxzb2zz__r4_numbers_6_5_fixnumz00(BgL_arg2166z00_715, BgL_arg2167z00_716); } 
BgL_arg2158z00_712 = 
BGl_zb2fxzb2zz__r4_numbers_6_5_fixnumz00(BgL_arg2161z00_713, BgL_arg2162z00_714); } 
BgL_arg2152z00_709 = 
BGl_zb2fxzb2zz__r4_numbers_6_5_fixnumz00(((long)12), BgL_arg2158z00_712); } 
{ /* Jas/as.scm 223 */
obj_t BgL_arg2201z00_731;obj_t BgL_arg2202z00_732;
BgL_arg2201z00_731 = 
BGl_stkzd2analysiszd2zzjas_stackz00(
(obj_t)(BgL_classfilez00_21), BgL_lpz00_685); 
{ /* Jas/as.scm 227 */
obj_t BgL_arg2206z00_733;
{ /* Jas/as.scm 227 */
obj_t BgL_arg2209z00_734;
{ /* Jas/as.scm 227 */
obj_t BgL_arg2212z00_735;
{ /* Jas/as.scm 227 */
obj_t BgL_arg2215z00_736;obj_t BgL_arg2216z00_737;
{ /* Jas/as.scm 227 */
bool_t BgL_test2218z00_738;
{ /* Jas/as.scm 227 */
obj_t BgL_objz00_1436;
BgL_objz00_1436 = BgL_linesz00_689; 
BgL_test2218z00_738 = 
NULLP(BgL_objz00_1436); } 
if(BgL_test2218z00_738)
{ /* Jas/as.scm 227 */
BgL_arg2215z00_736 = BNIL; }  else 
{ /* Jas/as.scm 228 */
BgL_attributez00_bglt BgL_arg2220z00_739;
BgL_arg2220z00_739 = 
BGl_makezd2linezd2attributez00zzjas_asz00(BgL_classfilez00_21, BgL_linesz00_689); 
{ /* Jas/as.scm 228 */
obj_t BgL_auxz00_2532;
BgL_auxz00_2532 = 
(obj_t)(BgL_arg2220z00_739); 
BgL_arg2215z00_736 = 
MAKE_PAIR(BgL_auxz00_2532, BNIL); } } } 
{ /* Jas/as.scm 229 */
obj_t BgL_arg2226z00_741;
if(
NULLP(BgL_localvarsz00_690))
{ /* Jas/as.scm 229 */
BgL_arg2226z00_741 = BNIL; }  else 
{ /* Jas/as.scm 230 */
BgL_attributez00_bglt BgL_arg2231z00_744;
BgL_arg2231z00_744 = 
BGl_makezd2localvarszd2zzjas_asz00(BgL_classfilez00_21, BgL_localvarsz00_690); 
{ /* Jas/as.scm 230 */
obj_t BgL_auxz00_2538;
BgL_auxz00_2538 = 
(obj_t)(BgL_arg2231z00_744); 
BgL_arg2226z00_741 = 
MAKE_PAIR(BgL_auxz00_2538, BNIL); } } 
BgL_arg2216z00_737 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg2226z00_741, BNIL); } 
BgL_arg2212z00_735 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg2215z00_736, BgL_arg2216z00_737); } 
BgL_arg2209z00_734 = 
MAKE_PAIR(BgL_handlersz00_688, BgL_arg2212z00_735); } 
BgL_arg2206z00_733 = 
MAKE_PAIR(BgL_bytecodez00_691, BgL_arg2209z00_734); } 
BgL_arg2202z00_732 = 
MAKE_PAIR(BGl_za2za2lastzd2numberzd2ofzd2localsza2za2zd2zzjas_peepz00, BgL_arg2206z00_733); } 
BgL_arg2153z00_710 = 
MAKE_PAIR(BgL_arg2201z00_731, BgL_arg2202z00_732); } 
{ /* Jas/as.scm 217 */
BgL_attributez00_bglt BgL_res2580z00_1459;
{ /* Jas/as.scm 217 */
obj_t BgL_name1333z00_1439;obj_t BgL_siza7e1334za7_1440;
BgL_name1333z00_1439 = 
BINT(BgL_arg2151z00_708); 
BgL_siza7e1334za7_1440 = 
BINT(BgL_arg2152z00_709); 
{ /* Jas/as.scm 217 */
BgL_attributez00_bglt BgL_new1336z00_1442;
{ /* Jas/as.scm 217 */
BgL_attributez00_bglt BgL_res2578z00_1448;
{ /* Jas/as.scm 217 */
BgL_attributez00_bglt BgL_new1338z00_1443;
BgL_new1338z00_1443 = 
((BgL_attributez00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_attributez00_bgl) ))); 
{ /* Jas/as.scm 217 */
long BgL_arg2472z00_1444;
BgL_arg2472z00_1444 = 
BGl_classzd2numzd2zz__objectz00(BGl_attributez00zzjas_classfilez00); 
{ /* Jas/as.scm 217 */
BgL_objectz00_bglt BgL_auxz00_2551;
BgL_auxz00_2551 = 
(BgL_objectz00_bglt)(BgL_new1338z00_1443); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2551, BgL_arg2472z00_1444); } } 
{ /* Jas/as.scm 217 */
BgL_objectz00_bglt BgL_auxz00_2554;
BgL_auxz00_2554 = 
(BgL_objectz00_bglt)(BgL_new1338z00_1443); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2554, BFALSE); } 
{ /* Jas/as.scm 217 */
obj_t BgL_auxz00_2557;
BgL_auxz00_2557 = 
(obj_t)(BgL_new1338z00_1443); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2557); } BUNSPEC; 
BgL_res2578z00_1448 = BgL_new1338z00_1443; } 
BgL_new1336z00_1442 = BgL_res2578z00_1448; } 
{ /* Jas/as.scm 217 */
BgL_attributez00_bglt BgL_res2579z00_1458;
((((BgL_attributez00_bglt)CREF(BgL_new1336z00_1442))->BgL_typez00) = ((obj_t)BgL_arg2150z00_707), BUNSPEC); 
((((BgL_attributez00_bglt)CREF(BgL_new1336z00_1442))->BgL_namez00) = ((obj_t)BgL_name1333z00_1439), BUNSPEC); 
((((BgL_attributez00_bglt)CREF(BgL_new1336z00_1442))->BgL_siza7eza7) = ((obj_t)BgL_siza7e1334za7_1440), BUNSPEC); 
((((BgL_attributez00_bglt)CREF(BgL_new1336z00_1442))->BgL_infoz00) = ((obj_t)BgL_arg2153z00_710), BUNSPEC); 
BgL_res2579z00_1458 = BgL_new1336z00_1442; BgL_res2579z00_1458; } 
BgL_res2580z00_1459 = BgL_new1336z00_1442; } } 
return BgL_res2580z00_1459;} } } } } } } } } } } } 
}



/* make-line-attribute */
BgL_attributez00_bglt BGl_makezd2linezd2attributez00zzjas_asz00(BgL_classfilez00_bglt BgL_classfilez00_25, obj_t BgL_linesz00_26)
{ AN_OBJECT;
{ /* Jas/as.scm 232 */
{ /* Jas/as.scm 234 */
obj_t BgL_arg2249z00_748;int BgL_arg2250z00_749;long BgL_arg2251z00_750;obj_t BgL_arg2252z00_751;
BgL_arg2249z00_748 = 
CNST_TABLE_REF(((long)22)); 
BgL_arg2250z00_749 = 
BGl_poolzd2namezd2zzjas_classfilez00(BgL_classfilez00_25, BGl_string2749z00zzjas_asz00); 
BgL_arg2251z00_750 = 
BGl_zb2fxzb2zz__r4_numbers_6_5_fixnumz00(((long)2), 
BGl_za2fxza2zz__r4_numbers_6_5_fixnumz00(((long)4), 
bgl_list_length(BgL_linesz00_26))); 
BgL_arg2252z00_751 = BgL_linesz00_26; 
{ /* Jas/as.scm 233 */
BgL_attributez00_bglt BgL_res2583z00_1481;
{ /* Jas/as.scm 233 */
obj_t BgL_name1333z00_1461;obj_t BgL_siza7e1334za7_1462;
BgL_name1333z00_1461 = 
BINT(BgL_arg2250z00_749); 
BgL_siza7e1334za7_1462 = 
BINT(BgL_arg2251z00_750); 
{ /* Jas/as.scm 233 */
BgL_attributez00_bglt BgL_new1336z00_1464;
{ /* Jas/as.scm 233 */
BgL_attributez00_bglt BgL_res2581z00_1470;
{ /* Jas/as.scm 233 */
BgL_attributez00_bglt BgL_new1338z00_1465;
BgL_new1338z00_1465 = 
((BgL_attributez00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_attributez00_bgl) ))); 
{ /* Jas/as.scm 233 */
long BgL_arg2472z00_1466;
BgL_arg2472z00_1466 = 
BGl_classzd2numzd2zz__objectz00(BGl_attributez00zzjas_classfilez00); 
{ /* Jas/as.scm 233 */
BgL_objectz00_bglt BgL_auxz00_2573;
BgL_auxz00_2573 = 
(BgL_objectz00_bglt)(BgL_new1338z00_1465); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2573, BgL_arg2472z00_1466); } } 
{ /* Jas/as.scm 233 */
BgL_objectz00_bglt BgL_auxz00_2576;
BgL_auxz00_2576 = 
(BgL_objectz00_bglt)(BgL_new1338z00_1465); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2576, BFALSE); } 
{ /* Jas/as.scm 233 */
obj_t BgL_auxz00_2579;
BgL_auxz00_2579 = 
(obj_t)(BgL_new1338z00_1465); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2579); } BUNSPEC; 
BgL_res2581z00_1470 = BgL_new1338z00_1465; } 
BgL_new1336z00_1464 = BgL_res2581z00_1470; } 
{ /* Jas/as.scm 233 */
BgL_attributez00_bglt BgL_res2582z00_1480;
((((BgL_attributez00_bglt)CREF(BgL_new1336z00_1464))->BgL_typez00) = ((obj_t)BgL_arg2249z00_748), BUNSPEC); 
((((BgL_attributez00_bglt)CREF(BgL_new1336z00_1464))->BgL_namez00) = ((obj_t)BgL_name1333z00_1461), BUNSPEC); 
((((BgL_attributez00_bglt)CREF(BgL_new1336z00_1464))->BgL_siza7eza7) = ((obj_t)BgL_siza7e1334za7_1462), BUNSPEC); 
((((BgL_attributez00_bglt)CREF(BgL_new1336z00_1464))->BgL_infoz00) = ((obj_t)BgL_arg2252z00_751), BUNSPEC); 
BgL_res2582z00_1480 = BgL_new1336z00_1464; BgL_res2582z00_1480; } 
BgL_res2583z00_1481 = BgL_new1336z00_1464; } } 
return BgL_res2583z00_1481;} } } 
}



/* make-localvars */
BgL_attributez00_bglt BGl_makezd2localvarszd2zzjas_asz00(BgL_classfilez00_bglt BgL_classfilez00_27, obj_t BgL_localvarsz00_28)
{ AN_OBJECT;
{ /* Jas/as.scm 239 */
{ /* Jas/as.scm 241 */
obj_t BgL_arg2265z00_756;int BgL_arg2267z00_757;long BgL_arg2268z00_758;obj_t BgL_arg2269z00_759;
BgL_arg2265z00_756 = 
CNST_TABLE_REF(((long)23)); 
BgL_arg2267z00_757 = 
BGl_poolzd2namezd2zzjas_classfilez00(BgL_classfilez00_27, BGl_string2750z00zzjas_asz00); 
BgL_arg2268z00_758 = 
BGl_zb2fxzb2zz__r4_numbers_6_5_fixnumz00(((long)2), 
BGl_za2fxza2zz__r4_numbers_6_5_fixnumz00(((long)10), 
bgl_list_length(BgL_localvarsz00_28))); 
BgL_arg2269z00_759 = BgL_localvarsz00_28; 
{ /* Jas/as.scm 240 */
BgL_attributez00_bglt BgL_res2586z00_1503;
{ /* Jas/as.scm 240 */
obj_t BgL_name1333z00_1483;obj_t BgL_siza7e1334za7_1484;
BgL_name1333z00_1483 = 
BINT(BgL_arg2267z00_757); 
BgL_siza7e1334za7_1484 = 
BINT(BgL_arg2268z00_758); 
{ /* Jas/as.scm 240 */
BgL_attributez00_bglt BgL_new1336z00_1486;
{ /* Jas/as.scm 240 */
BgL_attributez00_bglt BgL_res2584z00_1492;
{ /* Jas/as.scm 240 */
BgL_attributez00_bglt BgL_new1338z00_1487;
BgL_new1338z00_1487 = 
((BgL_attributez00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_attributez00_bgl) ))); 
{ /* Jas/as.scm 240 */
long BgL_arg2472z00_1488;
BgL_arg2472z00_1488 = 
BGl_classzd2numzd2zz__objectz00(BGl_attributez00zzjas_classfilez00); 
{ /* Jas/as.scm 240 */
BgL_objectz00_bglt BgL_auxz00_2595;
BgL_auxz00_2595 = 
(BgL_objectz00_bglt)(BgL_new1338z00_1487); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2595, BgL_arg2472z00_1488); } } 
{ /* Jas/as.scm 240 */
BgL_objectz00_bglt BgL_auxz00_2598;
BgL_auxz00_2598 = 
(BgL_objectz00_bglt)(BgL_new1338z00_1487); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2598, BFALSE); } 
{ /* Jas/as.scm 240 */
obj_t BgL_auxz00_2601;
BgL_auxz00_2601 = 
(obj_t)(BgL_new1338z00_1487); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2601); } BUNSPEC; 
BgL_res2584z00_1492 = BgL_new1338z00_1487; } 
BgL_new1336z00_1486 = BgL_res2584z00_1492; } 
{ /* Jas/as.scm 240 */
BgL_attributez00_bglt BgL_res2585z00_1502;
((((BgL_attributez00_bglt)CREF(BgL_new1336z00_1486))->BgL_typez00) = ((obj_t)BgL_arg2265z00_756), BUNSPEC); 
((((BgL_attributez00_bglt)CREF(BgL_new1336z00_1486))->BgL_namez00) = ((obj_t)BgL_name1333z00_1483), BUNSPEC); 
((((BgL_attributez00_bglt)CREF(BgL_new1336z00_1486))->BgL_siza7eza7) = ((obj_t)BgL_siza7e1334za7_1484), BUNSPEC); 
((((BgL_attributez00_bglt)CREF(BgL_new1336z00_1486))->BgL_infoz00) = ((obj_t)BgL_arg2269z00_759), BUNSPEC); 
BgL_res2585z00_1502 = BgL_new1336z00_1486; BgL_res2585z00_1502; } 
BgL_res2586z00_1503 = BgL_new1336z00_1486; } } 
return BgL_res2586z00_1503;} } } 
}



/* get-handlers */
obj_t BGl_getzd2handlerszd2zzjas_asz00(obj_t BgL_lz00_29)
{ AN_OBJECT;
{ /* Jas/as.scm 246 */
BGl_getzd2handlerszd2zzjas_asz00:
if(
NULLP(BgL_lz00_29))
{ /* Jas/as.scm 247 */
return BgL_lz00_29;}  else 
{ /* Jas/as.scm 248 */
bool_t BgL_testz00_2610;
{ /* Jas/as.scm 248 */
obj_t BgL_auxz00_2615;obj_t BgL_auxz00_2611;
BgL_auxz00_2615 = 
BINT(((long)202)); 
{ /* Jas/as.scm 248 */
obj_t BgL_auxz00_2612;
BgL_auxz00_2612 = 
CAR(BgL_lz00_29); 
BgL_auxz00_2611 = 
CAR(BgL_auxz00_2612); } 
BgL_testz00_2610 = 
(BgL_auxz00_2611==BgL_auxz00_2615); } 
if(BgL_testz00_2610)
{ /* Jas/as.scm 248 */
{ /* Jas/as.scm 248 */
obj_t BgL_arg2284z00_766;obj_t BgL_arg2285z00_767;
{ /* Jas/as.scm 248 */
obj_t BgL_auxz00_2618;
BgL_auxz00_2618 = 
CAR(BgL_lz00_29); 
BgL_arg2284z00_766 = 
CDR(BgL_auxz00_2618); } 
BgL_arg2285z00_767 = 
BGl_getzd2handlerszd2zzjas_asz00(
CDR(BgL_lz00_29)); 
return 
MAKE_PAIR(BgL_arg2284z00_766, BgL_arg2285z00_767);} }  else 
{ /* Jas/as.scm 248 */
{ 
obj_t BgL_lz00_2624;
BgL_lz00_2624 = 
CDR(BgL_lz00_29); 
BgL_lz00_29 = BgL_lz00_2624; 
goto BGl_getzd2handlerszd2zzjas_asz00;} } } } 
}



/* get-lines */
obj_t BGl_getzd2lineszd2zzjas_asz00(obj_t BgL_lz00_30, long BgL_pcz00_31)
{ AN_OBJECT;
{ /* Jas/as.scm 251 */
BGl_getzd2lineszd2zzjas_asz00:
if(
NULLP(BgL_lz00_30))
{ /* Jas/as.scm 252 */
return BgL_lz00_30;}  else 
{ /* Jas/as.scm 253 */
bool_t BgL_testz00_2628;
{ /* Jas/as.scm 253 */
obj_t BgL_auxz00_2633;obj_t BgL_auxz00_2629;
BgL_auxz00_2633 = 
BINT(((long)202)); 
{ /* Jas/as.scm 253 */
obj_t BgL_auxz00_2630;
BgL_auxz00_2630 = 
CAR(BgL_lz00_30); 
BgL_auxz00_2629 = 
CAR(BgL_auxz00_2630); } 
BgL_testz00_2628 = 
(BgL_auxz00_2629==BgL_auxz00_2633); } 
if(BgL_testz00_2628)
{ /* Jas/as.scm 253 */
{ 
obj_t BgL_lz00_2636;
BgL_lz00_2636 = 
CDR(BgL_lz00_30); 
BgL_lz00_30 = BgL_lz00_2636; 
goto BGl_getzd2lineszd2zzjas_asz00;} }  else 
{ /* Jas/as.scm 254 */
bool_t BgL_testz00_2638;
{ /* Jas/as.scm 254 */
obj_t BgL_auxz00_2643;obj_t BgL_auxz00_2639;
BgL_auxz00_2643 = 
BINT(((long)203)); 
{ /* Jas/as.scm 254 */
obj_t BgL_auxz00_2640;
BgL_auxz00_2640 = 
CAR(BgL_lz00_30); 
BgL_auxz00_2639 = 
CAR(BgL_auxz00_2640); } 
BgL_testz00_2638 = 
(BgL_auxz00_2639==BgL_auxz00_2643); } 
if(BgL_testz00_2638)
{ /* Jas/as.scm 254 */
{ /* Jas/as.scm 254 */
obj_t BgL_arg2310z00_776;obj_t BgL_arg2311z00_777;
{ /* Jas/as.scm 254 */
obj_t BgL_auxz00_2648;obj_t BgL_auxz00_2646;
{ /* Jas/as.scm 254 */
obj_t BgL_auxz00_2649;
{ /* Jas/as.scm 254 */
obj_t BgL_auxz00_2650;
BgL_auxz00_2650 = 
CAR(BgL_lz00_30); 
BgL_auxz00_2649 = 
CDR(BgL_auxz00_2650); } 
BgL_auxz00_2648 = 
CAR(BgL_auxz00_2649); } 
BgL_auxz00_2646 = 
BINT(BgL_pcz00_31); 
BgL_arg2310z00_776 = 
MAKE_PAIR(BgL_auxz00_2646, BgL_auxz00_2648); } 
BgL_arg2311z00_777 = 
BGl_getzd2lineszd2zzjas_asz00(
CDR(BgL_lz00_30), BgL_pcz00_31); 
return 
MAKE_PAIR(BgL_arg2310z00_776, BgL_arg2311z00_777);} }  else 
{ /* Jas/as.scm 255 */
bool_t BgL_testz00_2658;
{ /* Jas/as.scm 255 */
obj_t BgL_auxz00_2663;obj_t BgL_auxz00_2659;
BgL_auxz00_2663 = 
BINT(((long)204)); 
{ /* Jas/as.scm 255 */
obj_t BgL_auxz00_2660;
BgL_auxz00_2660 = 
CAR(BgL_lz00_30); 
BgL_auxz00_2659 = 
CAR(BgL_auxz00_2660); } 
BgL_testz00_2658 = 
(BgL_auxz00_2659==BgL_auxz00_2663); } 
if(BgL_testz00_2658)
{ /* Jas/as.scm 255 */
{ 
obj_t BgL_lz00_2666;
BgL_lz00_2666 = 
CDR(BgL_lz00_30); 
BgL_lz00_30 = BgL_lz00_2666; 
goto BGl_getzd2lineszd2zzjas_asz00;} }  else 
{ /* Jas/as.scm 256 */
bool_t BgL_testz00_2668;
{ /* Jas/as.scm 256 */
obj_t BgL_auxz00_2673;obj_t BgL_auxz00_2669;
BgL_auxz00_2673 = 
BINT(((long)205)); 
{ /* Jas/as.scm 256 */
obj_t BgL_auxz00_2670;
BgL_auxz00_2670 = 
CAR(BgL_lz00_30); 
BgL_auxz00_2669 = 
CAR(BgL_auxz00_2670); } 
BgL_testz00_2668 = 
(BgL_auxz00_2669==BgL_auxz00_2673); } 
if(BgL_testz00_2668)
{ /* Jas/as.scm 256 */
{ 
obj_t BgL_lz00_2676;
BgL_lz00_2676 = 
CDR(BgL_lz00_30); 
BgL_lz00_30 = BgL_lz00_2676; 
goto BGl_getzd2lineszd2zzjas_asz00;} }  else 
{ /* Jas/as.scm 256 */
{ 
long BgL_pcz00_2680;obj_t BgL_lz00_2678;
BgL_lz00_2678 = 
CDR(BgL_lz00_30); 
{ /* Jas/as.scm 257 */
long BgL_auxz00_2681;
BgL_auxz00_2681 = 
bgl_list_length(
CAR(BgL_lz00_30)); 
BgL_pcz00_2680 = 
(BgL_pcz00_31+BgL_auxz00_2681); } 
BgL_pcz00_31 = BgL_pcz00_2680; 
BgL_lz00_30 = BgL_lz00_2678; 
goto BGl_getzd2lineszd2zzjas_asz00;} } } } } } } 
}



/* line-compress */
obj_t BGl_linezd2compresszd2zzjas_asz00(obj_t BgL_lz00_32, obj_t BgL_linez00_33)
{ AN_OBJECT;
{ /* Jas/as.scm 259 */
BGl_linezd2compresszd2zzjas_asz00:
if(
NULLP(BgL_lz00_32))
{ /* Jas/as.scm 261 */
return BgL_lz00_32;}  else 
{ /* Jas/as.scm 262 */
bool_t BgL_testz00_2687;
{ /* Jas/as.scm 262 */
obj_t BgL_auxz00_2688;
{ /* Jas/as.scm 262 */
obj_t BgL_auxz00_2689;
BgL_auxz00_2689 = 
CAR(BgL_lz00_32); 
BgL_auxz00_2688 = 
CDR(BgL_auxz00_2689); } 
BgL_testz00_2687 = 
(BgL_auxz00_2688==BgL_linez00_33); } 
if(BgL_testz00_2687)
{ /* Jas/as.scm 262 */
{ 
obj_t BgL_lz00_2693;
BgL_lz00_2693 = 
CDR(BgL_lz00_32); 
BgL_lz00_32 = BgL_lz00_2693; 
goto BGl_linezd2compresszd2zzjas_asz00;} }  else 
{ /* Jas/as.scm 262 */
{ /* Jas/as.scm 263 */
obj_t BgL_arg2372z00_799;obj_t BgL_arg2373z00_800;
BgL_arg2372z00_799 = 
CAR(BgL_lz00_32); 
{ /* Jas/as.scm 263 */
obj_t BgL_auxz00_2696;
{ /* Jas/as.scm 263 */
obj_t BgL_auxz00_2698;
BgL_auxz00_2698 = 
CAR(BgL_lz00_32); 
BgL_auxz00_2696 = 
CDR(BgL_auxz00_2698); } 
BgL_arg2373z00_800 = 
BGl_linezd2compresszd2zzjas_asz00(
CDR(BgL_lz00_32), BgL_auxz00_2696); } 
return 
MAKE_PAIR(BgL_arg2372z00_799, BgL_arg2373z00_800);} } } } 
}



/* get-localvars */
obj_t BGl_getzd2localvarszd2zzjas_asz00(obj_t BgL_lz00_34)
{ AN_OBJECT;
{ /* Jas/as.scm 265 */
BGl_getzd2localvarszd2zzjas_asz00:
if(
NULLP(BgL_lz00_34))
{ /* Jas/as.scm 267 */
return BgL_lz00_34;}  else 
{ /* Jas/as.scm 268 */
bool_t BgL_testz00_2705;
{ /* Jas/as.scm 268 */
obj_t BgL_auxz00_2710;obj_t BgL_auxz00_2706;
BgL_auxz00_2710 = 
BINT(((long)205)); 
{ /* Jas/as.scm 268 */
obj_t BgL_auxz00_2707;
BgL_auxz00_2707 = 
CAR(BgL_lz00_34); 
BgL_auxz00_2706 = 
CAR(BgL_auxz00_2707); } 
BgL_testz00_2705 = 
(BgL_auxz00_2706==BgL_auxz00_2710); } 
if(BgL_testz00_2705)
{ /* Jas/as.scm 268 */
{ /* Jas/as.scm 269 */
obj_t BgL_arg2390z00_806;obj_t BgL_arg2391z00_807;
{ /* Jas/as.scm 269 */
obj_t BgL_auxz00_2713;
BgL_auxz00_2713 = 
CAR(BgL_lz00_34); 
BgL_arg2390z00_806 = 
CDR(BgL_auxz00_2713); } 
BgL_arg2391z00_807 = 
BGl_getzd2localvarszd2zzjas_asz00(
CDR(BgL_lz00_34)); 
return 
MAKE_PAIR(BgL_arg2390z00_806, BgL_arg2391z00_807);} }  else 
{ /* Jas/as.scm 268 */
{ 
obj_t BgL_lz00_2719;
BgL_lz00_2719 = 
CDR(BgL_lz00_34); 
BgL_lz00_34 = BgL_lz00_2719; 
goto BGl_getzd2localvarszd2zzjas_asz00;} } } } 
}



/* get-bytecode */
obj_t BGl_getzd2bytecodezd2zzjas_asz00(obj_t BgL_lz00_35)
{ AN_OBJECT;
{ /* Jas/as.scm 273 */
BGl_getzd2bytecodezd2zzjas_asz00:
if(
NULLP(BgL_lz00_35))
{ /* Jas/as.scm 274 */
return BgL_lz00_35;}  else 
{ /* Jas/as.scm 275 */
bool_t BgL_testz00_2723;
{ /* Jas/as.scm 275 */
obj_t BgL_auxz00_2728;obj_t BgL_auxz00_2724;
BgL_auxz00_2728 = 
BINT(((long)202)); 
{ /* Jas/as.scm 275 */
obj_t BgL_auxz00_2725;
BgL_auxz00_2725 = 
CAR(BgL_lz00_35); 
BgL_auxz00_2724 = 
CAR(BgL_auxz00_2725); } 
BgL_testz00_2723 = 
(BgL_auxz00_2724==BgL_auxz00_2728); } 
if(BgL_testz00_2723)
{ /* Jas/as.scm 275 */
{ 
obj_t BgL_lz00_2731;
BgL_lz00_2731 = 
CDR(BgL_lz00_35); 
BgL_lz00_35 = BgL_lz00_2731; 
goto BGl_getzd2bytecodezd2zzjas_asz00;} }  else 
{ /* Jas/as.scm 276 */
bool_t BgL_testz00_2733;
{ /* Jas/as.scm 276 */
obj_t BgL_auxz00_2738;obj_t BgL_auxz00_2734;
BgL_auxz00_2738 = 
BINT(((long)203)); 
{ /* Jas/as.scm 276 */
obj_t BgL_auxz00_2735;
BgL_auxz00_2735 = 
CAR(BgL_lz00_35); 
BgL_auxz00_2734 = 
CAR(BgL_auxz00_2735); } 
BgL_testz00_2733 = 
(BgL_auxz00_2734==BgL_auxz00_2738); } 
if(BgL_testz00_2733)
{ /* Jas/as.scm 276 */
{ 
obj_t BgL_lz00_2741;
BgL_lz00_2741 = 
CDR(BgL_lz00_35); 
BgL_lz00_35 = BgL_lz00_2741; 
goto BGl_getzd2bytecodezd2zzjas_asz00;} }  else 
{ /* Jas/as.scm 277 */
bool_t BgL_testz00_2743;
{ /* Jas/as.scm 277 */
obj_t BgL_auxz00_2748;obj_t BgL_auxz00_2744;
BgL_auxz00_2748 = 
BINT(((long)204)); 
{ /* Jas/as.scm 277 */
obj_t BgL_auxz00_2745;
BgL_auxz00_2745 = 
CAR(BgL_lz00_35); 
BgL_auxz00_2744 = 
CAR(BgL_auxz00_2745); } 
BgL_testz00_2743 = 
(BgL_auxz00_2744==BgL_auxz00_2748); } 
if(BgL_testz00_2743)
{ /* Jas/as.scm 277 */
{ 
obj_t BgL_lz00_2751;
BgL_lz00_2751 = 
CDR(BgL_lz00_35); 
BgL_lz00_35 = BgL_lz00_2751; 
goto BGl_getzd2bytecodezd2zzjas_asz00;} }  else 
{ /* Jas/as.scm 278 */
bool_t BgL_testz00_2753;
{ /* Jas/as.scm 278 */
obj_t BgL_auxz00_2758;obj_t BgL_auxz00_2754;
BgL_auxz00_2758 = 
BINT(((long)205)); 
{ /* Jas/as.scm 278 */
obj_t BgL_auxz00_2755;
BgL_auxz00_2755 = 
CAR(BgL_lz00_35); 
BgL_auxz00_2754 = 
CAR(BgL_auxz00_2755); } 
BgL_testz00_2753 = 
(BgL_auxz00_2754==BgL_auxz00_2758); } 
if(BgL_testz00_2753)
{ /* Jas/as.scm 278 */
{ 
obj_t BgL_lz00_2761;
BgL_lz00_2761 = 
CDR(BgL_lz00_35); 
BgL_lz00_35 = BgL_lz00_2761; 
goto BGl_getzd2bytecodezd2zzjas_asz00;} }  else 
{ /* Jas/as.scm 278 */
return 
bgl_append2(
CAR(BgL_lz00_35), 
BGl_getzd2bytecodezd2zzjas_asz00(
CDR(BgL_lz00_35)));} } } } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzjas_asz00()
{ AN_OBJECT;
{ /* Jas/as.scm 1 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzjas_asz00()
{ AN_OBJECT;
{ /* Jas/as.scm 1 */
BGl_modulezd2initializa7ationz75zzjas_libz00(((long)63632), "jas_as"); 
BGl_modulezd2initializa7ationz75zzjas_classfilez00(((long)47971), "jas_as"); 
BGl_modulezd2initializa7ationz75zzjas_producez00(((long)62051), "jas_as"); 
BGl_modulezd2initializa7ationz75zzjas_opcodez00(((long)19511), "jas_as"); 
BGl_modulezd2initializa7ationz75zzjas_peepz00(((long)21121), "jas_as"); 
BGl_modulezd2initializa7ationz75zzjas_widez00(((long)43458), "jas_as"); 
BGl_modulezd2initializa7ationz75zzjas_labelsz00(((long)32734), "jas_as"); 
return 
BGl_modulezd2initializa7ationz75zzjas_stackz00(((long)3804), "jas_as");} 
}

