/*===========================================================================*/
/*   (Module/module.scm)                                                     */
/*   Bigloo (2.5b)                                                           */
/*   Manuel Serrano (c)       Fri Sep 6 09:43:28 CEST 2002                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;


extern bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzheap_restorez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_mainz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_statexpz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_impusez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_includez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_withz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_foreignz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_javaz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_evalz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_loadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_pragmaz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_checksumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_optionz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_alibraryz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_makezd2pragmazd2compilerz00zzmodule_pragmaz00();
extern obj_t BGl_modulezd2checksumzd2objectz00zzmodule_modulez00();
static obj_t BGl_ccompzd2idzd2zzmodule_modulez00(BgL_ccompz00_bglt);
static obj_t BGl_methodzd2initzd2zzmodule_modulez00();
extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
extern obj_t close_output_port(obj_t);
extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__modulezd2checksumzd2objectz00zzmodule_modulez00(obj_t);
obj_t BGl_za2modulezd2checksumza2zd2zzmodule_modulez00 = BUNSPEC;
static obj_t BGl__allocatezd2ccompzd2zzmodule_modulez00(obj_t);
static obj_t BGl__consumezd2modulez121878zc0zzmodule_modulez00(obj_t, obj_t, obj_t);
extern obj_t open_input_string(obj_t);
static obj_t BGl_checksumzd2modulezd2zzmodule_modulez00(obj_t);
extern obj_t BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(obj_t);
extern obj_t BGl_za2srczd2filesza2zd2zzengine_paramz00;
extern long BGl_classzd2numzd2zz__objectz00(obj_t);
extern obj_t BGl_makezd2importzd2compilerz00zzmodule_impusez00();
static obj_t BGl__fillzd2ccompz121896zc0zzmodule_modulez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern BgL_ccompz00_bglt BGl_makezd2ccompzd2zzmodule_modulez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__makezd2ccomp1884zd2zzmodule_modulez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__modulezd2initializa7ationzd2id1876za7zzmodule_modulez00(obj_t, obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern obj_t BGl_makezd2foreignzd2compilerz00zzmodule_foreignz00();
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern obj_t string_append(obj_t, obj_t);
extern obj_t BGl_restorezd2additionalzd2heapsz00zzheap_restorez00();
static obj_t BGl__ccompzd2id1887zd2zzmodule_modulez00(obj_t, obj_t);
obj_t BGl_ccompz00zzmodule_modulez00 = BUNSPEC;
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl_objectz00zz__objectz00;
extern BgL_ccompz00_bglt BGl_allocatezd2ccompzd2zzmodule_modulez00();
extern obj_t BGl_consumezd2modulezd2clausez12z12zzmodule_modulez00(obj_t, obj_t);
static obj_t BGl_producezd2libraryzd2clausesz00zzmodule_modulez00(obj_t);
extern obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
obj_t BGl_za2moduleza2z00zzmodule_modulez00 = BUNSPEC;
extern obj_t string_to_bstring(char *);
obj_t BGl_za2mainza2z00zzmodule_modulez00 = BUNSPEC;
static obj_t BGl_findzd2clausezd2producerz00zzmodule_modulez00(obj_t, obj_t);
extern obj_t BGl_makezd2fromzd2compilerz00zzmodule_impusez00();
obj_t BGl_za2modulezd2locationza2zd2zzmodule_modulez00 = BUNSPEC;
static obj_t BGl_findzd2clausezd2consumerz00zzmodule_modulez00(obj_t, obj_t);
extern obj_t BGl_za2destza2z00zzengine_paramz00;
extern obj_t BGl_makezd2typezd2compilerz00zzmodule_typez00();
extern obj_t BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(obj_t, obj_t);
extern obj_t BGl_consumezd2modulez12zc0zzmodule_modulez00(obj_t, obj_t);
extern obj_t BGl_za2passza2z00zzengine_paramz00;
extern obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, obj_t, bool_t, obj_t);
static obj_t BGl_ccompzd2producerzd2zzmodule_modulez00(BgL_ccompz00_bglt);
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_makezd2includezd2compilerz00zzmodule_includez00();
static obj_t BGl_ccompzd2consumerzd2zzmodule_modulez00(BgL_ccompz00_bglt);
extern obj_t BGl_makezd2staticzd2compilerz00zzmodule_statexpz00();
extern obj_t BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(obj_t);
extern obj_t BGl_modulezd2initializa7ationzd2idza7zzmodule_modulez00(obj_t);
extern obj_t BGl_makezd2evalzd2compilerz00zzmodule_evalz00();
static obj_t BGl__ccompzd2consumer1891zd2zzmodule_modulez00(obj_t, obj_t);
extern obj_t open_output_file(obj_t);
extern obj_t BGl_makezd2mainzd2compilerz00zzmodule_mainz00();
static obj_t BGl_cnstzd2initzd2zzmodule_modulez00();
extern obj_t BGl_producezd2modulez12zc0zzmodule_modulez00(obj_t);
extern obj_t close_input_port(obj_t);
extern bool_t fexists(char *);
obj_t BGl_za2modulezd2clauseza2zd2zzmodule_modulez00 = BUNSPEC;
extern obj_t BGl_makezd2externzd2compilerz00zzmodule_foreignz00();
extern bool_t BGl_ccompzf3zf3zzmodule_modulez00(obj_t);
extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
static obj_t BGl_objectzd2ze3structzd2ccomp1056ze3zzmodule_modulez00(obj_t, obj_t);
static obj_t BGl__producezd2modulez12zc0zzmodule_modulez00(obj_t, obj_t);
extern obj_t bgl_append2(obj_t, obj_t);
extern obj_t BGl_displayzd22zd2zz__r4_output_6_10_3z00(obj_t, obj_t);
extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
static obj_t BGl_installzd2clauseszd2compilerz12z12zzmodule_modulez00();
extern obj_t BGl_makezd2exportzd2compilerz00zzmodule_statexpz00();
extern obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzmodule_modulez00();
static obj_t BGl_objectzd2initzd2zzmodule_modulez00();
static obj_t BGl__ccompzd2finaliza7er1893z75zzmodule_modulez00(obj_t, obj_t);
extern obj_t make_struct(obj_t, int, obj_t);
extern obj_t BGl_earlyzd2withzd2clausesz00zzmodule_withz00();
static obj_t BGl_requirezd2initializa7ationz75zzmodule_modulez00 = BUNSPEC;
static obj_t BGl__consumezd2modulezd2clausez121880z12zzmodule_modulez00(obj_t, obj_t, obj_t);
static obj_t BGl_za2clausezd2compilersza2zd2zzmodule_modulez00 = BUNSPEC;
extern obj_t BGl_makezd2usezd2compilerz00zzmodule_impusez00();
extern obj_t BGl_appendz00zz__r4_pairs_and_lists_6_3z00(obj_t);
static obj_t BGl_finaliza7ezd2clausezd2compilationsza7zzmodule_modulez00();
extern obj_t BGl_makezd2loadzd2compilerz00zzmodule_loadz00();
extern obj_t BGl_makezd2optionzd2compilerz00zzmodule_optionz00();
extern obj_t BGl_prefixz00zz__osz00(obj_t);
extern obj_t BGl_makezd2withzd2compilerz00zzmodule_withz00();
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_exitz00zz__errorz00(obj_t);
static obj_t BGl_unknownzd2clausezd2consumerz00zzmodule_modulez00(obj_t, obj_t, obj_t);
extern obj_t BGl_makezd2javazd2compilerz00zzmodule_javaz00();
static obj_t BGl_unknownzd2clausezd2producerz00zzmodule_modulez00(obj_t, obj_t);
extern obj_t BGl_displayz00zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzmodule_modulez00();
extern BgL_ccompz00_bglt BGl_fillzd2ccompz12zc0zzmodule_modulez00(BgL_ccompz00_bglt, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__ccompzf3zf3zzmodule_modulez00(obj_t, obj_t);
static obj_t BGl_ccompzd2finaliza7erz75zzmodule_modulez00(BgL_ccompz00_bglt);
static obj_t BGl__producezd2modulezd2clausez12z12zzmodule_modulez00(obj_t, obj_t);
static obj_t BGl__ccompzd2producer1889zd2zzmodule_modulez00(obj_t, obj_t);
extern long BGl_modulezd2checksumzd2zzmodule_checksumz00(obj_t);
static obj_t BGl_toplevelzd2initzd2zzmodule_modulez00();
extern obj_t BGl_makezd2alibraryzd2compilerz00zzmodule_alibraryz00();
static obj_t BGl_structzb2objectzd2ze3objectzd2ccomp1058z51zzmodule_modulez00(obj_t, obj_t, obj_t);
static obj_t __cnst[ 14 ] ;

extern obj_t BGl_additionalzd2heapzd2restorezd2globalsz12zd2envz12zzast_envz00;
DEFINE_EXPORT_PROCEDURE( BGl_makezd2ccompzd2envz00zzmodule_modulez00, BgL_bgl__makeza7d2ccomp1884za7d2za7za7module_moduleza7002097za7, BGl__makezd2ccomp1884zd2zzmodule_modulez00, 0L, 4 );
DEFINE_STATIC_PROCEDURE( BGl_ccompzd2consumerzd2envz00zzmodule_modulez00, BgL_bgl__ccompza7d2consumer1891za7d2za7za7module_moduleza7002098za7, BGl__ccompzd2consumer1891zd2zzmodule_modulez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_producezd2modulezd2clausez12zd2envzc0zzmodule_modulez00, BgL_bgl__produceza7d2moduleza7d2clauseza712za712za7za7module_moduleza7002099za7, BGl__producezd2modulezd2clausez12z12zzmodule_modulez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_modulezd2checksumzd2objectzd2envzd2zzmodule_modulez00, BgL_bgl__moduleza7d2checksumza7d2objectza700za7za7module_moduleza7002100z00, BGl__modulezd2checksumzd2objectz00zzmodule_modulez00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_proc2061z00zzmodule_modulez00, BgL_bgl_objectza7d2za7e3structza7d2ccomp1056za7e3za7za7module_moduleza7002101za7, BGl_objectzd2ze3structzd2ccomp1056ze3zzmodule_modulez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2062z00zzmodule_modulez00, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2ccomp1058za751za7za7module_moduleza7002102z00, BGl_structzb2objectzd2ze3objectzd2ccomp1058z51zzmodule_modulez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_ccompzd2finaliza7erzd2envza7zzmodule_modulez00, BgL_bgl__ccompza7d2finaliza7a7er1893za775za7za7module_moduleza7002103z00, BGl__ccompzd2finaliza7er1893z75zzmodule_modulez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_allocatezd2ccompzd2envz00zzmodule_modulez00, BgL_bgl__allocateza7d2ccompza7d2za7za7module_moduleza7002104za7, BGl__allocatezd2ccompzd2zzmodule_modulez00, 0L, 0 );
extern obj_t BGl_objectzd2ze3structzd2envze3zz__objectz00;
DEFINE_STRING( BGl_string2063z00zzmodule_modulez00, BgL_bgl_string2063za700za7za7module_moduleza7002105z00, "finalizer consumer producer id ccomp mco module-initialization (library _) library module (additional-heap-restore-globals!) (eval foreign t) main pass-started ", 160 );
DEFINE_STRING( BGl_string2060z00zzmodule_modulez00, BgL_bgl_string2060za700za7za7module_moduleza7002106z00, "Can't open file for input", 25 );
DEFINE_STRING( BGl_string2059z00zzmodule_modulez00, BgL_bgl_string2059za700za7za7module_moduleza7002107z00, "Can't open file for output", 26 );
DEFINE_STRING( BGl_string2058z00zzmodule_modulez00, BgL_bgl_string2058za700za7za7module_moduleza7002108z00, "module checksum", 15 );
DEFINE_STRING( BGl_string2057z00zzmodule_modulez00, BgL_bgl_string2057za700za7za7module_moduleza7002109z00, ".mco", 4 );
DEFINE_STRING( BGl_string2056z00zzmodule_modulez00, BgL_bgl_string2056za700za7za7module_moduleza7002110z00, "Module checksum object", 22 );
DEFINE_STRING( BGl_string2055z00zzmodule_modulez00, BgL_bgl_string2055za700za7za7module_moduleza7002111z00, "Module declaration", 18 );
DEFINE_STRING( BGl_string2054z00zzmodule_modulez00, BgL_bgl_string2054za700za7za7module_moduleza7002112z00, "conflict in module's name: ", 27 );
DEFINE_STATIC_PROCEDURE( BGl_ccompzd2idzd2envz00zzmodule_modulez00, BgL_bgl__ccompza7d2id1887za7d2za7za7module_moduleza7002113za7, BGl__ccompzd2id1887zd2zzmodule_modulez00, 0L, 1 );
DEFINE_STRING( BGl_string2053z00zzmodule_modulez00, BgL_bgl_string2053za700za7za7module_moduleza7002114z00, " vs ", 4 );
DEFINE_STRING( BGl_string2052z00zzmodule_modulez00, BgL_bgl_string2052za700za7za7module_moduleza7002115z00, "Unknown module clause", 21 );
DEFINE_STRING( BGl_string2051z00zzmodule_modulez00, BgL_bgl_string2051za700za7za7module_moduleza7002116z00, "Illegal module clause", 21 );
DEFINE_STRING( BGl_string2050z00zzmodule_modulez00, BgL_bgl_string2050za700za7za7module_moduleza7002117z00, "Illegal module declaration", 26 );
DEFINE_STRING( BGl_string2049z00zzmodule_modulez00, BgL_bgl_string2049za700za7za7module_moduleza7002118z00, "Illegal module name", 19 );
DEFINE_STRING( BGl_string2048z00zzmodule_modulez00, BgL_bgl_string2048za700za7za7module_moduleza7002119z00, "Parse error", 11 );
DEFINE_STRING( BGl_string2047z00zzmodule_modulez00, BgL_bgl_string2047za700za7za7module_moduleza7002120z00, "failure during postlude hook", 28 );
DEFINE_STRING( BGl_string2046z00zzmodule_modulez00, BgL_bgl_string2046za700za7za7module_moduleza7002121z00, " occured, ending ...", 20 );
DEFINE_STRING( BGl_string2045z00zzmodule_modulez00, BgL_bgl_string2045za700za7za7module_moduleza7002122z00, " error", 6 );
DEFINE_STRING( BGl_string2044z00zzmodule_modulez00, BgL_bgl_string2044za700za7za7module_moduleza7002123z00, "failure during prelude hook", 27 );
DEFINE_STRING( BGl_string2043z00zzmodule_modulez00, BgL_bgl_string2043za700za7za7module_moduleza7002124z00, "   . ", 5 );
DEFINE_STRING( BGl_string2042z00zzmodule_modulez00, BgL_bgl_string2042za700za7za7module_moduleza7002125z00, "Module", 6 );
DEFINE_EXPORT_PROCEDURE( BGl_consumezd2modulezd2clausez12zd2envzc0zzmodule_modulez00, BgL_bgl__consumeza7d2moduleza7d2clauseza7121880za712za7za7module_moduleza7002126za7, BGl__consumezd2modulezd2clausez121880z12zzmodule_modulez00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_consumezd2modulez12zd2envz12zzmodule_modulez00, BgL_bgl__consumeza7d2moduleza7121878za7c0za7za7module_moduleza7002127z00, BGl__consumezd2modulez121878zc0zzmodule_modulez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_ccompzd2producerzd2envz00zzmodule_modulez00, BgL_bgl__ccompza7d2producer1889za7d2za7za7module_moduleza7002128za7, BGl__ccompzd2producer1889zd2zzmodule_modulez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_fillzd2ccompz12zd2envz12zzmodule_modulez00, BgL_bgl__fillza7d2ccompza7121896za7c0za7za7module_moduleza7002129z00, BGl__fillzd2ccompz121896zc0zzmodule_modulez00, 0L, 5 );
DEFINE_EXPORT_PROCEDURE( BGl_ccompzf3zd2envz21zzmodule_modulez00, BgL_bgl__ccompza7f3za7f3za7za7module_moduleza7002130za7, BGl__ccompzf3zf3zzmodule_modulez00, 0L, 1 );
extern obj_t BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00;
DEFINE_EXPORT_PROCEDURE( BGl_modulezd2initializa7ationzd2idzd2envz75zzmodule_modulez00, BgL_bgl__moduleza7d2initializa7a7ationza7d2id1876za7a7za7za7module_moduleza7002131za7, BGl__modulezd2initializa7ationzd2id1876za7zzmodule_modulez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_producezd2modulez12zd2envz12zzmodule_modulez00, BgL_bgl__produceza7d2moduleza712za7c0za7za7module_moduleza7002132z00, BGl__producezd2modulez12zc0zzmodule_modulez00, 0L, 1 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long BgL_checksumz00_706, char * BgL_fromz00_707)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzmodule_modulez00))
{ 
BGl_requirezd2initializa7ationz75zzmodule_modulez00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzmodule_modulez00(); 
BGl_cnstzd2initzd2zzmodule_modulez00(); 
BGl_importedzd2moduleszd2initz00zzmodule_modulez00(); 
BGl_objectzd2initzd2zzmodule_modulez00(); 
BGl_methodzd2initzd2zzmodule_modulez00(); 
BGl_toplevelzd2initzd2zzmodule_modulez00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzmodule_modulez00()
{ AN_OBJECT;
{ /* Module/module.scm 15 */
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "module_module"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "module_module"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "module_module"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "module_module"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "module_module"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "module_module"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "module_module"); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)0), "module_module"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "module_module"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzmodule_modulez00()
{ AN_OBJECT;
{ /* Module/module.scm 15 */
{ /* Module/module.scm 15 */
obj_t BgL_cportz00_699;
BgL_cportz00_699 = 
open_input_string(BGl_string2063z00zzmodule_modulez00); 
{ 
long BgL_iz00_700;
BgL_iz00_700 = ((long)13); 
BgL_loopz00_701:
if(
(BgL_iz00_700==((long)-1)))
{ /* Module/module.scm 15 */
return BUNSPEC;}  else 
{ /* Module/module.scm 15 */
{ /* Module/module.scm 15 */
obj_t BgL_arg2067z00_703;
{ /* Module/module.scm 15 */
obj_t BgL_list2070z00_704;
BgL_list2070z00_704 = 
MAKE_PAIR(BgL_cportz00_699, BNIL); 
BgL_arg2067z00_703 = 
BGl_readz00zz__readerz00(BgL_list2070z00_704); } 
{ /* Module/module.scm 15 */
int BgL_auxz00_731;
BgL_auxz00_731 = 
(int)(BgL_iz00_700); 
CNST_TABLE_SET(BgL_auxz00_731, BgL_arg2067z00_703); } } 
{ 
long BgL_iz00_734;
{ /* Module/module.scm 15 */
int BgL_auxz00_735;
{ /* Module/module.scm 15 */
long BgL_auxz00_736;
BgL_auxz00_736 = 
(BgL_iz00_700-((long)1)); 
BgL_auxz00_735 = 
(int)(BgL_auxz00_736); } 
BgL_iz00_734 = 
(long)(BgL_auxz00_735); } 
BgL_iz00_700 = BgL_iz00_734; 
goto BgL_loopz00_701;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzmodule_modulez00()
{ AN_OBJECT;
{ /* Module/module.scm 15 */
BGl_za2moduleza2z00zzmodule_modulez00 = BFALSE; 
BGl_za2modulezd2clauseza2zd2zzmodule_modulez00 = BFALSE; 
BGl_za2mainza2z00zzmodule_modulez00 = BFALSE; 
BGl_za2modulezd2checksumza2zd2zzmodule_modulez00 = BFALSE; 
BGl_za2modulezd2locationza2zd2zzmodule_modulez00 = BFALSE; 
return ( 
BGl_za2clausezd2compilersza2zd2zzmodule_modulez00 = BNIL, BUNSPEC) ;} 
}



/* produce-module! */
obj_t BGl_producezd2modulez12zc0zzmodule_modulez00(obj_t BgL_mclausez00_19)
{ AN_OBJECT;
{ /* Module/module.scm 86 */
{ /* Module/module.scm 87 */
obj_t BgL_list1101z00_60;
{ /* Module/module.scm 87 */
obj_t BgL_arg1104z00_62;
{ /* Module/module.scm 87 */
obj_t BgL_arg1108z00_64;
{ /* Module/module.scm 87 */
obj_t BgL_auxz00_740;
BgL_auxz00_740 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg1108z00_64 = 
MAKE_PAIR(BgL_auxz00_740, BNIL); } 
BgL_arg1104z00_62 = 
MAKE_PAIR(BGl_string2042z00zzmodule_modulez00, BgL_arg1108z00_64); } 
BgL_list1101z00_60 = 
MAKE_PAIR(BGl_string2043z00zzmodule_modulez00, BgL_arg1104z00_62); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)1)), BgL_list1101z00_60); } 
BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = 
BINT(((long)0)); 
BGl_za2currentzd2passza2zd2zzengine_passz00 = BGl_string2042z00zzmodule_modulez00; 
{ 
obj_t BgL_hooksz00_65;obj_t BgL_hnamesz00_66;
BgL_hooksz00_65 = BNIL; 
BgL_hnamesz00_66 = BNIL; 
BgL_loopz00_67:
if(
NULLP(BgL_hooksz00_65))
{ /* Module/module.scm 87 */
CNST_TABLE_REF(((long)0)); }  else 
{ /* Module/module.scm 87 */
bool_t BgL_test1118z00_72;
{ /* Module/module.scm 87 */
obj_t BgL_fun1136z00_78;
BgL_fun1136z00_78 = 
CAR(BgL_hooksz00_65); 
{ /* Module/module.scm 87 */
obj_t BgL_auxz00_752;
BgL_auxz00_752 = 
PROCEDURE_ENTRY(BgL_fun1136z00_78)(BgL_fun1136z00_78, BEOA); 
BgL_test1118z00_72 = 
CBOOL(BgL_auxz00_752); } } 
if(BgL_test1118z00_72)
{ /* Module/module.scm 87 */
{ 
obj_t BgL_hnamesz00_759;obj_t BgL_hooksz00_757;
BgL_hooksz00_757 = 
CDR(BgL_hooksz00_65); 
BgL_hnamesz00_759 = 
CDR(BgL_hnamesz00_66); 
BgL_hnamesz00_66 = BgL_hnamesz00_759; 
BgL_hooksz00_65 = BgL_hooksz00_757; 
goto BgL_loopz00_67;} }  else 
{ /* Module/module.scm 87 */
BGl_internalzd2errorzd2zztools_errorz00(BGl_string2042z00zzmodule_modulez00, BGl_string2044z00zzmodule_modulez00, 
CAR(BgL_hnamesz00_66)); } } } 
{ 
obj_t BgL_namez00_79;obj_t BgL_clausesz00_80;
if(
PAIRP(BgL_mclausez00_19))
{ /* Module/module.scm 88 */
obj_t BgL_cdrzd2109zd2_85;
BgL_cdrzd2109zd2_85 = 
CDR(BgL_mclausez00_19); 
{ /* Module/module.scm 88 */
bool_t BgL_testz00_766;
{ /* Module/module.scm 88 */
obj_t BgL_auxz00_769;obj_t BgL_auxz00_767;
BgL_auxz00_769 = 
CNST_TABLE_REF(((long)4)); 
BgL_auxz00_767 = 
CAR(BgL_mclausez00_19); 
BgL_testz00_766 = 
(BgL_auxz00_767==BgL_auxz00_769); } 
if(BgL_testz00_766)
{ /* Module/module.scm 88 */
if(
PAIRP(BgL_cdrzd2109zd2_85))
{ /* Module/module.scm 88 */
obj_t BgL_carzd2112zd2_88;
BgL_carzd2112zd2_88 = 
CAR(BgL_cdrzd2109zd2_85); 
if(
SYMBOLP(BgL_carzd2112zd2_88))
{ /* Module/module.scm 88 */
BgL_namez00_79 = BgL_carzd2112zd2_88; 
BgL_clausesz00_80 = 
CDR(BgL_cdrzd2109zd2_85); 
{ /* Module/module.scm 90 */
obj_t BgL_clausesz00_93;
{ /* Module/module.scm 90 */
obj_t BgL_arg1244z00_127;obj_t BgL_arg1246z00_128;
BgL_arg1244z00_127 = 
BGl_earlyzd2withzd2clausesz00zzmodule_withz00(); 
{ /* Module/module.scm 91 */
bool_t BgL_test1249z00_129;
{ /* Module/module.scm 91 */
obj_t BgL_objz00_451;
BgL_objz00_451 = BGl_za2mainza2z00zzmodule_modulez00; 
BgL_test1249z00_129 = 
SYMBOLP(BgL_objz00_451); } 
if(BgL_test1249z00_129)
{ /* Module/module.scm 92 */
obj_t BgL_arg1251z00_130;
{ /* Module/module.scm 92 */
obj_t BgL_arg1254z00_131;obj_t BgL_arg1255z00_132;
BgL_arg1254z00_131 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg1255z00_132 = 
MAKE_PAIR(BGl_za2mainza2z00zzmodule_modulez00, BNIL); 
BgL_arg1251z00_130 = 
MAKE_PAIR(BgL_arg1254z00_131, BgL_arg1255z00_132); } 
BgL_arg1246z00_128 = 
MAKE_PAIR(BgL_arg1251z00_130, BgL_clausesz00_80); }  else 
{ /* Module/module.scm 91 */
BgL_arg1246z00_128 = BgL_clausesz00_80; } } 
BgL_clausesz00_93 = 
MAKE_PAIR(BgL_arg1244z00_127, BgL_arg1246z00_128); } 
{ /* Module/module.scm 94 */
bool_t BgL_testz00_785;
{ /* Module/module.scm 94 */
bool_t BgL_testz00_786;
{ /* Module/module.scm 94 */
obj_t BgL_auxz00_787;
BgL_auxz00_787 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_namez00_79, 
CNST_TABLE_REF(((long)2))); 
BgL_testz00_786 = 
CBOOL(BgL_auxz00_787); } 
if(BgL_testz00_786)
{ /* Module/module.scm 94 */
BgL_testz00_785 = ((bool_t)0)
; }  else 
{ /* Module/module.scm 94 */
BgL_testz00_785 = ((bool_t)1)
; } } 
if(BgL_testz00_785)
{ /* Module/module.scm 94 */
BGl_za2moduleza2z00zzmodule_modulez00 = BgL_namez00_79; 
BGl_za2modulezd2clauseza2zd2zzmodule_modulez00 = BgL_mclausez00_19; 
{ /* Module/module.scm 101 */
bool_t BgL_test1165z00_95;
BgL_test1165z00_95 = 
EXTENDED_PAIRP(BgL_mclausez00_19); 
if(BgL_test1165z00_95)
{ /* Module/module.scm 101 */
BGl_za2modulezd2locationza2zd2zzmodule_modulez00 = 
CER(BgL_mclausez00_19); }  else 
{ /* Module/module.scm 101 */
BGl_za2modulezd2locationza2zd2zzmodule_modulez00 = BFALSE; } } 
BGl_installzd2clauseszd2compilerz12z12zzmodule_modulez00(); 
{ /* Module/module.scm 105 */
obj_t BgL_clausesz00_96;
BgL_clausesz00_96 = 
BGl_producezd2libraryzd2clausesz00zzmodule_modulez00(BgL_clausesz00_93); 
BGl_restorezd2additionalzd2heapsz00zzheap_restorez00(); 
{ 
obj_t BgL_l1043z00_97;
BgL_l1043z00_97 = BgL_clausesz00_96; 
BgL_lname1044z00_98:
if(
PAIRP(BgL_l1043z00_97))
{ /* Module/module.scm 110 */
BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(
CAR(BgL_l1043z00_97)); 
{ 
obj_t BgL_l1043z00_801;
BgL_l1043z00_801 = 
CDR(BgL_l1043z00_97); 
BgL_l1043z00_97 = BgL_l1043z00_801; 
goto BgL_lname1044z00_98;} }  else 
{ /* Module/module.scm 110 */((bool_t)1); } } 
BGl_za2modulezd2checksumza2zd2zzmodule_modulez00 = 
BGl_checksumzd2modulezd2zzmodule_modulez00(BgL_mclausez00_19); 
{ /* Module/module.scm 112 */
obj_t BgL_valuez00_102;
BgL_valuez00_102 = 
BGl_finaliza7ezd2clausezd2compilationsza7zzmodule_modulez00(); 
{ /* Module/module.scm 112 */
bool_t BgL_test1185z00_103;
{ /* Module/module.scm 112 */
long BgL_n1z00_459;
BgL_n1z00_459 = 
(long)CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00); 
BgL_test1185z00_103 = 
(BgL_n1z00_459>((long)0)); } 
if(BgL_test1185z00_103)
{ /* Module/module.scm 112 */
{ /* Module/module.scm 112 */
obj_t BgL_port1045z00_104;
BgL_port1045z00_104 = 
GET_CURRENT_ERROR_PORT(); 
{ /* Module/module.scm 112 */
obj_t BgL_list1187z00_105;
BgL_list1187z00_105 = 
MAKE_PAIR(BgL_port1045z00_104, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00, BgL_list1187z00_105); } 
{ /* Module/module.scm 112 */
obj_t BgL_list1190z00_106;
BgL_list1190z00_106 = 
MAKE_PAIR(BgL_port1045z00_104, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2045z00zzmodule_modulez00, BgL_list1190z00_106); } 
{ /* Module/module.scm 112 */
char * BgL_arg1194z00_107;
{ /* Module/module.scm 112 */
bool_t BgL_test1198z00_109;
{ /* Module/module.scm 112 */
bool_t BgL_test1199z00_110;
{ /* Module/module.scm 112 */
obj_t BgL_objz00_461;
BgL_objz00_461 = BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00; 
BgL_test1199z00_110 = 
INTEGERP(BgL_objz00_461); } 
if(BgL_test1199z00_110)
{ /* Module/module.scm 112 */
BgL_test1198z00_109 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00, 
BINT(((long)1))); }  else 
{ /* Module/module.scm 112 */
BgL_test1198z00_109 = ((bool_t)0); } } 
if(BgL_test1198z00_109)
{ /* Module/module.scm 112 */
BgL_arg1194z00_107 = "s"; }  else 
{ /* Module/module.scm 112 */
BgL_arg1194z00_107 = ""; } } 
{ /* Module/module.scm 112 */
obj_t BgL_list1196z00_108;
BgL_list1196z00_108 = 
MAKE_PAIR(BgL_port1045z00_104, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(
string_to_bstring(BgL_arg1194z00_107), BgL_list1196z00_108); } } 
{ /* Module/module.scm 112 */
obj_t BgL_list1203z00_111;
BgL_list1203z00_111 = 
MAKE_PAIR(BgL_port1045z00_104, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2046z00zzmodule_modulez00, BgL_list1203z00_111); } 
WRITE_CHAR(((unsigned char)'\n'), BgL_port1045z00_104); } 
{ /* Module/module.scm 112 */
obj_t BgL_list1208z00_112;
{ /* Module/module.scm 112 */
obj_t BgL_auxz00_824;
BgL_auxz00_824 = 
BINT(((long)-1)); 
BgL_list1208z00_112 = 
MAKE_PAIR(BgL_auxz00_824, BNIL); } 
return 
BGl_exitz00zz__errorz00(BgL_list1208z00_112);} }  else 
{ 
obj_t BgL_hooksz00_113;obj_t BgL_hnamesz00_114;
{ /* Module/module.scm 112 */
obj_t BgL_arg1211z00_116;obj_t BgL_arg1212z00_117;
{ /* Module/module.scm 112 */
obj_t BgL_list1215z00_118;
BgL_list1215z00_118 = 
MAKE_PAIR(BGl_additionalzd2heapzd2restorezd2globalsz12zd2envz12zzast_envz00, BNIL); 
BgL_arg1211z00_116 = BgL_list1215z00_118; } 
BgL_arg1212z00_117 = 
CNST_TABLE_REF(((long)3)); 
BgL_hooksz00_113 = BgL_arg1211z00_116; 
BgL_hnamesz00_114 = BgL_arg1212z00_117; 
BgL_loopz00_115:
if(
NULLP(BgL_hooksz00_113))
{ /* Module/module.scm 112 */
return BgL_valuez00_102;}  else 
{ /* Module/module.scm 112 */
bool_t BgL_test1218z00_120;
{ /* Module/module.scm 112 */
obj_t BgL_fun1234z00_125;
BgL_fun1234z00_125 = 
CAR(BgL_hooksz00_113); 
{ /* Module/module.scm 112 */
obj_t BgL_auxz00_833;
BgL_auxz00_833 = 
PROCEDURE_ENTRY(BgL_fun1234z00_125)(BgL_fun1234z00_125, BEOA); 
BgL_test1218z00_120 = 
CBOOL(BgL_auxz00_833); } } 
if(BgL_test1218z00_120)
{ /* Module/module.scm 112 */
{ 
obj_t BgL_hnamesz00_840;obj_t BgL_hooksz00_838;
BgL_hooksz00_838 = 
CDR(BgL_hooksz00_113); 
BgL_hnamesz00_840 = 
CDR(BgL_hnamesz00_114); 
BgL_hnamesz00_114 = BgL_hnamesz00_840; 
BgL_hooksz00_113 = BgL_hooksz00_838; 
goto BgL_loopz00_115;} }  else 
{ /* Module/module.scm 112 */
return 
BGl_internalzd2errorzd2zztools_errorz00(BGl_za2currentzd2passza2zd2zzengine_passz00, BGl_string2047z00zzmodule_modulez00, 
CAR(BgL_hnamesz00_114));} } } } } } } }  else 
{ /* Module/module.scm 94 */
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string2048z00zzmodule_modulez00, BGl_string2049z00zzmodule_modulez00, BgL_mclausez00_19, BNIL);} } } }  else 
{ /* Module/module.scm 88 */
BgL_tagzd2102zd2_82:
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string2048z00zzmodule_modulez00, BGl_string2050z00zzmodule_modulez00, BgL_mclausez00_19, BNIL);} }  else 
{ /* Module/module.scm 88 */
goto BgL_tagzd2102zd2_82;} }  else 
{ /* Module/module.scm 88 */
goto BgL_tagzd2102zd2_82;} } }  else 
{ /* Module/module.scm 88 */
goto BgL_tagzd2102zd2_82;} } } 
}



/* _produce-module! */
obj_t BGl__producezd2modulez12zc0zzmodule_modulez00(obj_t BgL_envz00_641, obj_t BgL_mclausez00_642)
{ AN_OBJECT;
{ /* Module/module.scm 86 */
return 
BGl_producezd2modulez12zc0zzmodule_modulez00(BgL_mclausez00_642);} 
}



/* produce-library-clauses */
obj_t BGl_producezd2libraryzd2clausesz00zzmodule_modulez00(obj_t BgL_clausesz00_20)
{ AN_OBJECT;
{ /* Module/module.scm 122 */
{ /* Module/module.scm 123 */
obj_t BgL_producerz00_134;
BgL_producerz00_134 = 
BGl_findzd2clausezd2producerz00zzmodule_modulez00(
CNST_TABLE_REF(((long)5)), 
CNST_TABLE_REF(((long)6))); 
{ 
obj_t BgL_clausesz00_135;obj_t BgL_resz00_136;
BgL_clausesz00_135 = BgL_clausesz00_20; 
BgL_resz00_136 = BNIL; 
BgL_loopz00_137:
if(
NULLP(BgL_clausesz00_135))
{ /* Module/module.scm 127 */
return 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_resz00_136);}  else 
{ /* Module/module.scm 127 */
{ /* Module/module.scm 130 */
obj_t BgL_clausez00_139;
BgL_clausez00_139 = 
CAR(BgL_clausesz00_135); 
{ 

if(
PAIRP(BgL_clausez00_139))
{ /* Module/module.scm 131 */
bool_t BgL_testz00_857;
{ /* Module/module.scm 131 */
obj_t BgL_auxz00_860;obj_t BgL_auxz00_858;
BgL_auxz00_860 = 
CNST_TABLE_REF(((long)5)); 
BgL_auxz00_858 = 
CAR(BgL_clausez00_139); 
BgL_testz00_857 = 
(BgL_auxz00_858==BgL_auxz00_860); } 
if(BgL_testz00_857)
{ /* Module/module.scm 131 */
PROCEDURE_ENTRY(BgL_producerz00_134)(BgL_producerz00_134, BgL_clausez00_139, BEOA); 
{ 
obj_t BgL_clausesz00_865;
BgL_clausesz00_865 = 
CDR(BgL_clausesz00_135); 
BgL_clausesz00_135 = BgL_clausesz00_865; 
goto BgL_loopz00_137;} }  else 
{ /* Module/module.scm 131 */
BgL_tagzd2119zd2_141:
{ /* Module/module.scm 136 */
obj_t BgL_arg1284z00_148;obj_t BgL_arg1287z00_149;
BgL_arg1284z00_148 = 
CDR(BgL_clausesz00_135); 
BgL_arg1287z00_149 = 
MAKE_PAIR(BgL_clausez00_139, BgL_resz00_136); 
{ 
obj_t BgL_resz00_870;obj_t BgL_clausesz00_869;
BgL_clausesz00_869 = BgL_arg1284z00_148; 
BgL_resz00_870 = BgL_arg1287z00_149; 
BgL_resz00_136 = BgL_resz00_870; 
BgL_clausesz00_135 = BgL_clausesz00_869; 
goto BgL_loopz00_137;} } } }  else 
{ /* Module/module.scm 131 */
goto BgL_tagzd2119zd2_141;} } } } } } } 
}



/* finalize-clause-compilations */
obj_t BGl_finaliza7ezd2clausezd2compilationsza7zzmodule_modulez00()
{ AN_OBJECT;
{ /* Module/module.scm 141 */
{ 
obj_t BgL_ccz00_150;obj_t BgL_unitsz00_151;
BgL_ccz00_150 = BGl_za2clausezd2compilersza2zd2zzmodule_modulez00; 
BgL_unitsz00_151 = BNIL; 
BgL_loopz00_152:
if(
NULLP(BgL_ccz00_150))
{ /* Module/module.scm 144 */
return BgL_unitsz00_151;}  else 
{ /* Module/module.scm 146 */
obj_t BgL_finaliza7erza7_154;
{ /* Module/module.scm 146 */
BgL_ccompz00_bglt BgL_obj1006z00_478;
{ /* Module/module.scm 146 */
obj_t BgL_auxz00_873;
BgL_auxz00_873 = 
CAR(BgL_ccz00_150); 
BgL_obj1006z00_478 = 
(BgL_ccompz00_bglt)(BgL_auxz00_873); } 
BgL_finaliza7erza7_154 = 
(((BgL_ccompz00_bglt)CREF(BgL_obj1006z00_478))->BgL_finaliza7erza7); } 
{ /* Module/module.scm 146 */
obj_t BgL_finalresz00_155;
BgL_finalresz00_155 = 
PROCEDURE_ENTRY(BgL_finaliza7erza7_154)(BgL_finaliza7erza7_154, BEOA); 
{ /* Module/module.scm 147 */

{ 
obj_t BgL_unitsz00_881;obj_t BgL_ccz00_879;
BgL_ccz00_879 = 
CDR(BgL_ccz00_150); 
if(
PAIRP(BgL_finalresz00_155))
{ /* Module/module.scm 149 */
BgL_unitsz00_881 = 
bgl_append2(BgL_finalresz00_155, BgL_unitsz00_151); }  else 
{ /* Module/module.scm 149 */
BgL_unitsz00_881 = BgL_unitsz00_151; } 
BgL_unitsz00_151 = BgL_unitsz00_881; 
BgL_ccz00_150 = BgL_ccz00_879; 
goto BgL_loopz00_152;} } } } } } 
}



/* produce-module-clause! */
obj_t BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(obj_t BgL_clausez00_21)
{ AN_OBJECT;
{ /* Module/module.scm 156 */
{ 

if(
PAIRP(BgL_clausez00_21))
{ /* Module/module.scm 157 */
obj_t BgL_carzd2128zd2_165;
BgL_carzd2128zd2_165 = 
CAR(BgL_clausez00_21); 
if(
SYMBOLP(BgL_carzd2128zd2_165))
{ /* Module/module.scm 157 */
obj_t BgL_fun1320z00_485;
BgL_fun1320z00_485 = 
BGl_findzd2clausezd2producerz00zzmodule_modulez00(BgL_carzd2128zd2_165, BgL_clausez00_21); 
return 
PROCEDURE_ENTRY(BgL_fun1320z00_485)(BgL_fun1320z00_485, BgL_clausez00_21, BEOA);}  else 
{ /* Module/module.scm 157 */
BgL_tagzd2124zd2_162:
{ /* Module/module.scm 161 */
obj_t BgL_list1323z00_168;
BgL_list1323z00_168 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string2048z00zzmodule_modulez00, BGl_string2051z00zzmodule_modulez00, BgL_clausez00_21, BgL_list1323z00_168);} } }  else 
{ /* Module/module.scm 157 */
goto BgL_tagzd2124zd2_162;} } } 
}



/* _produce-module-clause! */
obj_t BGl__producezd2modulezd2clausez12z12zzmodule_modulez00(obj_t BgL_envz00_644, obj_t BgL_clausez00_645)
{ AN_OBJECT;
{ /* Module/module.scm 156 */
return 
BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(BgL_clausez00_645);} 
}



/* install-clauses-compiler! */
obj_t BGl_installzd2clauseszd2compilerz12z12zzmodule_modulez00()
{ AN_OBJECT;
{ /* Module/module.scm 174 */
{ /* Module/module.scm 177 */
obj_t BgL_arg1326z00_169;obj_t BgL_arg1327z00_170;obj_t BgL_arg1328z00_171;obj_t BgL_arg1329z00_172;obj_t BgL_arg1330z00_173;obj_t BgL_arg1331z00_174;obj_t BgL_arg1332z00_175;obj_t BgL_arg1333z00_176;obj_t BgL_arg1334z00_177;obj_t BgL_arg1335z00_178;obj_t BgL_arg1336z00_179;obj_t BgL_arg1337z00_180;obj_t BgL_arg1339z00_181;obj_t BgL_arg1340z00_182;obj_t BgL_arg1341z00_183;obj_t BgL_arg1342z00_184;obj_t BgL_arg1343z00_185;
BgL_arg1326z00_169 = 
BGl_makezd2evalzd2compilerz00zzmodule_evalz00(); 
BgL_arg1327z00_170 = 
BGl_makezd2mainzd2compilerz00zzmodule_mainz00(); 
BgL_arg1328z00_171 = 
BGl_makezd2loadzd2compilerz00zzmodule_loadz00(); 
BgL_arg1329z00_172 = 
BGl_makezd2usezd2compilerz00zzmodule_impusez00(); 
BgL_arg1330z00_173 = 
BGl_makezd2importzd2compilerz00zzmodule_impusez00(); 
BgL_arg1331z00_174 = 
BGl_makezd2fromzd2compilerz00zzmodule_impusez00(); 
BgL_arg1332z00_175 = 
BGl_makezd2javazd2compilerz00zzmodule_javaz00(); 
BgL_arg1333z00_176 = 
BGl_makezd2staticzd2compilerz00zzmodule_statexpz00(); 
BgL_arg1334z00_177 = 
BGl_makezd2exportzd2compilerz00zzmodule_statexpz00(); 
BgL_arg1335z00_178 = 
BGl_makezd2includezd2compilerz00zzmodule_includez00(); 
BgL_arg1336z00_179 = 
BGl_makezd2withzd2compilerz00zzmodule_withz00(); 
BgL_arg1337z00_180 = 
BGl_makezd2foreignzd2compilerz00zzmodule_foreignz00(); 
BgL_arg1339z00_181 = 
BGl_makezd2externzd2compilerz00zzmodule_foreignz00(); 
BgL_arg1340z00_182 = 
BGl_makezd2typezd2compilerz00zzmodule_typez00(); 
BgL_arg1341z00_183 = 
BGl_makezd2pragmazd2compilerz00zzmodule_pragmaz00(); 
BgL_arg1342z00_184 = 
BGl_makezd2optionzd2compilerz00zzmodule_optionz00(); 
BgL_arg1343z00_185 = 
BGl_makezd2alibraryzd2compilerz00zzmodule_alibraryz00(); 
{ /* Module/module.scm 177 */
obj_t BgL_list1345z00_186;
{ /* Module/module.scm 177 */
obj_t BgL_arg1347z00_187;
{ /* Module/module.scm 177 */
obj_t BgL_arg1350z00_188;
{ /* Module/module.scm 177 */
obj_t BgL_arg1353z00_189;
{ /* Module/module.scm 177 */
obj_t BgL_arg1356z00_190;
{ /* Module/module.scm 177 */
obj_t BgL_arg1359z00_191;
{ /* Module/module.scm 177 */
obj_t BgL_arg1362z00_192;
{ /* Module/module.scm 177 */
obj_t BgL_arg1366z00_193;
{ /* Module/module.scm 177 */
obj_t BgL_arg1370z00_194;
{ /* Module/module.scm 177 */
obj_t BgL_arg1373z00_195;
{ /* Module/module.scm 177 */
obj_t BgL_arg1376z00_196;
{ /* Module/module.scm 177 */
obj_t BgL_arg1379z00_197;
{ /* Module/module.scm 177 */
obj_t BgL_arg1382z00_198;
{ /* Module/module.scm 177 */
obj_t BgL_arg1385z00_199;
{ /* Module/module.scm 177 */
obj_t BgL_arg1388z00_200;
{ /* Module/module.scm 177 */
obj_t BgL_arg1391z00_201;
{ /* Module/module.scm 177 */
obj_t BgL_arg1395z00_202;
BgL_arg1395z00_202 = 
MAKE_PAIR(BgL_arg1343z00_185, BNIL); 
BgL_arg1391z00_201 = 
MAKE_PAIR(BgL_arg1342z00_184, BgL_arg1395z00_202); } 
BgL_arg1388z00_200 = 
MAKE_PAIR(BgL_arg1341z00_183, BgL_arg1391z00_201); } 
BgL_arg1385z00_199 = 
MAKE_PAIR(BgL_arg1340z00_182, BgL_arg1388z00_200); } 
BgL_arg1382z00_198 = 
MAKE_PAIR(BgL_arg1339z00_181, BgL_arg1385z00_199); } 
BgL_arg1379z00_197 = 
MAKE_PAIR(BgL_arg1337z00_180, BgL_arg1382z00_198); } 
BgL_arg1376z00_196 = 
MAKE_PAIR(BgL_arg1336z00_179, BgL_arg1379z00_197); } 
BgL_arg1373z00_195 = 
MAKE_PAIR(BgL_arg1335z00_178, BgL_arg1376z00_196); } 
BgL_arg1370z00_194 = 
MAKE_PAIR(BgL_arg1334z00_177, BgL_arg1373z00_195); } 
BgL_arg1366z00_193 = 
MAKE_PAIR(BgL_arg1333z00_176, BgL_arg1370z00_194); } 
BgL_arg1362z00_192 = 
MAKE_PAIR(BgL_arg1332z00_175, BgL_arg1366z00_193); } 
BgL_arg1359z00_191 = 
MAKE_PAIR(BgL_arg1331z00_174, BgL_arg1362z00_192); } 
BgL_arg1356z00_190 = 
MAKE_PAIR(BgL_arg1330z00_173, BgL_arg1359z00_191); } 
BgL_arg1353z00_189 = 
MAKE_PAIR(BgL_arg1329z00_172, BgL_arg1356z00_190); } 
BgL_arg1350z00_188 = 
MAKE_PAIR(BgL_arg1328z00_171, BgL_arg1353z00_189); } 
BgL_arg1347z00_187 = 
MAKE_PAIR(BgL_arg1327z00_170, BgL_arg1350z00_188); } 
BgL_list1345z00_186 = 
MAKE_PAIR(BgL_arg1326z00_169, BgL_arg1347z00_187); } 
return ( 
BGl_za2clausezd2compilersza2zd2zzmodule_modulez00 = BgL_list1345z00_186, BUNSPEC) ;} } } 
}



/* find-clause-producer */
obj_t BGl_findzd2clausezd2producerz00zzmodule_modulez00(obj_t BgL_keywordz00_22, obj_t BgL_clausez00_23)
{ AN_OBJECT;
{ /* Module/module.scm 198 */
{ /* Module/module.scm 200 */
obj_t BgL_unknownzd2clausezd2producerz00_646;
{ 
int BgL_auxz00_932;int BgL_auxz00_930;
BgL_auxz00_932 = 
(int)(((long)1)); 
BgL_auxz00_930 = 
(int)(((long)1)); 
BgL_unknownzd2clausezd2producerz00_646 = 
make_fx_procedure(BGl_unknownzd2clausezd2producerz00zzmodule_modulez00, BgL_auxz00_930, BgL_auxz00_932); } 
{ /* Module/module.scm 200 */
int BgL_auxz00_935;
BgL_auxz00_935 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_unknownzd2clausezd2producerz00_646, BgL_auxz00_935, BgL_clausez00_23); } 
{ 
obj_t BgL_ccz00_204;
BgL_ccz00_204 = BGl_za2clausezd2compilersza2zd2zzmodule_modulez00; 
BgL_loopz00_205:
if(
NULLP(BgL_ccz00_204))
{ /* Module/module.scm 206 */
return BgL_unknownzd2clausezd2producerz00_646;}  else 
{ /* Module/module.scm 208 */
bool_t BgL_testz00_940;
{ /* Module/module.scm 208 */
obj_t BgL_auxz00_941;
{ /* Module/module.scm 208 */
BgL_ccompz00_bglt BgL_obj1003z00_491;
{ /* Module/module.scm 208 */
obj_t BgL_auxz00_942;
BgL_auxz00_942 = 
CAR(BgL_ccz00_204); 
BgL_obj1003z00_491 = 
(BgL_ccompz00_bglt)(BgL_auxz00_942); } 
BgL_auxz00_941 = 
(((BgL_ccompz00_bglt)CREF(BgL_obj1003z00_491))->BgL_idz00); } 
BgL_testz00_940 = 
(BgL_auxz00_941==BgL_keywordz00_22); } 
if(BgL_testz00_940)
{ /* Module/module.scm 208 */
{ /* Module/module.scm 209 */
BgL_ccompz00_bglt BgL_obj1004z00_493;
{ /* Module/module.scm 209 */
obj_t BgL_auxz00_947;
BgL_auxz00_947 = 
CAR(BgL_ccz00_204); 
BgL_obj1004z00_493 = 
(BgL_ccompz00_bglt)(BgL_auxz00_947); } 
return 
(((BgL_ccompz00_bglt)CREF(BgL_obj1004z00_493))->BgL_producerz00);} }  else 
{ /* Module/module.scm 208 */
{ 
obj_t BgL_ccz00_951;
BgL_ccz00_951 = 
CDR(BgL_ccz00_204); 
BgL_ccz00_204 = BgL_ccz00_951; 
goto BgL_loopz00_205;} } } } } } 
}



/* unknown-clause-producer */
obj_t BGl_unknownzd2clausezd2producerz00zzmodule_modulez00(obj_t BgL_envz00_647, obj_t BgL_valuesz00_649)
{ AN_OBJECT;
{ /* Module/module.scm 203 */
{ /* Module/module.scm 200 */
obj_t BgL_clausez00_648;
{ /* Module/module.scm 200 */
int BgL_auxz00_953;
BgL_auxz00_953 = 
(int)(((long)0)); 
BgL_clausez00_648 = 
PROCEDURE_REF(BgL_envz00_647, BgL_auxz00_953); } 
{ 
obj_t BgL_valuesz00_212;
BgL_valuesz00_212 = BgL_valuesz00_649; 
{ /* Module/module.scm 200 */
obj_t BgL_list1436z00_214;
BgL_list1436z00_214 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string2048z00zzmodule_modulez00, BGl_string2052z00zzmodule_modulez00, BgL_clausez00_648, BgL_list1436z00_214);} } } } 
}



/* module-initialization-id */
obj_t BGl_modulezd2initializa7ationzd2idza7zzmodule_modulez00(obj_t BgL_idz00_24)
{ AN_OBJECT;
{ /* Module/module.scm 216 */
return 
CNST_TABLE_REF(((long)7));} 
}



/* _module-initialization-id1876 */
obj_t BGl__modulezd2initializa7ationzd2id1876za7zzmodule_modulez00(obj_t BgL_envz00_650, obj_t BgL_idz00_651)
{ AN_OBJECT;
{ /* Module/module.scm 216 */
return 
BGl_modulezd2initializa7ationzd2idza7zzmodule_modulez00(BgL_idz00_651);} 
}



/* consume-module! */
obj_t BGl_consumezd2modulez12zc0zzmodule_modulez00(obj_t BgL_pnamez00_25, obj_t BgL_mclausez00_26)
{ AN_OBJECT;
{ /* Module/module.scm 222 */
{ 
obj_t BgL_namez00_216;obj_t BgL_clausesz00_217;
if(
PAIRP(BgL_mclausez00_26))
{ /* Module/module.scm 223 */
obj_t BgL_cdrzd2141zd2_222;
BgL_cdrzd2141zd2_222 = 
CDR(BgL_mclausez00_26); 
{ /* Module/module.scm 223 */
bool_t BgL_testz00_963;
{ /* Module/module.scm 223 */
obj_t BgL_auxz00_966;obj_t BgL_auxz00_964;
BgL_auxz00_966 = 
CNST_TABLE_REF(((long)4)); 
BgL_auxz00_964 = 
CAR(BgL_mclausez00_26); 
BgL_testz00_963 = 
(BgL_auxz00_964==BgL_auxz00_966); } 
if(BgL_testz00_963)
{ /* Module/module.scm 223 */
if(
PAIRP(BgL_cdrzd2141zd2_222))
{ /* Module/module.scm 223 */
obj_t BgL_carzd2144zd2_225;
BgL_carzd2144zd2_225 = 
CAR(BgL_cdrzd2141zd2_222); 
if(
SYMBOLP(BgL_carzd2144zd2_225))
{ /* Module/module.scm 223 */
BgL_namez00_216 = BgL_carzd2144zd2_225; 
BgL_clausesz00_217 = 
CDR(BgL_cdrzd2141zd2_222); 
{ /* Module/module.scm 226 */
bool_t BgL_testz00_974;
{ /* Module/module.scm 226 */
bool_t BgL_testz00_975;
{ /* Module/module.scm 226 */
obj_t BgL_auxz00_976;
BgL_auxz00_976 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_namez00_216, 
CNST_TABLE_REF(((long)2))); 
BgL_testz00_975 = 
CBOOL(BgL_auxz00_976); } 
if(BgL_testz00_975)
{ /* Module/module.scm 226 */
BgL_testz00_974 = ((bool_t)0)
; }  else 
{ /* Module/module.scm 226 */
BgL_testz00_974 = ((bool_t)1)
; } } 
if(BgL_testz00_974)
{ /* Module/module.scm 226 */
if(
(BgL_pnamez00_25==BgL_namez00_216))
{ /* Module/module.scm 228 */
{ /* Module/module.scm 236 */
obj_t BgL_runner1482z00_244;
if(
NULLP(BgL_clausesz00_217))
{ /* Module/module.scm 236 */
BgL_runner1482z00_244 = BNIL; }  else 
{ /* Module/module.scm 236 */
obj_t BgL_head1048z00_234;
BgL_head1048z00_234 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l1046z00_235;obj_t BgL_tail1049z00_236;
BgL_l1046z00_235 = BgL_clausesz00_217; 
BgL_tail1049z00_236 = BgL_head1048z00_234; 
BgL_lname1047z00_237:
if(
NULLP(BgL_l1046z00_235))
{ /* Module/module.scm 236 */
BgL_runner1482z00_244 = 
CDR(BgL_head1048z00_234); }  else 
{ /* Module/module.scm 236 */
obj_t BgL_newtail1050z00_239;
{ /* Module/module.scm 236 */
obj_t BgL_arg1474z00_241;
BgL_arg1474z00_241 = 
BGl_consumezd2modulezd2clausez12z12zzmodule_modulez00(BgL_namez00_216, 
CAR(BgL_l1046z00_235)); 
BgL_newtail1050z00_239 = 
MAKE_PAIR(BgL_arg1474z00_241, BNIL); } 
SET_CDR(BgL_tail1049z00_236, BgL_newtail1050z00_239); 
{ 
obj_t BgL_tail1049z00_994;obj_t BgL_l1046z00_992;
BgL_l1046z00_992 = 
CDR(BgL_l1046z00_235); 
BgL_tail1049z00_994 = BgL_newtail1050z00_239; 
BgL_tail1049z00_236 = BgL_tail1049z00_994; 
BgL_l1046z00_235 = BgL_l1046z00_992; 
goto BgL_lname1047z00_237;} } } } 
return 
BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_runner1482z00_244);} }  else 
{ /* Module/module.scm 228 */
{ /* Module/module.scm 229 */
obj_t BgL_arg1485z00_246;
{ /* Module/module.scm 230 */
obj_t BgL_arg1492z00_250;obj_t BgL_arg1495z00_252;
BgL_arg1492z00_250 = 
SYMBOL_TO_STRING(BgL_namez00_216); 
BgL_arg1495z00_252 = 
SYMBOL_TO_STRING(BgL_pnamez00_25); 
{ /* Module/module.scm 230 */
obj_t BgL_list1497z00_253;
{ /* Module/module.scm 230 */
obj_t BgL_arg1499z00_254;
{ /* Module/module.scm 230 */
obj_t BgL_arg1502z00_255;
{ /* Module/module.scm 230 */
obj_t BgL_arg1505z00_256;
BgL_arg1505z00_256 = 
MAKE_PAIR(BgL_arg1495z00_252, BNIL); 
BgL_arg1502z00_255 = 
MAKE_PAIR(BGl_string2053z00zzmodule_modulez00, BgL_arg1505z00_256); } 
BgL_arg1499z00_254 = 
MAKE_PAIR(BgL_arg1492z00_250, BgL_arg1502z00_255); } 
BgL_list1497z00_253 = 
MAKE_PAIR(BGl_string2054z00zzmodule_modulez00, BgL_arg1499z00_254); } 
BgL_arg1485z00_246 = 
BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list1497z00_253); } } 
{ /* Module/module.scm 229 */
obj_t BgL_list1488z00_248;
BgL_list1488z00_248 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string2055z00zzmodule_modulez00, BgL_arg1485z00_246, BgL_mclausez00_26, BgL_list1488z00_248);} } } }  else 
{ /* Module/module.scm 226 */
{ /* Module/module.scm 227 */
obj_t BgL_list1512z00_257;
BgL_list1512z00_257 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string2048z00zzmodule_modulez00, BGl_string2049z00zzmodule_modulez00, BgL_mclausez00_26, BgL_list1512z00_257);} } } }  else 
{ /* Module/module.scm 223 */
BgL_tagzd2134zd2_219:
{ /* Module/module.scm 239 */
obj_t BgL_list1516z00_258;
BgL_list1516z00_258 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string2048z00zzmodule_modulez00, BGl_string2050z00zzmodule_modulez00, BgL_mclausez00_26, BgL_list1516z00_258);} } }  else 
{ /* Module/module.scm 223 */
goto BgL_tagzd2134zd2_219;} }  else 
{ /* Module/module.scm 223 */
goto BgL_tagzd2134zd2_219;} } }  else 
{ /* Module/module.scm 223 */
goto BgL_tagzd2134zd2_219;} } } 
}



/* _consume-module!1878 */
obj_t BGl__consumezd2modulez121878zc0zzmodule_modulez00(obj_t BgL_envz00_652, obj_t BgL_pnamez00_653, obj_t BgL_mclausez00_654)
{ AN_OBJECT;
{ /* Module/module.scm 222 */
return 
BGl_consumezd2modulez12zc0zzmodule_modulez00(BgL_pnamez00_653, BgL_mclausez00_654);} 
}



/* consume-module-clause! */
obj_t BGl_consumezd2modulezd2clausez12z12zzmodule_modulez00(obj_t BgL_modulez00_27, obj_t BgL_clausez00_28)
{ AN_OBJECT;
{ /* Module/module.scm 247 */
{ 

if(
PAIRP(BgL_clausez00_28))
{ /* Module/module.scm 248 */
obj_t BgL_carzd2157zd2_265;
BgL_carzd2157zd2_265 = 
CAR(BgL_clausez00_28); 
if(
SYMBOLP(BgL_carzd2157zd2_265))
{ /* Module/module.scm 248 */
obj_t BgL_fun1531z00_523;
BgL_fun1531z00_523 = 
BGl_findzd2clausezd2consumerz00zzmodule_modulez00(BgL_carzd2157zd2_265, BgL_clausez00_28); 
return 
PROCEDURE_ENTRY(BgL_fun1531z00_523)(BgL_fun1531z00_523, BgL_modulez00_27, BgL_clausez00_28, BEOA);}  else 
{ /* Module/module.scm 248 */
BgL_tagzd2151zd2_262:
{ /* Module/module.scm 252 */
obj_t BgL_list1534z00_269;
BgL_list1534z00_269 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string2048z00zzmodule_modulez00, BGl_string2051z00zzmodule_modulez00, BgL_clausez00_28, BgL_list1534z00_269);} } }  else 
{ /* Module/module.scm 248 */
goto BgL_tagzd2151zd2_262;} } } 
}



/* _consume-module-clause!1880 */
obj_t BGl__consumezd2modulezd2clausez121880z12zzmodule_modulez00(obj_t BgL_envz00_655, obj_t BgL_modulez00_656, obj_t BgL_clausez00_657)
{ AN_OBJECT;
{ /* Module/module.scm 247 */
return 
BGl_consumezd2modulezd2clausez12z12zzmodule_modulez00(BgL_modulez00_656, BgL_clausez00_657);} 
}



/* find-clause-consumer */
obj_t BGl_findzd2clausezd2consumerz00zzmodule_modulez00(obj_t BgL_keywordz00_29, obj_t BgL_clausez00_30)
{ AN_OBJECT;
{ /* Module/module.scm 260 */
{ /* Module/module.scm 262 */
obj_t BgL_unknownzd2clausezd2consumerz00_658;
{ 
int BgL_auxz00_1024;int BgL_auxz00_1022;
BgL_auxz00_1024 = 
(int)(((long)1)); 
BgL_auxz00_1022 = 
(int)(((long)2)); 
BgL_unknownzd2clausezd2consumerz00_658 = 
make_fx_procedure(BGl_unknownzd2clausezd2consumerz00zzmodule_modulez00, BgL_auxz00_1022, BgL_auxz00_1024); } 
{ /* Module/module.scm 262 */
int BgL_auxz00_1027;
BgL_auxz00_1027 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_unknownzd2clausezd2consumerz00_658, BgL_auxz00_1027, BgL_clausez00_30); } 
{ 
obj_t BgL_ccz00_271;
BgL_ccz00_271 = BGl_za2clausezd2compilersza2zd2zzmodule_modulez00; 
BgL_loopz00_272:
if(
NULLP(BgL_ccz00_271))
{ /* Module/module.scm 268 */
return BgL_unknownzd2clausezd2consumerz00_658;}  else 
{ /* Module/module.scm 270 */
bool_t BgL_testz00_1032;
{ /* Module/module.scm 270 */
obj_t BgL_auxz00_1033;
{ /* Module/module.scm 270 */
BgL_ccompz00_bglt BgL_obj1003z00_527;
{ /* Module/module.scm 270 */
obj_t BgL_auxz00_1034;
BgL_auxz00_1034 = 
CAR(BgL_ccz00_271); 
BgL_obj1003z00_527 = 
(BgL_ccompz00_bglt)(BgL_auxz00_1034); } 
BgL_auxz00_1033 = 
(((BgL_ccompz00_bglt)CREF(BgL_obj1003z00_527))->BgL_idz00); } 
BgL_testz00_1032 = 
(BgL_auxz00_1033==BgL_keywordz00_29); } 
if(BgL_testz00_1032)
{ /* Module/module.scm 270 */
{ /* Module/module.scm 271 */
BgL_ccompz00_bglt BgL_obj1005z00_529;
{ /* Module/module.scm 271 */
obj_t BgL_auxz00_1039;
BgL_auxz00_1039 = 
CAR(BgL_ccz00_271); 
BgL_obj1005z00_529 = 
(BgL_ccompz00_bglt)(BgL_auxz00_1039); } 
return 
(((BgL_ccompz00_bglt)CREF(BgL_obj1005z00_529))->BgL_consumerz00);} }  else 
{ /* Module/module.scm 270 */
{ 
obj_t BgL_ccz00_1043;
BgL_ccz00_1043 = 
CDR(BgL_ccz00_271); 
BgL_ccz00_271 = BgL_ccz00_1043; 
goto BgL_loopz00_272;} } } } } } 
}



/* unknown-clause-consumer */
obj_t BGl_unknownzd2clausezd2consumerz00zzmodule_modulez00(obj_t BgL_envz00_659, obj_t BgL_modulez00_661, obj_t BgL_valuesz00_662)
{ AN_OBJECT;
{ /* Module/module.scm 265 */
{ /* Module/module.scm 262 */
obj_t BgL_clausez00_660;
{ /* Module/module.scm 262 */
int BgL_auxz00_1045;
BgL_auxz00_1045 = 
(int)(((long)0)); 
BgL_clausez00_660 = 
PROCEDURE_REF(BgL_envz00_659, BgL_auxz00_1045); } 
{ 
obj_t BgL_modulez00_279;obj_t BgL_valuesz00_280;
BgL_modulez00_279 = BgL_modulez00_661; 
BgL_valuesz00_280 = BgL_valuesz00_662; 
{ /* Module/module.scm 262 */
obj_t BgL_list1558z00_531;
BgL_list1558z00_531 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string2048z00zzmodule_modulez00, BGl_string2052z00zzmodule_modulez00, BgL_clausez00_660, BgL_list1558z00_531);} } } } 
}



/* checksum-module */
obj_t BGl_checksumzd2modulezd2zzmodule_modulez00(obj_t BgL_mclausez00_32)
{ AN_OBJECT;
{ /* Module/module.scm 284 */
{ 
obj_t BgL_namez00_285;obj_t BgL_clausesz00_286;
if(
PAIRP(BgL_mclausez00_32))
{ /* Module/module.scm 285 */
obj_t BgL_cdrzd2171zd2_291;
BgL_cdrzd2171zd2_291 = 
CDR(BgL_mclausez00_32); 
{ /* Module/module.scm 285 */
bool_t BgL_testz00_1053;
{ /* Module/module.scm 285 */
obj_t BgL_auxz00_1056;obj_t BgL_auxz00_1054;
BgL_auxz00_1056 = 
CNST_TABLE_REF(((long)4)); 
BgL_auxz00_1054 = 
CAR(BgL_mclausez00_32); 
BgL_testz00_1053 = 
(BgL_auxz00_1054==BgL_auxz00_1056); } 
if(BgL_testz00_1053)
{ /* Module/module.scm 285 */
if(
PAIRP(BgL_cdrzd2171zd2_291))
{ /* Module/module.scm 285 */
obj_t BgL_carzd2174zd2_294;
BgL_carzd2174zd2_294 = 
CAR(BgL_cdrzd2171zd2_291); 
if(
SYMBOLP(BgL_carzd2174zd2_294))
{ /* Module/module.scm 285 */
BgL_namez00_285 = BgL_carzd2174zd2_294; 
BgL_clausesz00_286 = 
CDR(BgL_cdrzd2171zd2_291); 
{ /* Module/module.scm 288 */
bool_t BgL_testz00_1064;
{ /* Module/module.scm 288 */
bool_t BgL_testz00_1065;
{ /* Module/module.scm 288 */
obj_t BgL_auxz00_1066;
BgL_auxz00_1066 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_namez00_285, 
CNST_TABLE_REF(((long)2))); 
BgL_testz00_1065 = 
CBOOL(BgL_auxz00_1066); } 
if(BgL_testz00_1065)
{ /* Module/module.scm 288 */
BgL_testz00_1064 = ((bool_t)0)
; }  else 
{ /* Module/module.scm 288 */
BgL_testz00_1064 = ((bool_t)1)
; } } 
if(BgL_testz00_1064)
{ /* Module/module.scm 288 */
{ /* Module/module.scm 291 */
long BgL_auxz00_1070;
BgL_auxz00_1070 = 
BGl_modulezd2checksumzd2zzmodule_checksumz00(BgL_mclausez00_32); 
return 
BINT(BgL_auxz00_1070);} }  else 
{ /* Module/module.scm 288 */
{ /* Module/module.scm 289 */
obj_t BgL_list1590z00_300;
BgL_list1590z00_300 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string2048z00zzmodule_modulez00, BGl_string2049z00zzmodule_modulez00, BgL_mclausez00_32, BgL_list1590z00_300);} } } }  else 
{ /* Module/module.scm 285 */
BgL_tagzd2164zd2_288:
{ /* Module/module.scm 293 */
obj_t BgL_list1594z00_301;
BgL_list1594z00_301 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string2048z00zzmodule_modulez00, BGl_string2050z00zzmodule_modulez00, BgL_mclausez00_32, BgL_list1594z00_301);} } }  else 
{ /* Module/module.scm 285 */
goto BgL_tagzd2164zd2_288;} }  else 
{ /* Module/module.scm 285 */
goto BgL_tagzd2164zd2_288;} } }  else 
{ /* Module/module.scm 285 */
goto BgL_tagzd2164zd2_288;} } } 
}



/* module-checksum-object */
obj_t BGl_modulezd2checksumzd2objectz00zzmodule_modulez00()
{ AN_OBJECT;
{ /* Module/module.scm 301 */
{ /* Module/module.scm 302 */
obj_t BgL_list1597z00_302;
{ /* Module/module.scm 302 */
obj_t BgL_arg1601z00_304;
{ /* Module/module.scm 302 */
obj_t BgL_arg1606z00_306;
{ /* Module/module.scm 302 */
obj_t BgL_auxz00_1078;
BgL_auxz00_1078 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg1606z00_306 = 
MAKE_PAIR(BgL_auxz00_1078, BNIL); } 
BgL_arg1601z00_304 = 
MAKE_PAIR(BGl_string2056z00zzmodule_modulez00, BgL_arg1606z00_306); } 
BgL_list1597z00_302 = 
MAKE_PAIR(BGl_string2043z00zzmodule_modulez00, BgL_arg1601z00_304); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)1)), BgL_list1597z00_302); } 
BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = 
BINT(((long)0)); 
BGl_za2currentzd2passza2zd2zzengine_passz00 = BGl_string2056z00zzmodule_modulez00; 
{ 
obj_t BgL_hooksz00_307;obj_t BgL_hnamesz00_308;
BgL_hooksz00_307 = BNIL; 
BgL_hnamesz00_308 = BNIL; 
BgL_loopz00_309:
if(
NULLP(BgL_hooksz00_307))
{ /* Module/module.scm 302 */
CNST_TABLE_REF(((long)0)); }  else 
{ /* Module/module.scm 302 */
bool_t BgL_test1617z00_314;
{ /* Module/module.scm 302 */
obj_t BgL_fun1634z00_320;
BgL_fun1634z00_320 = 
CAR(BgL_hooksz00_307); 
{ /* Module/module.scm 302 */
obj_t BgL_auxz00_1090;
BgL_auxz00_1090 = 
PROCEDURE_ENTRY(BgL_fun1634z00_320)(BgL_fun1634z00_320, BEOA); 
BgL_test1617z00_314 = 
CBOOL(BgL_auxz00_1090); } } 
if(BgL_test1617z00_314)
{ /* Module/module.scm 302 */
{ 
obj_t BgL_hnamesz00_1097;obj_t BgL_hooksz00_1095;
BgL_hooksz00_1095 = 
CDR(BgL_hooksz00_307); 
BgL_hnamesz00_1097 = 
CDR(BgL_hnamesz00_308); 
BgL_hnamesz00_308 = BgL_hnamesz00_1097; 
BgL_hooksz00_307 = BgL_hooksz00_1095; 
goto BgL_loopz00_309;} }  else 
{ /* Module/module.scm 302 */
BGl_internalzd2errorzd2zztools_errorz00(BGl_string2056z00zzmodule_modulez00, BGl_string2044z00zzmodule_modulez00, 
CAR(BgL_hnamesz00_308)); } } } 
{ /* Module/module.scm 303 */
obj_t BgL_checksumz00_321;obj_t BgL_destz00_322;
BgL_checksumz00_321 = BGl_za2modulezd2checksumza2zd2zzmodule_modulez00; 
{ /* Module/module.scm 304 */
bool_t BgL_test1676z00_342;
{ /* Module/module.scm 304 */
obj_t BgL_objz00_549;
BgL_objz00_549 = BGl_za2destza2z00zzengine_paramz00; 
BgL_test1676z00_342 = 
STRINGP(BgL_objz00_549); } 
if(BgL_test1676z00_342)
{ /* Module/module.scm 309 */
bool_t BgL_test1677z00_343;
{ /* Module/module.scm 309 */
obj_t BgL_auxz00_1103;
BgL_auxz00_1103 = 
CNST_TABLE_REF(((long)8)); 
BgL_test1677z00_343 = 
(BGl_za2passza2z00zzengine_paramz00==BgL_auxz00_1103); } 
if(BgL_test1677z00_343)
{ /* Module/module.scm 309 */
BgL_destz00_322 = BGl_za2destza2z00zzengine_paramz00; }  else 
{ /* Module/module.scm 311 */
obj_t BgL_arg1679z00_344;
BgL_arg1679z00_344 = 
BGl_prefixz00zz__osz00(BGl_za2destza2z00zzengine_paramz00); 
BgL_destz00_322 = 
string_append(BgL_arg1679z00_344, BGl_string2057z00zzmodule_modulez00); } }  else 
{ /* Module/module.scm 305 */
bool_t BgL_test1687z00_346;
{ /* Module/module.scm 305 */
bool_t BgL_test1696z00_350;
{ /* Module/module.scm 305 */
obj_t BgL_objz00_550;
BgL_objz00_550 = BGl_za2srczd2filesza2zd2zzengine_paramz00; 
BgL_test1696z00_350 = 
PAIRP(BgL_objz00_550); } 
if(BgL_test1696z00_350)
{ /* Module/module.scm 306 */
obj_t BgL_arg1698z00_351;
{ /* Module/module.scm 306 */
obj_t BgL_pairz00_551;
BgL_pairz00_551 = BGl_za2srczd2filesza2zd2zzengine_paramz00; 
BgL_arg1698z00_351 = 
CAR(BgL_pairz00_551); } 
BgL_test1687z00_346 = 
STRINGP(BgL_arg1698z00_351); }  else 
{ /* Module/module.scm 305 */
BgL_test1687z00_346 = ((bool_t)0); } } 
if(BgL_test1687z00_346)
{ /* Module/module.scm 307 */
obj_t BgL_arg1689z00_347;
{ /* Module/module.scm 307 */
obj_t BgL_arg1693z00_349;
{ /* Module/module.scm 307 */
obj_t BgL_pairz00_553;
BgL_pairz00_553 = BGl_za2srczd2filesza2zd2zzengine_paramz00; 
BgL_arg1693z00_349 = 
CAR(BgL_pairz00_553); } 
BgL_arg1689z00_347 = 
BGl_prefixz00zz__osz00(BgL_arg1693z00_349); } 
BgL_destz00_322 = 
string_append(BgL_arg1689z00_347, BGl_string2057z00zzmodule_modulez00); }  else 
{ /* Module/module.scm 305 */
BgL_destz00_322 = BFALSE; } } } 
{ 

{ /* Module/module.scm 324 */
bool_t BgL_test1637z00_324;
if(
STRINGP(BgL_destz00_322))
{ /* Module/module.scm 324 */
char * BgL_auxz00_1119;
BgL_auxz00_1119 = 
BSTRING_TO_STRING(BgL_destz00_322); 
BgL_test1637z00_324 = 
fexists(BgL_auxz00_1119); }  else 
{ /* Module/module.scm 324 */
BgL_test1637z00_324 = ((bool_t)0); } 
if(BgL_test1637z00_324)
{ /* Module/module.scm 327 */
obj_t BgL_iportz00_325;
BgL_iportz00_325 = 
BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(BgL_destz00_322, BNIL); 
if(
INPUT_PORTP(BgL_iportz00_325))
{ /* Module/module.scm 332 */
obj_t BgL_csz00_327;
{ /* Module/module.scm 332 */
obj_t BgL_list1645z00_329;
BgL_list1645z00_329 = 
MAKE_PAIR(BgL_iportz00_325, BNIL); 
BgL_csz00_327 = 
BGl_readz00zz__readerz00(BgL_list1645z00_329); } 
close_input_port(BgL_iportz00_325); 
{ /* Module/module.scm 334 */
bool_t BgL_testz00_1129;
{ /* Module/module.scm 334 */
long BgL_auxz00_1132;long BgL_auxz00_1130;
BgL_auxz00_1132 = 
(long)CINT(BgL_checksumz00_321); 
BgL_auxz00_1130 = 
(long)CINT(BgL_csz00_327); 
BgL_testz00_1129 = 
(BgL_auxz00_1130==BgL_auxz00_1132); } 
if(BgL_testz00_1129)
{ /* Module/module.scm 334 */BFALSE; }  else 
{ /* Module/module.scm 334 */
{ /* Module/module.scm 336 */
char * BgL_auxz00_1135;
BgL_auxz00_1135 = 
BSTRING_TO_STRING(BgL_destz00_322); 
unlink(BgL_auxz00_1135); } 
BgL_zc3anonymousza31656ze3z83_333:
if(
STRINGP(BgL_destz00_322))
{ /* Module/module.scm 314 */
obj_t BgL_oportz00_335;
BgL_oportz00_335 = 
open_output_file(BgL_destz00_322); 
if(
OUTPUT_PORTP(BgL_oportz00_335))
{ /* Module/module.scm 315 */
{ /* Module/module.scm 317 */
obj_t BgL_list1660z00_338;
BgL_list1660z00_338 = 
MAKE_PAIR(BgL_oportz00_335, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BgL_checksumz00_321, BgL_list1660z00_338); } 
WRITE_CHAR(((unsigned char)'\n'), BgL_oportz00_335); 
close_output_port(BgL_oportz00_335); }  else 
{ /* Module/module.scm 315 */
FAILURE(BGl_string2058z00zzmodule_modulez00,BGl_string2059z00zzmodule_modulez00,BgL_destz00_322);} }  else 
{ /* Module/module.scm 313 */
{ /* Module/module.scm 322 */
obj_t BgL_arg1668z00_339;
BgL_arg1668z00_339 = 
GET_CURRENT_OUTPUT_PORT(); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_checksumz00_321, BgL_arg1668z00_339); } 
{ /* Module/module.scm 322 */
obj_t BgL_arg1672z00_340;
BgL_arg1672z00_340 = 
GET_CURRENT_OUTPUT_PORT(); 
{ /* Module/module.scm 322 */
unsigned char BgL_auxz00_1151;
BgL_auxz00_1151 = 
WRITE_CHAR(((unsigned char)'\n'), BgL_arg1672z00_340); 
BCHAR(BgL_auxz00_1151); } } } } } }  else 
{ /* Module/module.scm 328 */
BGl_userzd2errorzd2zztools_errorz00(BGl_string2058z00zzmodule_modulez00, BGl_string2060z00zzmodule_modulez00, BgL_destz00_322, BNIL); } }  else 
{ /* Module/module.scm 324 */
goto BgL_zc3anonymousza31656ze3z83_333;} } } } 
{ /* Module/module.scm 340 */
bool_t BgL_test1703z00_353;
{ /* Module/module.scm 340 */
long BgL_n1z00_570;
BgL_n1z00_570 = 
(long)CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00); 
BgL_test1703z00_353 = 
(BgL_n1z00_570>((long)0)); } 
if(BgL_test1703z00_353)
{ /* Module/module.scm 340 */
{ /* Module/module.scm 340 */
obj_t BgL_port1052z00_354;
BgL_port1052z00_354 = 
GET_CURRENT_ERROR_PORT(); 
{ /* Module/module.scm 340 */
obj_t BgL_list1705z00_355;
BgL_list1705z00_355 = 
MAKE_PAIR(BgL_port1052z00_354, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00, BgL_list1705z00_355); } 
{ /* Module/module.scm 340 */
obj_t BgL_list1708z00_356;
BgL_list1708z00_356 = 
MAKE_PAIR(BgL_port1052z00_354, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2045z00zzmodule_modulez00, BgL_list1708z00_356); } 
{ /* Module/module.scm 340 */
char * BgL_arg1711z00_357;
{ /* Module/module.scm 340 */
bool_t BgL_test1715z00_359;
{ /* Module/module.scm 340 */
bool_t BgL_test1716z00_360;
{ /* Module/module.scm 340 */
obj_t BgL_objz00_572;
BgL_objz00_572 = BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00; 
BgL_test1716z00_360 = 
INTEGERP(BgL_objz00_572); } 
if(BgL_test1716z00_360)
{ /* Module/module.scm 340 */
BgL_test1715z00_359 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00, 
BINT(((long)1))); }  else 
{ /* Module/module.scm 340 */
BgL_test1715z00_359 = ((bool_t)0); } } 
if(BgL_test1715z00_359)
{ /* Module/module.scm 340 */
BgL_arg1711z00_357 = "s"; }  else 
{ /* Module/module.scm 340 */
BgL_arg1711z00_357 = ""; } } 
{ /* Module/module.scm 340 */
obj_t BgL_list1713z00_358;
BgL_list1713z00_358 = 
MAKE_PAIR(BgL_port1052z00_354, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(
string_to_bstring(BgL_arg1711z00_357), BgL_list1713z00_358); } } 
{ /* Module/module.scm 340 */
obj_t BgL_list1720z00_361;
BgL_list1720z00_361 = 
MAKE_PAIR(BgL_port1052z00_354, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string2046z00zzmodule_modulez00, BgL_list1720z00_361); } 
WRITE_CHAR(((unsigned char)'\n'), BgL_port1052z00_354); } 
{ /* Module/module.scm 340 */
obj_t BgL_list1725z00_362;
{ /* Module/module.scm 340 */
obj_t BgL_auxz00_1174;
BgL_auxz00_1174 = 
BINT(((long)-1)); 
BgL_list1725z00_362 = 
MAKE_PAIR(BgL_auxz00_1174, BNIL); } 
return 
BGl_exitz00zz__errorz00(BgL_list1725z00_362);} }  else 
{ 
obj_t BgL_hooksz00_363;obj_t BgL_hnamesz00_364;
BgL_hooksz00_363 = BNIL; 
BgL_hnamesz00_364 = BNIL; 
BgL_loopz00_365:
if(
NULLP(BgL_hooksz00_363))
{ /* Module/module.scm 340 */
return BTRUE;}  else 
{ /* Module/module.scm 340 */
bool_t BgL_test1734z00_370;
{ /* Module/module.scm 340 */
obj_t BgL_fun1750z00_375;
BgL_fun1750z00_375 = 
CAR(BgL_hooksz00_363); 
{ /* Module/module.scm 340 */
obj_t BgL_auxz00_1181;
BgL_auxz00_1181 = 
PROCEDURE_ENTRY(BgL_fun1750z00_375)(BgL_fun1750z00_375, BEOA); 
BgL_test1734z00_370 = 
CBOOL(BgL_auxz00_1181); } } 
if(BgL_test1734z00_370)
{ /* Module/module.scm 340 */
{ 
obj_t BgL_hnamesz00_1188;obj_t BgL_hooksz00_1186;
BgL_hooksz00_1186 = 
CDR(BgL_hooksz00_363); 
BgL_hnamesz00_1188 = 
CDR(BgL_hnamesz00_364); 
BgL_hnamesz00_364 = BgL_hnamesz00_1188; 
BgL_hooksz00_363 = BgL_hooksz00_1186; 
goto BgL_loopz00_365;} }  else 
{ /* Module/module.scm 340 */
return 
BGl_internalzd2errorzd2zztools_errorz00(BGl_za2currentzd2passza2zd2zzengine_passz00, BGl_string2047z00zzmodule_modulez00, 
CAR(BgL_hnamesz00_364));} } } } } 
}



/* _module-checksum-object */
obj_t BGl__modulezd2checksumzd2objectz00zzmodule_modulez00(obj_t BgL_envz00_663)
{ AN_OBJECT;
{ /* Module/module.scm 301 */
return 
BGl_modulezd2checksumzd2objectz00zzmodule_modulez00();} 
}



/* object-init */
obj_t BGl_objectzd2initzd2zzmodule_modulez00()
{ AN_OBJECT;
{ /* Module/module.scm 15 */
{ /* Module/module.scm 40 */
obj_t BgL_arg1755z00_376;obj_t BgL_arg1757z00_377;obj_t BgL_arg1763z00_381;obj_t BgL_arg1764z00_382;
BgL_arg1755z00_376 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg1757z00_377 = BGl_objectz00zz__objectz00; 
{ /* Module/module.scm 40 */
obj_t BgL_arg1767z00_383;obj_t BgL_arg1768z00_384;obj_t BgL_arg1769z00_385;obj_t BgL_arg1770z00_386;
BgL_arg1767z00_383 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)10)), BGl_ccompzd2idzd2envz00zzmodule_modulez00, BUNSPEC, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg1768z00_384 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)11)), BGl_ccompzd2producerzd2envz00zzmodule_modulez00, BUNSPEC, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg1769z00_385 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)12)), BGl_ccompzd2consumerzd2envz00zzmodule_modulez00, BUNSPEC, BUNSPEC, ((bool_t)0), BFALSE); 
BgL_arg1770z00_386 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)13)), BGl_ccompzd2finaliza7erzd2envza7zzmodule_modulez00, BUNSPEC, BUNSPEC, ((bool_t)0), BFALSE); 
{ /* Module/module.scm 40 */
obj_t BgL_list1772z00_387;
{ /* Module/module.scm 40 */
obj_t BgL_arg1774z00_388;
{ /* Module/module.scm 40 */
obj_t BgL_arg1777z00_389;
{ /* Module/module.scm 40 */
obj_t BgL_arg1781z00_390;
BgL_arg1781z00_390 = 
MAKE_PAIR(BgL_arg1770z00_386, BNIL); 
BgL_arg1777z00_389 = 
MAKE_PAIR(BgL_arg1769z00_385, BgL_arg1781z00_390); } 
BgL_arg1774z00_388 = 
MAKE_PAIR(BgL_arg1768z00_384, BgL_arg1777z00_389); } 
BgL_list1772z00_387 = 
MAKE_PAIR(BgL_arg1767z00_383, BgL_arg1774z00_388); } 
BgL_arg1763z00_381 = BgL_list1772z00_387; } } 
{ /* Module/module.scm 40 */
obj_t BgL_v1053z00_391;
{ 
int BgL_auxz00_1206;
BgL_auxz00_1206 = 
(int)(((long)0)); 
BgL_v1053z00_391 = 
create_vector(BgL_auxz00_1206); } 
BgL_arg1764z00_382 = BgL_v1053z00_391; } 
BGl_ccompz00zzmodule_modulez00 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg1755z00_376, BgL_arg1757z00_377, BGl_makezd2ccompzd2envz00zzmodule_modulez00, BGl_allocatezd2ccompzd2envz00zzmodule_modulez00, ((long)25620), BgL_arg1763z00_381, BFALSE, BgL_arg1764z00_382); } 
return BUNSPEC;} 
}



/* ccomp? */
bool_t BGl_ccompzf3zf3zzmodule_modulez00(obj_t BgL_obj1042z00_33)
{ AN_OBJECT;
{ /* Module/module.scm 40 */
return 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1042z00_33, BGl_ccompz00zzmodule_modulez00);} 
}



/* _ccomp? */
obj_t BGl__ccompzf3zf3zzmodule_modulez00(obj_t BgL_envz00_678, obj_t BgL_obj1042z00_679)
{ AN_OBJECT;
{ /* Module/module.scm 40 */
{ /* Module/module.scm 40 */
bool_t BgL_auxz00_1211;
BgL_auxz00_1211 = 
BGl_ccompzf3zf3zzmodule_modulez00(BgL_obj1042z00_679); 
return 
BBOOL(BgL_auxz00_1211);} } 
}



/* fill-ccomp! */
BgL_ccompz00_bglt BGl_fillzd2ccompz12zc0zzmodule_modulez00(BgL_ccompz00_bglt BgL_new1011z00_37, obj_t BgL_id1007z00_38, obj_t BgL_producer1008z00_39, obj_t BgL_consumer1009z00_40, obj_t BgL_finaliza7er1010za7_41)
{ AN_OBJECT;
{ /* Module/module.scm 40 */
((((BgL_ccompz00_bglt)CREF(BgL_new1011z00_37))->BgL_idz00) = ((obj_t)BgL_id1007z00_38), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1011z00_37))->BgL_producerz00) = ((obj_t)BgL_producer1008z00_39), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1011z00_37))->BgL_consumerz00) = ((obj_t)BgL_consumer1009z00_40), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1011z00_37))->BgL_finaliza7erza7) = ((obj_t)BgL_finaliza7er1010za7_41), BUNSPEC); 
return BgL_new1011z00_37;} 
}



/* _fill-ccomp!1896 */
obj_t BGl__fillzd2ccompz121896zc0zzmodule_modulez00(obj_t BgL_envz00_680, obj_t BgL_new1011z00_681, obj_t BgL_id1007z00_682, obj_t BgL_producer1008z00_683, obj_t BgL_consumer1009z00_684, obj_t BgL_finaliza7er1010za7_685)
{ AN_OBJECT;
{ /* Module/module.scm 40 */
{ /* Module/module.scm 40 */
BgL_ccompz00_bglt BgL_auxz00_1218;
BgL_auxz00_1218 = 
BGl_fillzd2ccompz12zc0zzmodule_modulez00(
(BgL_ccompz00_bglt)(BgL_new1011z00_681), BgL_id1007z00_682, BgL_producer1008z00_683, BgL_consumer1009z00_684, BgL_finaliza7er1010za7_685); 
return 
(obj_t)(BgL_auxz00_1218);} } 
}



/* make-ccomp */
BgL_ccompz00_bglt BGl_makezd2ccompzd2zzmodule_modulez00(obj_t BgL_id1017z00_42, obj_t BgL_producer1018z00_43, obj_t BgL_consumer1019z00_44, obj_t BgL_finaliza7er1020za7_45)
{ AN_OBJECT;
{ /* Module/module.scm 40 */
{ /* Module/module.scm 40 */
BgL_ccompz00_bglt BgL_new1021z00_587;
{ /* Module/module.scm 40 */
BgL_ccompz00_bglt BgL_res1870z00_593;
{ /* Module/module.scm 40 */
BgL_ccompz00_bglt BgL_new1023z00_588;
BgL_new1023z00_588 = 
((BgL_ccompz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_ccompz00_bgl) ))); 
{ /* Module/module.scm 40 */
long BgL_arg1793z00_589;
BgL_arg1793z00_589 = 
BGl_classzd2numzd2zz__objectz00(BGl_ccompz00zzmodule_modulez00); 
{ /* Module/module.scm 40 */
BgL_objectz00_bglt BgL_auxz00_1224;
BgL_auxz00_1224 = 
(BgL_objectz00_bglt)(BgL_new1023z00_588); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_1224, BgL_arg1793z00_589); } } 
{ /* Module/module.scm 40 */
BgL_objectz00_bglt BgL_auxz00_1227;
BgL_auxz00_1227 = 
(BgL_objectz00_bglt)(BgL_new1023z00_588); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_1227, BFALSE); } 
{ /* Module/module.scm 40 */
obj_t BgL_auxz00_1230;
BgL_auxz00_1230 = 
(obj_t)(BgL_new1023z00_588); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_1230); } BUNSPEC; 
BgL_res1870z00_593 = BgL_new1023z00_588; } 
BgL_new1021z00_587 = BgL_res1870z00_593; } 
{ /* Module/module.scm 40 */
BgL_ccompz00_bglt BgL_res1871z00_603;
((((BgL_ccompz00_bglt)CREF(BgL_new1021z00_587))->BgL_idz00) = ((obj_t)BgL_id1017z00_42), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1021z00_587))->BgL_producerz00) = ((obj_t)BgL_producer1018z00_43), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1021z00_587))->BgL_consumerz00) = ((obj_t)BgL_consumer1019z00_44), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1021z00_587))->BgL_finaliza7erza7) = ((obj_t)BgL_finaliza7er1020za7_45), BUNSPEC); 
BgL_res1871z00_603 = BgL_new1021z00_587; BgL_res1871z00_603; } 
return BgL_new1021z00_587;} } 
}



/* _make-ccomp1884 */
obj_t BGl__makezd2ccomp1884zd2zzmodule_modulez00(obj_t BgL_envz00_664, obj_t BgL_id1017z00_665, obj_t BgL_producer1018z00_666, obj_t BgL_consumer1019z00_667, obj_t BgL_finaliza7er1020za7_668)
{ AN_OBJECT;
{ /* Module/module.scm 40 */
{ /* Module/module.scm 40 */
BgL_ccompz00_bglt BgL_auxz00_1237;
BgL_auxz00_1237 = 
BGl_makezd2ccompzd2zzmodule_modulez00(BgL_id1017z00_665, BgL_producer1018z00_666, BgL_consumer1019z00_667, BgL_finaliza7er1020za7_668); 
return 
(obj_t)(BgL_auxz00_1237);} } 
}



/* allocate-ccomp */
BgL_ccompz00_bglt BGl_allocatezd2ccompzd2zzmodule_modulez00()
{ AN_OBJECT;
{ /* Module/module.scm 40 */
{ /* Module/module.scm 40 */
BgL_ccompz00_bglt BgL_new1023z00_604;
BgL_new1023z00_604 = 
((BgL_ccompz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_ccompz00_bgl) ))); 
{ /* Module/module.scm 40 */
long BgL_arg1793z00_605;
BgL_arg1793z00_605 = 
BGl_classzd2numzd2zz__objectz00(BGl_ccompz00zzmodule_modulez00); 
{ /* Module/module.scm 40 */
BgL_objectz00_bglt BgL_auxz00_1242;
BgL_auxz00_1242 = 
(BgL_objectz00_bglt)(BgL_new1023z00_604); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_1242, BgL_arg1793z00_605); } } 
{ /* Module/module.scm 40 */
BgL_objectz00_bglt BgL_auxz00_1245;
BgL_auxz00_1245 = 
(BgL_objectz00_bglt)(BgL_new1023z00_604); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_1245, BFALSE); } 
{ /* Module/module.scm 40 */
obj_t BgL_auxz00_1248;
BgL_auxz00_1248 = 
(obj_t)(BgL_new1023z00_604); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_1248); } BUNSPEC; 
return BgL_new1023z00_604;} } 
}



/* _allocate-ccomp */
obj_t BGl__allocatezd2ccompzd2zzmodule_modulez00(obj_t BgL_envz00_669)
{ AN_OBJECT;
{ /* Module/module.scm 40 */
{ /* Module/module.scm 40 */
BgL_ccompz00_bglt BgL_auxz00_1251;
BgL_auxz00_1251 = 
BGl_allocatezd2ccompzd2zzmodule_modulez00(); 
return 
(obj_t)(BgL_auxz00_1251);} } 
}



/* ccomp-id */
obj_t BGl_ccompzd2idzd2zzmodule_modulez00(BgL_ccompz00_bglt BgL_obj1003z00_46)
{ AN_OBJECT;
{ /* Module/module.scm 42 */
return 
(((BgL_ccompz00_bglt)CREF(BgL_obj1003z00_46))->BgL_idz00);} 
}



/* _ccomp-id1887 */
obj_t BGl__ccompzd2id1887zd2zzmodule_modulez00(obj_t BgL_envz00_670, obj_t BgL_obj1003z00_671)
{ AN_OBJECT;
{ /* Module/module.scm 42 */
return 
BGl_ccompzd2idzd2zzmodule_modulez00(
(BgL_ccompz00_bglt)(BgL_obj1003z00_671));} 
}



/* ccomp-producer */
obj_t BGl_ccompzd2producerzd2zzmodule_modulez00(BgL_ccompz00_bglt BgL_obj1004z00_47)
{ AN_OBJECT;
{ /* Module/module.scm 45 */
return 
(((BgL_ccompz00_bglt)CREF(BgL_obj1004z00_47))->BgL_producerz00);} 
}



/* _ccomp-producer1889 */
obj_t BGl__ccompzd2producer1889zd2zzmodule_modulez00(obj_t BgL_envz00_672, obj_t BgL_obj1004z00_673)
{ AN_OBJECT;
{ /* Module/module.scm 45 */
return 
BGl_ccompzd2producerzd2zzmodule_modulez00(
(BgL_ccompz00_bglt)(BgL_obj1004z00_673));} 
}



/* ccomp-consumer */
obj_t BGl_ccompzd2consumerzd2zzmodule_modulez00(BgL_ccompz00_bglt BgL_obj1005z00_48)
{ AN_OBJECT;
{ /* Module/module.scm 48 */
return 
(((BgL_ccompz00_bglt)CREF(BgL_obj1005z00_48))->BgL_consumerz00);} 
}



/* _ccomp-consumer1891 */
obj_t BGl__ccompzd2consumer1891zd2zzmodule_modulez00(obj_t BgL_envz00_674, obj_t BgL_obj1005z00_675)
{ AN_OBJECT;
{ /* Module/module.scm 48 */
return 
BGl_ccompzd2consumerzd2zzmodule_modulez00(
(BgL_ccompz00_bglt)(BgL_obj1005z00_675));} 
}



/* ccomp-finalizer */
obj_t BGl_ccompzd2finaliza7erz75zzmodule_modulez00(BgL_ccompz00_bglt BgL_obj1006z00_49)
{ AN_OBJECT;
{ /* Module/module.scm 50 */
return 
(((BgL_ccompz00_bglt)CREF(BgL_obj1006z00_49))->BgL_finaliza7erza7);} 
}



/* _ccomp-finalizer1893 */
obj_t BGl__ccompzd2finaliza7er1893z75zzmodule_modulez00(obj_t BgL_envz00_676, obj_t BgL_obj1006z00_677)
{ AN_OBJECT;
{ /* Module/module.scm 50 */
return 
BGl_ccompzd2finaliza7erz75zzmodule_modulez00(
(BgL_ccompz00_bglt)(BgL_obj1006z00_677));} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzmodule_modulez00()
{ AN_OBJECT;
{ /* Module/module.scm 15 */
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_ccompz00zzmodule_modulez00, BGl_proc2061z00zzmodule_modulez00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_ccompz00zzmodule_modulez00, BGl_proc2062z00zzmodule_modulez00);} 
}



/* struct+object->object-ccomp1058 */
obj_t BGl_structzb2objectzd2ze3objectzd2ccomp1058z51zzmodule_modulez00(obj_t BgL_envz00_688, obj_t BgL_oz00_689, obj_t BgL_sz00_690)
{ AN_OBJECT;
{ /* Module/module.scm 40 */
{ 
BgL_ccompz00_bglt BgL_oz00_413;obj_t BgL_sz00_414;
{ /* Module/module.scm 40 */
BgL_ccompz00_bglt BgL_auxz00_1268;
BgL_oz00_413 = 
(BgL_ccompz00_bglt)(BgL_oz00_689); 
BgL_sz00_414 = BgL_sz00_690; 
{ /* Module/module.scm 40 */
obj_t BgL_auxz00_1271;BgL_objectz00_bglt BgL_auxz00_1269;
{ /* Module/module.scm 40 */
int BgL_auxz00_1272;
BgL_auxz00_1272 = 
(int)(((long)0)); 
BgL_auxz00_1271 = 
STRUCT_REF(BgL_sz00_414, BgL_auxz00_1272); } 
BgL_auxz00_1269 = 
(BgL_objectz00_bglt)(BgL_oz00_413); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_1269, BgL_auxz00_1271); } 
{ /* Module/module.scm 40 */
obj_t BgL_v1028z00_418;
{ /* Module/module.scm 40 */
int BgL_auxz00_1276;
BgL_auxz00_1276 = 
(int)(((long)1)); 
BgL_v1028z00_418 = 
STRUCT_REF(BgL_sz00_414, BgL_auxz00_1276); } 
((((BgL_ccompz00_bglt)CREF(BgL_oz00_413))->BgL_idz00) = ((obj_t)BgL_v1028z00_418), BUNSPEC); } 
{ /* Module/module.scm 40 */
obj_t BgL_v1032z00_419;
{ /* Module/module.scm 40 */
int BgL_auxz00_1280;
BgL_auxz00_1280 = 
(int)(((long)2)); 
BgL_v1032z00_419 = 
STRUCT_REF(BgL_sz00_414, BgL_auxz00_1280); } 
((((BgL_ccompz00_bglt)CREF(BgL_oz00_413))->BgL_producerz00) = ((obj_t)BgL_v1032z00_419), BUNSPEC); } 
{ /* Module/module.scm 40 */
obj_t BgL_v1036z00_420;
{ /* Module/module.scm 40 */
int BgL_auxz00_1284;
BgL_auxz00_1284 = 
(int)(((long)3)); 
BgL_v1036z00_420 = 
STRUCT_REF(BgL_sz00_414, BgL_auxz00_1284); } 
((((BgL_ccompz00_bglt)CREF(BgL_oz00_413))->BgL_consumerz00) = ((obj_t)BgL_v1036z00_420), BUNSPEC); } 
{ /* Module/module.scm 40 */
obj_t BgL_v1040z00_421;
{ /* Module/module.scm 40 */
int BgL_auxz00_1288;
BgL_auxz00_1288 = 
(int)(((long)4)); 
BgL_v1040z00_421 = 
STRUCT_REF(BgL_sz00_414, BgL_auxz00_1288); } 
((((BgL_ccompz00_bglt)CREF(BgL_oz00_413))->BgL_finaliza7erza7) = ((obj_t)BgL_v1040z00_421), BUNSPEC); } 
BgL_auxz00_1268 = BgL_oz00_413; 
return 
(obj_t)(BgL_auxz00_1268);} } } 
}



/* object->struct-ccomp1056 */
obj_t BGl_objectzd2ze3structzd2ccomp1056ze3zzmodule_modulez00(obj_t BgL_envz00_691, obj_t BgL_obj1024z00_692)
{ AN_OBJECT;
{ /* Module/module.scm 40 */
{ 
BgL_ccompz00_bglt BgL_obj1024z00_399;
BgL_obj1024z00_399 = 
(BgL_ccompz00_bglt)(BgL_obj1024z00_692); 
{ /* Module/module.scm 40 */
obj_t BgL_res1025z00_402;
{ /* Module/module.scm 40 */
int BgL_auxz00_1296;obj_t BgL_auxz00_1294;
BgL_auxz00_1296 = 
(int)(((long)5)); 
BgL_auxz00_1294 = 
CNST_TABLE_REF(((long)9)); 
BgL_res1025z00_402 = 
make_struct(BgL_auxz00_1294, BgL_auxz00_1296, BUNSPEC); } 
{ /* Module/module.scm 40 */
int BgL_auxz00_1299;
BgL_auxz00_1299 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res1025z00_402, BgL_auxz00_1299, BFALSE); } 
{ /* Module/module.scm 40 */
obj_t BgL_auxz00_1304;int BgL_auxz00_1302;
BgL_auxz00_1304 = 
(((BgL_ccompz00_bglt)CREF(BgL_obj1024z00_399))->BgL_idz00); 
BgL_auxz00_1302 = 
(int)(((long)1)); 
STRUCT_SET(BgL_res1025z00_402, BgL_auxz00_1302, BgL_auxz00_1304); } 
{ /* Module/module.scm 40 */
obj_t BgL_auxz00_1309;int BgL_auxz00_1307;
BgL_auxz00_1309 = 
(((BgL_ccompz00_bglt)CREF(BgL_obj1024z00_399))->BgL_producerz00); 
BgL_auxz00_1307 = 
(int)(((long)2)); 
STRUCT_SET(BgL_res1025z00_402, BgL_auxz00_1307, BgL_auxz00_1309); } 
{ /* Module/module.scm 40 */
obj_t BgL_auxz00_1314;int BgL_auxz00_1312;
BgL_auxz00_1314 = 
(((BgL_ccompz00_bglt)CREF(BgL_obj1024z00_399))->BgL_consumerz00); 
BgL_auxz00_1312 = 
(int)(((long)3)); 
STRUCT_SET(BgL_res1025z00_402, BgL_auxz00_1312, BgL_auxz00_1314); } 
{ /* Module/module.scm 40 */
obj_t BgL_auxz00_1319;int BgL_auxz00_1317;
BgL_auxz00_1319 = 
(((BgL_ccompz00_bglt)CREF(BgL_obj1024z00_399))->BgL_finaliza7erza7); 
BgL_auxz00_1317 = 
(int)(((long)4)); 
STRUCT_SET(BgL_res1025z00_402, BgL_auxz00_1317, BgL_auxz00_1319); } 
return BgL_res1025z00_402;} } } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzmodule_modulez00()
{ AN_OBJECT;
{ /* Module/module.scm 15 */
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23545), "module_module"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "module_module"); 
BGl_modulezd2initializa7ationz75zzengine_passz00(((long)12444), "module_module"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)189840), "module_module"); 
BGl_modulezd2initializa7ationz75zzheap_restorez00(((long)20837), "module_module"); 
BGl_modulezd2initializa7ationz75zzmodule_mainz00(((long)56512), "module_module"); 
BGl_modulezd2initializa7ationz75zzmodule_statexpz00(((long)640), "module_module"); 
BGl_modulezd2initializa7ationz75zzmodule_impusez00(((long)21670), "module_module"); 
BGl_modulezd2initializa7ationz75zzmodule_includez00(((long)99), "module_module"); 
BGl_modulezd2initializa7ationz75zzmodule_withz00(((long)39485), "module_module"); 
BGl_modulezd2initializa7ationz75zzmodule_typez00(((long)46570), "module_module"); 
BGl_modulezd2initializa7ationz75zzmodule_foreignz00(((long)23320), "module_module"); 
BGl_modulezd2initializa7ationz75zzmodule_javaz00(((long)4332), "module_module"); 
BGl_modulezd2initializa7ationz75zzmodule_evalz00(((long)13882), "module_module"); 
BGl_modulezd2initializa7ationz75zzmodule_loadz00(((long)28520), "module_module"); 
BGl_modulezd2initializa7ationz75zzmodule_pragmaz00(((long)28095), "module_module"); 
BGl_modulezd2initializa7ationz75zzmodule_checksumz00(((long)54184), "module_module"); 
BGl_modulezd2initializa7ationz75zzmodule_optionz00(((long)44992), "module_module"); 
BGl_modulezd2initializa7ationz75zzmodule_alibraryz00(((long)23103), "module_module"); 
return 
BGl_modulezd2initializa7ationz75zzast_envz00(((long)73271), "module_module");} 
}

