/*===========================================================================*/
/*   (Read/jvm.scm)                                                          */
/*   Bigloo (2.5b)                                                           */
/*   Manuel Serrano (c)       Fri Sep 6 09:43:28 CEST 2002                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;


extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_enginez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzinit_mainz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
extern obj_t BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t, obj_t, obj_t);
static obj_t BGl_handlerz00zzread_jvmz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzread_jvmz00();
extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_za2qualifiedzd2typezd2filezd2defaultza2zd2zzengine_paramz00;
extern obj_t open_input_string(obj_t);
extern obj_t BGl_za2srczd2filesza2zd2zzengine_paramz00;
static obj_t BGl_za2jvmzd2markza2zd2zzread_jvmz00 = BUNSPEC;
extern obj_t BGl_dynamiczd2windzd2zz__r4_control_features_6_9z00(obj_t, obj_t, obj_t);
static obj_t BGl_dozd2readzd2jfilez00zzread_jvmz00(obj_t, obj_t);
extern obj_t BGl_readzd2jfilezd2zzread_jvmz00();
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern obj_t BGl_za2accesszd2tableza2zd2zzengine_paramz00;
extern obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
extern bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
extern obj_t BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t);
static obj_t BGl__readzd2jfilezd2zzread_jvmz00(obj_t);
extern obj_t BGl_za2targetzd2languageza2zd2zzengine_paramz00;
extern obj_t BGl_za2destza2z00zzengine_paramz00;
extern obj_t BGl_za2qualifiedzd2typezd2fileza2z00zzengine_paramz00;
extern obj_t BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(obj_t, obj_t);
extern obj_t BGl_putpropz12z12zz__r4_symbols_6_4z00(obj_t, obj_t, obj_t);
static obj_t BGl_escapez00zzread_jvmz00(obj_t, obj_t);
extern obj_t BGl_getpropz00zz__r4_symbols_6_4z00(obj_t, obj_t);
extern obj_t BGl_za2passza2z00zzengine_paramz00;
static obj_t BGl_zc3anonymousza31179ze3z83zzread_jvmz00(obj_t);
static obj_t BGl_zc3anonymousza31181ze3z83zzread_jvmz00(obj_t);
extern obj_t BGl_removezd2errorzd2handlerz12z12zz__errorz00();
extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_zc3anonymousza31185ze3z83zzread_jvmz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzread_jvmz00();
extern obj_t BGl_basenamez00zz__osz00(obj_t);
extern bool_t bigloo_strcmp(obj_t, obj_t);
static obj_t BGl_zc3anonymousza31188ze3z83zzread_jvmz00(obj_t);
static obj_t BGl__addzd2qualifiedzd2typez121334z12zzread_jvmz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t close_input_port(obj_t);
extern bool_t fexists(char *);
static obj_t BGl_importedzd2moduleszd2initz00zzread_jvmz00();
extern obj_t BGl_warningz00zz__errorz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzread_jvmz00 = BUNSPEC;
extern obj_t BGl_prefixz00zz__osz00(obj_t);
extern obj_t BGl_notifyzd2errorzd2zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl__modulezd2ze3qualifiedzd2type1348ze3zzread_jvmz00(obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzread_jvmz00();
extern obj_t BGl_exitzd2bigloozd2zzinit_mainz00(obj_t);
extern obj_t BGl_addzd2errorzd2handlerz12z12zz__errorz00(obj_t, obj_t);
static obj_t BGl_addzd2currentzd2modulezd2qualifiedzd2typezd2namez12zc0zzread_jvmz00();
static obj_t BGl_handling_function1171z00zzread_jvmz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzread_jvmz00();
extern obj_t string_append_3(obj_t, obj_t, obj_t);
static obj_t __cnst[ 4 ] ;

DEFINE_EXPORT_PROCEDURE( BGl_modulezd2ze3qualifiedzd2typezd2envz31zzread_jvmz00, BgL_bgl__moduleza7d2za7e3qualifiedza7d2type1348za7e3za7za7read_jvmza7001483za7, BGl__modulezd2ze3qualifiedzd2type1348ze3zzread_jvmz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_readzd2jfilezd2envz00zzread_jvmz00, BgL_bgl__readza7d2jfileza7d2za7za7read_jvmza7001484za7, BGl__readzd2jfilezd2zzread_jvmz00, 0L, 0 );
DEFINE_STRING( BGl_string1448z00zzread_jvmz00, BgL_bgl_string1448za700za7za7read_jvmza7001485z00, "ld done jvm jvm-qtype ", 22 );
DEFINE_STRING( BGl_string1447z00zzread_jvmz00, BgL_bgl_string1447za700za7za7read_jvmza7001486z00, "Using name `", 12 );
DEFINE_STRING( BGl_string1446z00zzread_jvmz00, BgL_bgl_string1446za700za7za7read_jvmza7001487z00, "',", 2 );
DEFINE_STRING( BGl_string1445z00zzread_jvmz00, BgL_bgl_string1445za700za7za7read_jvmza7001488z00, "Can't find qualified type name for module `", 43 );
DEFINE_STRING( BGl_string1444z00zzread_jvmz00, BgL_bgl_string1444za700za7za7read_jvmza7001489z00, "Illegal jfile format", 20 );
DEFINE_STRING( BGl_string1443z00zzread_jvmz00, BgL_bgl_string1443za700za7za7read_jvmza7001490z00, "Can't find jfile", 16 );
DEFINE_STRING( BGl_string1442z00zzread_jvmz00, BgL_bgl_string1442za700za7za7read_jvmza7001491z00, "Can't open jfile", 16 );
DEFINE_STRING( BGl_string1441z00zzread_jvmz00, BgL_bgl_string1441za700za7za7read_jvmza7001492z00, "read-jfile", 10 );
DEFINE_STRING( BGl_string1440z00zzread_jvmz00, BgL_bgl_string1440za700za7za7read_jvmza7001493z00, "      [reading jfile ", 21 );
DEFINE_STRING( BGl_string1439z00zzread_jvmz00, BgL_bgl_string1439za700za7za7read_jvmza7001494z00, "qualified type redefinition -- ", 31 );
DEFINE_STRING( BGl_string1438z00zzread_jvmz00, BgL_bgl_string1438za700za7za7read_jvmza7001495z00, " [", 2 );
DEFINE_STRING( BGl_string1437z00zzread_jvmz00, BgL_bgl_string1437za700za7za7read_jvmza7001496z00, "/", 1 );
DEFINE_STRING( BGl_string1436z00zzread_jvmz00, BgL_bgl_string1436za700za7za7read_jvmza7001497z00, "]", 1 );
DEFINE_STRING( BGl_string1435z00zzread_jvmz00, BgL_bgl_string1435za700za7za7read_jvmza7001498z00, ".", 1 );
DEFINE_STRING( BGl_string1434z00zzread_jvmz00, BgL_bgl_string1434za700za7za7read_jvmza7001499z00, "'.", 2 );
DEFINE_STRING( BGl_string1433z00zzread_jvmz00, BgL_bgl_string1433za700za7za7read_jvmza7001500z00, "add-qualified-type!", 19 );
DEFINE_STRING( BGl_string1432z00zzread_jvmz00, BgL_bgl_string1432za700za7za7read_jvmza7001501z00, "empty name for module -- ", 25 );
DEFINE_STRING( BGl_string1431z00zzread_jvmz00, BgL_bgl_string1431za700za7za7read_jvmza7001502z00, "'", 1 );
DEFINE_STRING( BGl_string1430z00zzread_jvmz00, BgL_bgl_string1430za700za7za7read_jvmza7001503z00, ", for identifier `", 18 );
DEFINE_STRING( BGl_string1429z00zzread_jvmz00, BgL_bgl_string1429za700za7za7read_jvmza7001504z00, "", 0 );
DEFINE_EXPORT_PROCEDURE( BGl_addzd2qualifiedzd2typez12zd2envzc0zzread_jvmz00, BgL_bgl__addza7d2qualifiedza7d2typeza7121334za712za7za7read_jvmza7001505za7, va_generic_entry, BGl__addzd2qualifiedzd2typez121334z12zzread_jvmz00, -3 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long BgL_checksumz00_293, char * BgL_fromz00_294)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzread_jvmz00))
{ 
BGl_requirezd2initializa7ationz75zzread_jvmz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzread_jvmz00(); 
BGl_cnstzd2initzd2zzread_jvmz00(); 
BGl_importedzd2moduleszd2initz00zzread_jvmz00(); 
BGl_toplevelzd2initzd2zzread_jvmz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzread_jvmz00()
{ AN_OBJECT;
{ /* Read/jvm.scm 15 */
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)0), "read_jvm"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "read_jvm"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "read_jvm"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "read_jvm"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "read_jvm"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "read_jvm"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "read_jvm"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "read_jvm"); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)0), "read_jvm"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzread_jvmz00()
{ AN_OBJECT;
{ /* Read/jvm.scm 15 */
{ /* Read/jvm.scm 15 */
obj_t BgL_cportz00_286;
BgL_cportz00_286 = 
open_input_string(BGl_string1448z00zzread_jvmz00); 
{ 
long BgL_iz00_287;
BgL_iz00_287 = ((long)3); 
BgL_loopz00_288:
if(
(BgL_iz00_287==((long)-1)))
{ /* Read/jvm.scm 15 */
return BUNSPEC;}  else 
{ /* Read/jvm.scm 15 */
{ /* Read/jvm.scm 15 */
obj_t BgL_arg1454z00_290;
{ /* Read/jvm.scm 15 */
obj_t BgL_list1457z00_291;
BgL_list1457z00_291 = 
MAKE_PAIR(BgL_cportz00_286, BNIL); 
BgL_arg1454z00_290 = 
BGl_readz00zz__readerz00(BgL_list1457z00_291); } 
{ /* Read/jvm.scm 15 */
int BgL_auxz00_316;
BgL_auxz00_316 = 
(int)(BgL_iz00_287); 
CNST_TABLE_SET(BgL_auxz00_316, BgL_arg1454z00_290); } } 
{ 
long BgL_iz00_319;
{ /* Read/jvm.scm 15 */
int BgL_auxz00_320;
{ /* Read/jvm.scm 15 */
long BgL_auxz00_321;
BgL_auxz00_321 = 
(BgL_iz00_287-((long)1)); 
BgL_auxz00_320 = 
(int)(BgL_auxz00_321); } 
BgL_iz00_319 = 
(long)(BgL_auxz00_320); } 
BgL_iz00_287 = BgL_iz00_319; 
goto BgL_loopz00_288;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzread_jvmz00()
{ AN_OBJECT;
{ /* Read/jvm.scm 15 */
return ( 
BGl_za2jvmzd2markza2zd2zzread_jvmz00 = 
CNST_TABLE_REF(((long)0)), BUNSPEC) ;} 
}



/* add-qualified-type! */
obj_t BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t BgL_modulez00_1, obj_t BgL_qtypez00_2, obj_t BgL_identz00_3)
{ AN_OBJECT;
{ /* Read/jvm.scm 34 */
{ /* Read/jvm.scm 35 */
bool_t BgL_test1034z00_21;
{ /* Read/jvm.scm 35 */
bool_t BgL_test1070z00_36;
{ /* Read/jvm.scm 35 */
obj_t BgL_auxz00_326;
BgL_auxz00_326 = 
CNST_TABLE_REF(((long)1)); 
BgL_test1070z00_36 = 
(BGl_za2targetzd2languageza2zd2zzengine_paramz00==BgL_auxz00_326); } 
if(BgL_test1070z00_36)
{ /* Read/jvm.scm 35 */
BgL_test1034z00_21 = 
bigloo_strcmp(BgL_qtypez00_2, BGl_string1429z00zzread_jvmz00); }  else 
{ /* Read/jvm.scm 35 */
BgL_test1034z00_21 = ((bool_t)0); } } 
if(BgL_test1034z00_21)
{ /* Read/jvm.scm 36 */
obj_t BgL_arg1038z00_24;
{ /* Read/jvm.scm 39 */
bool_t BgL_testz00_332;
if(
PAIRP(BgL_identz00_3))
{ /* Read/jvm.scm 39 */
obj_t BgL_auxz00_335;
BgL_auxz00_335 = 
CAR(BgL_identz00_3); 
BgL_testz00_332 = 
SYMBOLP(BgL_auxz00_335); }  else 
{ /* Read/jvm.scm 39 */
BgL_testz00_332 = ((bool_t)0)
; } 
if(BgL_testz00_332)
{ /* Read/jvm.scm 40 */
obj_t BgL_arg1054z00_31;
{ /* Read/jvm.scm 41 */
obj_t BgL_auxz00_338;
BgL_auxz00_338 = 
CAR(BgL_identz00_3); 
BgL_arg1054z00_31 = 
SYMBOL_TO_STRING(BgL_auxz00_338); } 
BgL_arg1038z00_24 = 
string_append_3(BGl_string1430z00zzread_jvmz00, BgL_arg1054z00_31, BGl_string1431z00zzread_jvmz00); }  else 
{ /* Read/jvm.scm 39 */
BgL_arg1038z00_24 = BGl_string1429z00zzread_jvmz00; } } 
{ /* Read/jvm.scm 36 */
obj_t BgL_list1040z00_25;
{ /* Read/jvm.scm 36 */
obj_t BgL_arg1042z00_26;
{ /* Read/jvm.scm 36 */
obj_t BgL_arg1045z00_27;
{ /* Read/jvm.scm 36 */
obj_t BgL_arg1048z00_28;
BgL_arg1048z00_28 = 
MAKE_PAIR(BgL_arg1038z00_24, BNIL); 
BgL_arg1045z00_27 = 
MAKE_PAIR(BgL_modulez00_1, BgL_arg1048z00_28); } 
BgL_arg1042z00_26 = 
MAKE_PAIR(BGl_string1432z00zzread_jvmz00, BgL_arg1045z00_27); } 
BgL_list1040z00_25 = 
MAKE_PAIR(BGl_string1433z00zzread_jvmz00, BgL_arg1042z00_26); } 
BGl_warningz00zz__errorz00(BgL_list1040z00_25); } }  else 
{ /* Read/jvm.scm 35 */BFALSE; } } 
{ /* Read/jvm.scm 44 */
obj_t BgL_bz00_37;
BgL_bz00_37 = 
BGl_getpropz00zz__r4_symbols_6_4z00(BgL_modulez00_1, BGl_za2jvmzd2markza2zd2zzread_jvmz00); 
if(
CBOOL(BgL_bz00_37))
{ /* Read/jvm.scm 47 */
bool_t BgL_test1073z00_38;
{ /* Read/jvm.scm 47 */
bool_t BgL_test1131z00_61;
{ /* Read/jvm.scm 47 */
obj_t BgL_auxz00_350;
BgL_auxz00_350 = 
CNST_TABLE_REF(((long)1)); 
BgL_test1131z00_61 = 
(BGl_za2targetzd2languageza2zd2zzengine_paramz00==BgL_auxz00_350); } 
if(BgL_test1131z00_61)
{ /* Read/jvm.scm 47 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(BgL_bz00_37, BgL_qtypez00_2))
{ /* Read/jvm.scm 47 */
BgL_test1073z00_38 = ((bool_t)0); }  else 
{ /* Read/jvm.scm 47 */
BgL_test1073z00_38 = ((bool_t)1); } }  else 
{ /* Read/jvm.scm 47 */
BgL_test1073z00_38 = ((bool_t)0); } } 
if(BgL_test1073z00_38)
{ /* Read/jvm.scm 48 */
obj_t BgL_arg1084z00_44;
{ /* Read/jvm.scm 51 */
bool_t BgL_testz00_357;
if(
PAIRP(BgL_identz00_3))
{ /* Read/jvm.scm 51 */
obj_t BgL_auxz00_360;
BgL_auxz00_360 = 
CAR(BgL_identz00_3); 
BgL_testz00_357 = 
SYMBOLP(BgL_auxz00_360); }  else 
{ /* Read/jvm.scm 51 */
BgL_testz00_357 = ((bool_t)0)
; } 
if(BgL_testz00_357)
{ /* Read/jvm.scm 52 */
obj_t BgL_arg1118z00_56;
{ /* Read/jvm.scm 53 */
obj_t BgL_auxz00_363;
BgL_auxz00_363 = 
CAR(BgL_identz00_3); 
BgL_arg1118z00_56 = 
SYMBOL_TO_STRING(BgL_auxz00_363); } 
BgL_arg1084z00_44 = 
string_append_3(BGl_string1430z00zzread_jvmz00, BgL_arg1118z00_56, BGl_string1434z00zzread_jvmz00); }  else 
{ /* Read/jvm.scm 51 */
BgL_arg1084z00_44 = BGl_string1435z00zzread_jvmz00; } } 
{ /* Read/jvm.scm 48 */
obj_t BgL_list1086z00_45;
{ /* Read/jvm.scm 48 */
obj_t BgL_arg1088z00_46;
{ /* Read/jvm.scm 48 */
obj_t BgL_arg1091z00_47;
{ /* Read/jvm.scm 48 */
obj_t BgL_arg1096z00_48;
{ /* Read/jvm.scm 48 */
obj_t BgL_arg1099z00_49;
{ /* Read/jvm.scm 48 */
obj_t BgL_arg1102z00_50;
{ /* Read/jvm.scm 48 */
obj_t BgL_arg1106z00_51;
{ /* Read/jvm.scm 48 */
obj_t BgL_arg1109z00_52;
{ /* Read/jvm.scm 48 */
obj_t BgL_arg1112z00_53;
BgL_arg1112z00_53 = 
MAKE_PAIR(BgL_arg1084z00_44, BNIL); 
BgL_arg1109z00_52 = 
MAKE_PAIR(BGl_string1436z00zzread_jvmz00, BgL_arg1112z00_53); } 
BgL_arg1106z00_51 = 
MAKE_PAIR(BgL_qtypez00_2, BgL_arg1109z00_52); } 
BgL_arg1102z00_50 = 
MAKE_PAIR(BGl_string1437z00zzread_jvmz00, BgL_arg1106z00_51); } 
BgL_arg1099z00_49 = 
MAKE_PAIR(BgL_bz00_37, BgL_arg1102z00_50); } 
BgL_arg1096z00_48 = 
MAKE_PAIR(BGl_string1438z00zzread_jvmz00, BgL_arg1099z00_49); } 
BgL_arg1091z00_47 = 
MAKE_PAIR(BgL_modulez00_1, BgL_arg1096z00_48); } 
BgL_arg1088z00_46 = 
MAKE_PAIR(BGl_string1439z00zzread_jvmz00, BgL_arg1091z00_47); } 
BgL_list1086z00_45 = 
MAKE_PAIR(BGl_string1433z00zzread_jvmz00, BgL_arg1088z00_46); } 
return 
BGl_warningz00zz__errorz00(BgL_list1086z00_45);} }  else 
{ /* Read/jvm.scm 47 */
return 
CNST_TABLE_REF(((long)2));} }  else 
{ /* Read/jvm.scm 45 */
return 
BGl_putpropz12z12zz__r4_symbols_6_4z00(BgL_modulez00_1, BGl_za2jvmzd2markza2zd2zzread_jvmz00, BgL_qtypez00_2);} } } 
}



/* _add-qualified-type!1334 */
obj_t BGl__addzd2qualifiedzd2typez121334z12zzread_jvmz00(obj_t BgL_envz00_239, obj_t BgL_modulez00_240, obj_t BgL_qtypez00_241, obj_t BgL_identz00_242)
{ AN_OBJECT;
{ /* Read/jvm.scm 34 */
return 
BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(BgL_modulez00_240, BgL_qtypez00_241, BgL_identz00_242);} 
}



/* read-jfile */
obj_t BGl_readzd2jfilezd2zzread_jvmz00()
{ AN_OBJECT;
{ /* Read/jvm.scm 61 */
{ 
obj_t BgL_namez00_68;
{ /* Read/jvm.scm 72 */
bool_t BgL_test1137z00_64;
{ /* Read/jvm.scm 72 */
obj_t BgL_objz00_192;
BgL_objz00_192 = BGl_za2qualifiedzd2typezd2fileza2z00zzengine_paramz00; 
BgL_test1137z00_64 = 
STRINGP(BgL_objz00_192); } 
if(BgL_test1137z00_64)
{ /* Read/jvm.scm 76 */
bool_t BgL_test1138z00_65;
{ /* Read/jvm.scm 76 */
char * BgL_namez00_193;
BgL_namez00_193 = 
BSTRING_TO_STRING(BGl_za2qualifiedzd2typezd2fileza2z00zzengine_paramz00); 
BgL_test1138z00_65 = 
fexists(BgL_namez00_193); } 
if(BgL_test1138z00_65)
{ /* Read/jvm.scm 76 */
BgL_namez00_68 = BGl_za2qualifiedzd2typezd2fileza2z00zzengine_paramz00; 
BgL_zc3anonymousza31147ze3z83_69:
{ /* Read/jvm.scm 63 */
obj_t BgL_portz00_70;
BgL_portz00_70 = 
BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(BgL_namez00_68, BNIL); 
{ /* Read/jvm.scm 64 */
obj_t BgL_list1149z00_71;
{ /* Read/jvm.scm 64 */
obj_t BgL_arg1153z00_73;
{ /* Read/jvm.scm 64 */
obj_t BgL_arg1156z00_74;
{ /* Read/jvm.scm 64 */
obj_t BgL_arg1160z00_76;
{ /* Read/jvm.scm 64 */
obj_t BgL_auxz00_386;
BgL_auxz00_386 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg1160z00_76 = 
MAKE_PAIR(BgL_auxz00_386, BNIL); } 
BgL_arg1156z00_74 = 
MAKE_PAIR(BGl_string1436z00zzread_jvmz00, BgL_arg1160z00_76); } 
BgL_arg1153z00_73 = 
MAKE_PAIR(BgL_namez00_68, BgL_arg1156z00_74); } 
BgL_list1149z00_71 = 
MAKE_PAIR(BGl_string1440z00zzread_jvmz00, BgL_arg1153z00_73); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)2)), BgL_list1149z00_71); } 
if(
INPUT_PORTP(BgL_portz00_70))
{ /* Read/jvm.scm 65 */
BGl_dozd2readzd2jfilez00zzread_jvmz00(BgL_portz00_70, BgL_namez00_68); 
return 
close_input_port(BgL_portz00_70);}  else 
{ /* Read/jvm.scm 65 */
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string1441z00zzread_jvmz00, BGl_string1442z00zzread_jvmz00, BgL_namez00_68, BNIL);} } }  else 
{ /* Read/jvm.scm 76 */
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string1441z00zzread_jvmz00, BGl_string1443z00zzread_jvmz00, BGl_za2qualifiedzd2typezd2fileza2z00zzengine_paramz00, BNIL);} }  else 
{ /* Read/jvm.scm 72 */
{ /* Read/jvm.scm 73 */
bool_t BgL_test1143z00_67;
{ /* Read/jvm.scm 73 */
char * BgL_namez00_194;
BgL_namez00_194 = 
BSTRING_TO_STRING(BGl_za2qualifiedzd2typezd2filezd2defaultza2zd2zzengine_paramz00); 
BgL_test1143z00_67 = 
fexists(BgL_namez00_194); } 
if(BgL_test1143z00_67)
{ 
obj_t BgL_namez00_403;
BgL_namez00_403 = BGl_za2qualifiedzd2typezd2filezd2defaultza2zd2zzengine_paramz00; 
BgL_namez00_68 = BgL_namez00_403; 
goto BgL_zc3anonymousza31147ze3z83_69;}  else 
{ /* Read/jvm.scm 73 */
return 
CNST_TABLE_REF(((long)2));} } } } } } 
}



/* _read-jfile */
obj_t BGl__readzd2jfilezd2zzread_jvmz00(obj_t BgL_envz00_243)
{ AN_OBJECT;
{ /* Read/jvm.scm 61 */
return 
BGl_readzd2jfilezd2zzread_jvmz00();} 
}



/* do-read-jfile */
obj_t BGl_dozd2readzd2jfilez00zzread_jvmz00(obj_t BgL_portz00_4, obj_t BgL_jfnamez00_5)
{ AN_OBJECT;
{ /* Read/jvm.scm 84 */
{ /* Read/jvm.scm 85 */
obj_t BgL_handlerz00_249;
{ 
int BgL_auxz00_408;int BgL_auxz00_406;
BgL_auxz00_408 = 
(int)(((long)1)); 
BgL_auxz00_406 = 
(int)(((long)4)); 
BgL_handlerz00_249 = 
make_fx_procedure(BGl_handlerz00zzread_jvmz00, BgL_auxz00_406, BgL_auxz00_408); } 
{ /* Read/jvm.scm 85 */
int BgL_auxz00_411;
BgL_auxz00_411 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_handlerz00_249, BgL_auxz00_411, BgL_portz00_4); } 
{ /* Read/jvm.scm 89 */
obj_t BgL_armed1029z00_86;obj_t BgL_handler1026z00_87;
BgL_armed1029z00_86 = 
MAKE_CELL(BUNSPEC); 
BgL_handler1026z00_87 = 
MAKE_CELL(BUNSPEC); 
{ /* Read/jvm.scm 89 */
obj_t BgL_zc3anonymousza31188ze3z83_245;obj_t BgL_zc3anonymousza31185ze3z83_247;
{ 
int BgL_auxz00_416;int BgL_auxz00_414;
BgL_auxz00_416 = 
(int)(((long)1)); 
BgL_auxz00_414 = 
(int)(((long)0)); 
BgL_zc3anonymousza31188ze3z83_245 = 
make_fx_procedure(BGl_zc3anonymousza31188ze3z83zzread_jvmz00, BgL_auxz00_414, BgL_auxz00_416); } 
{ 
int BgL_auxz00_421;int BgL_auxz00_419;
BgL_auxz00_421 = 
(int)(((long)2)); 
BgL_auxz00_419 = 
(int)(((long)4)); 
BgL_zc3anonymousza31185ze3z83_247 = 
make_fx_procedure(BGl_zc3anonymousza31185ze3z83zzread_jvmz00, BgL_auxz00_419, BgL_auxz00_421); } 
{ /* Read/jvm.scm 89 */
int BgL_auxz00_424;
BgL_auxz00_424 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31188ze3z83_245, BgL_auxz00_424, BgL_portz00_4); } 
{ /* Read/jvm.scm 89 */
int BgL_auxz00_427;
BgL_auxz00_427 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31185ze3z83_247, BgL_auxz00_427, BgL_armed1029z00_86); } 
{ /* Read/jvm.scm 89 */
int BgL_auxz00_430;
BgL_auxz00_430 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza31185ze3z83_247, BgL_auxz00_430, BgL_handler1026z00_87); } 
CELL_SET(BgL_handler1026z00_87, BgL_handlerz00_249); 
CELL_SET(BgL_armed1029z00_86, BTRUE); 
return 
BGl_handling_function1171z00zzread_jvmz00(BgL_zc3anonymousza31188ze3z83_245, BgL_zc3anonymousza31185ze3z83_247, BgL_handler1026z00_87, BgL_armed1029z00_86);} } } } 
}



/* handling_function1171 */
obj_t BGl_handling_function1171z00zzread_jvmz00(obj_t BgL_zc3anonymousza31188ze3z83_285, obj_t BgL_zc3anonymousza31185ze3z83_284, obj_t BgL_handler1026z00_283, obj_t BgL_armed1029z00_282)
{ AN_OBJECT;
{ /* Read/jvm.scm 89 */
jmp_buf jmpbuf; 
obj_t BgL_an_exit1030z00_91;
if( SET_EXIT(BgL_an_exit1030z00_91) ) { RESTORE_TRACE(); 
return 
_exit_value_;
} else {
BgL_an_exit1030z00_91 = 
(obj_t)jmpbuf; 
{ /* Read/jvm.scm 89 */

PUSH_EXIT(BgL_an_exit1030z00_91, ((bool_t)1)); 
{ /* Read/jvm.scm 89 */
obj_t BgL_an_exitd1031z00_92;
BgL_an_exitd1031z00_92 = 
BGL_GET_EXITD_TOP(); 
{ /* Read/jvm.scm 89 */
obj_t BgL_escapez00_246;
{ 
int BgL_auxz00_440;int BgL_auxz00_438;
BgL_auxz00_440 = 
(int)(((long)1)); 
BgL_auxz00_438 = 
(int)(((long)1)); 
BgL_escapez00_246 = 
make_fx_procedure(BGl_escapez00zzread_jvmz00, BgL_auxz00_438, BgL_auxz00_440); } 
{ /* Read/jvm.scm 89 */
int BgL_auxz00_443;
BgL_auxz00_443 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_escapez00_246, BgL_auxz00_443, BgL_an_exitd1031z00_92); } 
{ /* Read/jvm.scm 89 */
obj_t BgL_res1033z00_95;
{ /* Read/jvm.scm 89 */
obj_t BgL_zc3anonymousza31181ze3z83_244;obj_t BgL_zc3anonymousza31179ze3z83_248;
{ 
int BgL_auxz00_448;int BgL_auxz00_446;
BgL_auxz00_448 = 
(int)(((long)1)); 
BgL_auxz00_446 = 
(int)(((long)0)); 
BgL_zc3anonymousza31181ze3z83_244 = 
make_fx_procedure(BGl_zc3anonymousza31181ze3z83zzread_jvmz00, BgL_auxz00_446, BgL_auxz00_448); } 
{ 
int BgL_auxz00_453;int BgL_auxz00_451;
BgL_auxz00_453 = 
(int)(((long)5)); 
BgL_auxz00_451 = 
(int)(((long)0)); 
BgL_zc3anonymousza31179ze3z83_248 = 
make_fx_procedure(BGl_zc3anonymousza31179ze3z83zzread_jvmz00, BgL_auxz00_451, BgL_auxz00_453); } 
{ /* Read/jvm.scm 89 */
int BgL_auxz00_456;
BgL_auxz00_456 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31181ze3z83_244, BgL_auxz00_456, BgL_armed1029z00_282); } 
{ /* Read/jvm.scm 89 */
int BgL_auxz00_459;
BgL_auxz00_459 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31179ze3z83_248, BgL_auxz00_459, BgL_an_exitd1031z00_92); } 
{ /* Read/jvm.scm 89 */
int BgL_auxz00_462;
BgL_auxz00_462 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza31179ze3z83_248, BgL_auxz00_462, BgL_armed1029z00_282); } 
{ /* Read/jvm.scm 89 */
int BgL_auxz00_465;
BgL_auxz00_465 = 
(int)(((long)2)); 
PROCEDURE_SET(BgL_zc3anonymousza31179ze3z83_248, BgL_auxz00_465, BgL_handler1026z00_283); } 
{ /* Read/jvm.scm 89 */
int BgL_auxz00_468;
BgL_auxz00_468 = 
(int)(((long)3)); 
PROCEDURE_SET(BgL_zc3anonymousza31179ze3z83_248, BgL_auxz00_468, BgL_zc3anonymousza31185ze3z83_284); } 
{ /* Read/jvm.scm 89 */
int BgL_auxz00_471;
BgL_auxz00_471 = 
(int)(((long)4)); 
PROCEDURE_SET(BgL_zc3anonymousza31179ze3z83_248, BgL_auxz00_471, BgL_escapez00_246); } 
BgL_res1033z00_95 = 
BGl_dynamiczd2windzd2zz__r4_control_features_6_9z00(BgL_zc3anonymousza31179ze3z83_248, BgL_zc3anonymousza31188ze3z83_285, BgL_zc3anonymousza31181ze3z83_244); } 
POP_EXIT(); 
return BgL_res1033z00_95;} } } } 
} } 
}



/* <anonymous:1181> */
obj_t BGl_zc3anonymousza31181ze3z83zzread_jvmz00(obj_t BgL_envz00_250)
{ AN_OBJECT;
{ /* Read/jvm.scm 89 */
{ /* Read/jvm.scm 89 */
obj_t BgL_armed1029z00_251;
{ /* Read/jvm.scm 89 */
int BgL_auxz00_476;
BgL_auxz00_476 = 
(int)(((long)0)); 
BgL_armed1029z00_251 = 
PROCEDURE_REF(BgL_envz00_250, BgL_auxz00_476); } 
{ 

{ /* Read/jvm.scm 89 */
bool_t BgL_testz00_479;
{ /* Read/jvm.scm 89 */
obj_t BgL_auxz00_480;
BgL_auxz00_480 = 
CELL_REF(BgL_armed1029z00_251); 
BgL_testz00_479 = 
CBOOL(BgL_auxz00_480); } 
if(BgL_testz00_479)
{ /* Read/jvm.scm 89 */
CELL_SET(BgL_armed1029z00_251, BFALSE); 
return 
BGl_removezd2errorzd2handlerz12z12zz__errorz00();}  else 
{ /* Read/jvm.scm 89 */
return BFALSE;} } } } } 
}



/* <anonymous:1188> */
obj_t BGl_zc3anonymousza31188ze3z83zzread_jvmz00(obj_t BgL_envz00_253)
{ AN_OBJECT;
{ /* Read/jvm.scm 89 */
{ /* Read/jvm.scm 89 */
obj_t BgL_portz00_254;
{ /* Read/jvm.scm 89 */
int BgL_auxz00_483;
BgL_auxz00_483 = 
(int)(((long)0)); 
BgL_portz00_254 = 
PROCEDURE_REF(BgL_envz00_253, BgL_auxz00_483); } 
{ 

{ /* Read/jvm.scm 89 */
obj_t BgL_objz00_108;
{ /* Read/jvm.scm 89 */
obj_t BgL_list1242z00_139;
{ /* Read/jvm.scm 89 */
obj_t BgL_arg1244z00_140;
BgL_arg1244z00_140 = 
MAKE_PAIR(BTRUE, BNIL); 
BgL_list1242z00_139 = 
MAKE_PAIR(BgL_portz00_254, BgL_arg1244z00_140); } 
BgL_objz00_108 = 
BGl_readz00zz__readerz00(BgL_list1242z00_139); } 
{ /* Read/jvm.scm 89 */
obj_t BgL_eofz00_109;
{ /* Read/jvm.scm 90 */
obj_t BgL_list1239z00_138;
BgL_list1239z00_138 = 
MAKE_PAIR(BgL_portz00_254, BNIL); 
BgL_eofz00_109 = 
BGl_readz00zz__readerz00(BgL_list1239z00_138); } 
{ /* Read/jvm.scm 90 */

{ /* Read/jvm.scm 92 */
bool_t BgL_test1189z00_110;
BgL_test1189z00_110 = 
EOF_OBJECTP(BgL_objz00_108); 
if(BgL_test1189z00_110)
{ /* Read/jvm.scm 92 */
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string1441z00zzread_jvmz00, BGl_string1444z00zzread_jvmz00, BgL_objz00_108, BNIL);}  else 
{ /* Read/jvm.scm 94 */
bool_t BgL_test1192z00_112;
BgL_test1192z00_112 = 
EOF_OBJECTP(BgL_eofz00_109); 
if(BgL_test1192z00_112)
{ /* Read/jvm.scm 94 */
{ 
obj_t BgL_objz00_113;
BgL_objz00_113 = BgL_objz00_108; 
BgL_loopz00_114:
if(
NULLP(BgL_objz00_113))
{ /* Read/jvm.scm 98 */
return 
CNST_TABLE_REF(((long)2));}  else 
{ 

{ /* Read/jvm.scm 100 */
obj_t BgL_ezd2103zd2_120;
BgL_ezd2103zd2_120 = 
CAR(BgL_objz00_113); 
if(
PAIRP(BgL_ezd2103zd2_120))
{ /* Read/jvm.scm 100 */
obj_t BgL_carzd2108zd2_122;obj_t BgL_cdrzd2109zd2_123;
BgL_carzd2108zd2_122 = 
CAR(BgL_ezd2103zd2_120); 
BgL_cdrzd2109zd2_123 = 
CDR(BgL_ezd2103zd2_120); 
if(
SYMBOLP(BgL_carzd2108zd2_122))
{ /* Read/jvm.scm 100 */
if(
PAIRP(BgL_cdrzd2109zd2_123))
{ /* Read/jvm.scm 100 */
obj_t BgL_carzd2114zd2_126;
BgL_carzd2114zd2_126 = 
CAR(BgL_cdrzd2109zd2_123); 
if(
STRINGP(BgL_carzd2114zd2_126))
{ /* Read/jvm.scm 100 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2109zd2_123), BNIL))
{ /* Read/jvm.scm 100 */
BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(BgL_carzd2108zd2_122, BgL_carzd2114zd2_126, BNIL); 
{ 
obj_t BgL_objz00_515;
BgL_objz00_515 = 
CDR(BgL_objz00_113); 
BgL_objz00_113 = BgL_objz00_515; 
goto BgL_loopz00_114;} }  else 
{ /* Read/jvm.scm 100 */
BgL_tagzd2102zd2_119:
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string1441z00zzread_jvmz00, BGl_string1444z00zzread_jvmz00, 
CAR(BgL_objz00_113), BNIL);} }  else 
{ /* Read/jvm.scm 100 */
goto BgL_tagzd2102zd2_119;} }  else 
{ /* Read/jvm.scm 100 */
goto BgL_tagzd2102zd2_119;} }  else 
{ /* Read/jvm.scm 100 */
goto BgL_tagzd2102zd2_119;} }  else 
{ /* Read/jvm.scm 100 */
goto BgL_tagzd2102zd2_119;} } } } }  else 
{ /* Read/jvm.scm 94 */
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string1441z00zzread_jvmz00, BGl_string1444z00zzread_jvmz00, BgL_eofz00_109, BNIL);} } } } } } } } } 
}



/* <anonymous:1179> */
obj_t BGl_zc3anonymousza31179ze3z83zzread_jvmz00(obj_t BgL_envz00_255)
{ AN_OBJECT;
{ /* Read/jvm.scm 89 */
{ /* Read/jvm.scm 89 */
obj_t BgL_zc3anonymousza31185ze3z83_259;obj_t BgL_escapez00_260;
{ /* Read/jvm.scm 89 */
int BgL_auxz00_520;
BgL_auxz00_520 = 
(int)(((long)3)); 
BgL_zc3anonymousza31185ze3z83_259 = 
PROCEDURE_REF(BgL_envz00_255, BgL_auxz00_520); } 
{ /* Read/jvm.scm 89 */
int BgL_auxz00_523;
BgL_auxz00_523 = 
(int)(((long)4)); 
BgL_escapez00_260 = 
PROCEDURE_REF(BgL_envz00_255, BgL_auxz00_523); } 
{ 

return 
BGl_addzd2errorzd2handlerz12z12zz__errorz00(BgL_zc3anonymousza31185ze3z83_259, BgL_escapez00_260);} } } 
}



/* escape */
obj_t BGl_escapez00zzread_jvmz00(obj_t BgL_envz00_261, obj_t BgL_val1032z00_263)
{ AN_OBJECT;
{ /* Read/jvm.scm 89 */
{ /* Read/jvm.scm 89 */
obj_t BgL_an_exitd1031z00_262;
{ /* Read/jvm.scm 89 */
int BgL_auxz00_527;
BgL_auxz00_527 = 
(int)(((long)0)); 
BgL_an_exitd1031z00_262 = 
PROCEDURE_REF(BgL_envz00_261, BgL_auxz00_527); } 
{ 
obj_t BgL_val1032z00_93;
BgL_val1032z00_93 = BgL_val1032z00_263; 
return 
BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd1031z00_262, BgL_val1032z00_93);} } } 
}



/* <anonymous:1185> */
obj_t BGl_zc3anonymousza31185ze3z83zzread_jvmz00(obj_t BgL_envz00_264, obj_t BgL_escz00_267, obj_t BgL_objz00_268, obj_t BgL_procz00_269, obj_t BgL_msgz00_270)
{ AN_OBJECT;
{ /* Read/jvm.scm 89 */
{ /* Read/jvm.scm 89 */
obj_t BgL_armed1029z00_265;obj_t BgL_handler1026z00_266;
{ /* Read/jvm.scm 89 */
int BgL_auxz00_531;
BgL_auxz00_531 = 
(int)(((long)0)); 
BgL_armed1029z00_265 = 
PROCEDURE_REF(BgL_envz00_264, BgL_auxz00_531); } 
{ /* Read/jvm.scm 89 */
int BgL_auxz00_534;
BgL_auxz00_534 = 
(int)(((long)1)); 
BgL_handler1026z00_266 = 
PROCEDURE_REF(BgL_envz00_264, BgL_auxz00_534); } 
{ 
obj_t BgL_escz00_102;obj_t BgL_objz00_103;obj_t BgL_procz00_104;obj_t BgL_msgz00_105;
BgL_escz00_102 = BgL_escz00_267; 
BgL_objz00_103 = BgL_objz00_268; 
BgL_procz00_104 = BgL_procz00_269; 
BgL_msgz00_105 = BgL_msgz00_270; 
CELL_SET(BgL_armed1029z00_265, BFALSE); 
BGl_removezd2errorzd2handlerz12z12zz__errorz00(); 
{ /* Read/jvm.scm 89 */
obj_t BgL_auxz00_539;
BgL_auxz00_539 = 
CELL_REF(BgL_handler1026z00_266); 
return 
PROCEDURE_ENTRY(BgL_auxz00_539)(
CELL_REF(BgL_handler1026z00_266), BgL_escz00_102, BgL_objz00_103, BgL_procz00_104, BgL_msgz00_105, BEOA);} } } } 
}



/* handler */
obj_t BGl_handlerz00zzread_jvmz00(obj_t BgL_envz00_272, obj_t BgL_escapez00_274, obj_t BgL_procz00_275, obj_t BgL_mesz00_276, obj_t BgL_objz00_277)
{ AN_OBJECT;
{ /* Read/jvm.scm 85 */
{ /* Read/jvm.scm 86 */
obj_t BgL_portz00_273;
{ /* Read/jvm.scm 86 */
int BgL_auxz00_540;
BgL_auxz00_540 = 
(int)(((long)0)); 
BgL_portz00_273 = 
PROCEDURE_REF(BgL_envz00_272, BgL_auxz00_540); } 
{ 
obj_t BgL_escapez00_81;obj_t BgL_procz00_82;obj_t BgL_mesz00_83;obj_t BgL_objz00_84;
BgL_escapez00_81 = BgL_escapez00_274; 
BgL_procz00_82 = BgL_procz00_275; 
BgL_mesz00_83 = BgL_mesz00_276; 
BgL_objz00_84 = BgL_objz00_277; 
BGl_notifyzd2errorzd2zz__errorz00(BgL_procz00_82, BgL_mesz00_83, BgL_objz00_84); 
close_input_port(BgL_portz00_273); 
return 
BGl_exitzd2bigloozd2zzinit_mainz00(
BINT(((long)-2)));} } } 
}



/* add-current-module-qualified-type-name! */
obj_t BGl_addzd2currentzd2modulezd2qualifiedzd2typezd2namez12zc0zzread_jvmz00()
{ AN_OBJECT;
{ /* Read/jvm.scm 113 */
{ /* Read/jvm.scm 115 */
obj_t BgL_qtypez00_143;
BgL_qtypez00_143 = 
BGl_getpropz00zz__r4_symbols_6_4z00(BGl_za2moduleza2z00zzmodule_modulez00, BGl_za2jvmzd2markza2zd2zzread_jvmz00); 
if(
STRINGP(BgL_qtypez00_143))
{ /* Read/jvm.scm 116 */
return BFALSE;}  else 
{ /* Read/jvm.scm 120 */
bool_t BgL_test1252z00_145;
{ /* Read/jvm.scm 121 */
bool_t BgL_test1268z00_152;
{ /* Read/jvm.scm 121 */
obj_t BgL_objz00_220;
BgL_objz00_220 = BGl_za2destza2z00zzengine_paramz00; 
BgL_test1268z00_152 = 
STRINGP(BgL_objz00_220); } 
if(BgL_test1268z00_152)
{ /* Read/jvm.scm 121 */
obj_t BgL_auxz00_552;
BgL_auxz00_552 = 
CNST_TABLE_REF(((long)3)); 
BgL_test1252z00_145 = 
(BGl_za2passza2z00zzengine_paramz00==BgL_auxz00_552); }  else 
{ /* Read/jvm.scm 121 */
BgL_test1252z00_145 = ((bool_t)1); } } 
if(BgL_test1252z00_145)
{ /* Read/jvm.scm 120 */
{ /* Read/jvm.scm 128 */
obj_t BgL_qtz00_146;
{ /* Read/jvm.scm 124 */
obj_t BgL_arg1256z00_148;
{ /* Read/jvm.scm 124 */
obj_t BgL_arg1262z00_149;
{ /* Read/jvm.scm 124 */
obj_t BgL_pairz00_221;
BgL_pairz00_221 = BGl_za2srczd2filesza2zd2zzengine_paramz00; 
BgL_arg1262z00_149 = 
CAR(BgL_pairz00_221); } 
BgL_arg1256z00_148 = 
BGl_basenamez00zz__osz00(BgL_arg1262z00_149); } 
BgL_qtz00_146 = 
BGl_prefixz00zz__osz00(BgL_arg1256z00_148); } 
BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(BGl_za2moduleza2z00zzmodule_modulez00, BgL_qtz00_146, BNIL); 
return BgL_qtz00_146;} }  else 
{ /* Read/jvm.scm 120 */
{ /* Read/jvm.scm 128 */
obj_t BgL_qtz00_150;
BgL_qtz00_150 = 
BGl_prefixz00zz__osz00(BGl_za2destza2z00zzengine_paramz00); 
BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(BGl_za2moduleza2z00zzmodule_modulez00, BgL_qtz00_150, BNIL); 
return BgL_qtz00_150;} } } } } 
}



/* module->qualified-type */
obj_t BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t BgL_modulez00_6)
{ AN_OBJECT;
{ /* Read/jvm.scm 136 */
{ /* Read/jvm.scm 137 */
obj_t BgL_bz00_153;
BgL_bz00_153 = 
BGl_getpropz00zz__r4_symbols_6_4z00(BgL_modulez00_6, BGl_za2jvmzd2markza2zd2zzread_jvmz00); 
if(
STRINGP(BgL_bz00_153))
{ /* Read/jvm.scm 139 */
return BgL_bz00_153;}  else 
{ /* Read/jvm.scm 141 */
bool_t BgL_test1274z00_155;
BgL_test1274z00_155 = 
(BgL_modulez00_6==BGl_za2moduleza2z00zzmodule_modulez00); 
if(BgL_test1274z00_155)
{ /* Read/jvm.scm 141 */
return 
BGl_addzd2currentzd2modulezd2qualifiedzd2typezd2namez12zc0zzread_jvmz00();}  else 
{ /* Read/jvm.scm 141 */
{ /* Read/jvm.scm 144 */
obj_t BgL_cellz00_156;
BgL_cellz00_156 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_modulez00_6, BGl_za2accesszd2tableza2zd2zzengine_paramz00); 
{ /* Read/jvm.scm 144 */
obj_t BgL_defaultz00_157;
if(
PAIRP(BgL_cellz00_156))
{ /* Read/jvm.scm 146 */
obj_t BgL_arg1307z00_171;
{ /* Read/jvm.scm 146 */
obj_t BgL_auxz00_571;
{ /* Read/jvm.scm 146 */
obj_t BgL_auxz00_572;
BgL_auxz00_572 = 
CDR(BgL_cellz00_156); 
BgL_auxz00_571 = 
CAR(BgL_auxz00_572); } 
BgL_arg1307z00_171 = 
BGl_basenamez00zz__osz00(BgL_auxz00_571); } 
BgL_defaultz00_157 = 
BGl_prefixz00zz__osz00(BgL_arg1307z00_171); }  else 
{ /* Read/jvm.scm 145 */
BgL_defaultz00_157 = 
SYMBOL_TO_STRING(BgL_modulez00_6); } 
{ /* Read/jvm.scm 145 */

{ /* Read/jvm.scm 148 */
bool_t BgL_test1276z00_158;
{ /* Read/jvm.scm 148 */
obj_t BgL_auxz00_578;
BgL_auxz00_578 = 
CNST_TABLE_REF(((long)1)); 
BgL_test1276z00_158 = 
(BGl_za2targetzd2languageza2zd2zzengine_paramz00==BgL_auxz00_578); } 
if(BgL_test1276z00_158)
{ /* Read/jvm.scm 150 */
obj_t BgL_arg1280z00_159;
{ /* Read/jvm.scm 150 */
obj_t BgL_arg1298z00_167;
BgL_arg1298z00_167 = 
SYMBOL_TO_STRING(BgL_modulez00_6); 
BgL_arg1280z00_159 = 
string_append_3(BGl_string1445z00zzread_jvmz00, BgL_arg1298z00_167, BGl_string1446z00zzread_jvmz00); } 
{ /* Read/jvm.scm 149 */
obj_t BgL_list1285z00_162;
{ /* Read/jvm.scm 149 */
obj_t BgL_arg1287z00_163;
{ /* Read/jvm.scm 149 */
obj_t BgL_arg1290z00_164;
{ /* Read/jvm.scm 149 */
obj_t BgL_arg1293z00_165;
BgL_arg1293z00_165 = 
MAKE_PAIR(BGl_string1434z00zzread_jvmz00, BNIL); 
BgL_arg1290z00_164 = 
MAKE_PAIR(BgL_defaultz00_157, BgL_arg1293z00_165); } 
BgL_arg1287z00_163 = 
MAKE_PAIR(BGl_string1447z00zzread_jvmz00, BgL_arg1290z00_164); } 
BgL_list1285z00_162 = 
MAKE_PAIR(BgL_arg1280z00_159, BgL_arg1287z00_163); } 
BGl_warningz00zz__errorz00(BgL_list1285z00_162); } }  else 
{ /* Read/jvm.scm 148 */BFALSE; } } 
BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(BgL_modulez00_6, BgL_defaultz00_157, BNIL); 
return BgL_defaultz00_157;} } } } } } } 
}



/* _module->qualified-type1348 */
obj_t BGl__modulezd2ze3qualifiedzd2type1348ze3zzread_jvmz00(obj_t BgL_envz00_280, obj_t BgL_modulez00_281)
{ AN_OBJECT;
{ /* Read/jvm.scm 136 */
return 
BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(BgL_modulez00_281);} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzread_jvmz00()
{ AN_OBJECT;
{ /* Read/jvm.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzread_jvmz00()
{ AN_OBJECT;
{ /* Read/jvm.scm 15 */
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)189840), "read_jvm"); 
BGl_modulezd2initializa7ationz75zzengine_enginez00(((long)45452), "read_jvm"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)12859), "read_jvm"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "read_jvm"); 
BGl_modulezd2initializa7ationz75zzinit_mainz00(((long)7934), "read_jvm"); 
return 
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23545), "read_jvm");} 
}

