;*=====================================================================*/
;*    serrano/prgm/project/bigloo/fthread/src/fair-process.scm         */
;*    -------------------------------------------------------------    */
;*    Author      :  Manuel Serrano                                    */
;*    Creation    :  Wed Feb 13 09:42:47 2002                          */
;*    Last change :  Mon Mar  4 14:40:11 2002 (serrano)                */
;*    Copyright   :  2002 Manuel Serrano                               */
;*    -------------------------------------------------------------    */
;*    Fair process, that is non blocking process termination check.    */
;*=====================================================================*/

;*---------------------------------------------------------------------*/
;*    The module                                                       */
;*---------------------------------------------------------------------*/
(module __ft_process

    (import __ft_types
	    __ft_scheduler
	    __ft_%thread)

   (export (make-fair-process ::process ::obj)))

;*---------------------------------------------------------------------*/
;*    make-fair-process ...                                            */
;*---------------------------------------------------------------------*/
(define (make-fair-process proc event)
   (lambda (scdl)
      (lambda ()
	 (process-wait proc)
	 (scheduler-broadcast scdl event (process-exit-status proc)))))
  
